####################### [Firebook] - guestbook ################################
# checkmessage.pl  	                                                          #
###############################################################################

package fb;

use strict;
use warnings;
#use diagnostics;

$fb::loaded{'file_checkmessage'} = 1;
&fb::load_language("checkmessage");

sub checkmessage {

	# stores login state from checkpw
	my $check1 = $_[0] || "1";
	my $check2 = $_[1] || "1";
	my $fields_ref = $_[2];
	my $source = $_[3] || "standard"; # could be another module like e.g. mod_comm

	my %fields = %{$fields_ref};

	if ((length($fb::FORM{'message'}) > $fb::cf{'maximumbei'}) && ($fb::cf{'maximumbei'} > 1)) {
		my $showalert2 = qq~$fb::txt{'ch'}{'6'} $fb::txt{'gl'}{'36'} $fb::txt{'ch'}{'41'} $fb::cf{'maximumbei'} $fb::txt{'ch'}{'8'}!~;
		&fatal_error($showalert2);
	}

	## possibility to add extra modules .-> e.g spam filtering

	if ($fb::mod{'action_modules'}{'checkmessage'}) {
		foreach my $mod (@{$fb::mod{'action_modules'}{'checkmessage'}}) {
			if ($fb::mod{'modules_info'}{$mod->[0]}[0] == 1) {
				unless ($fb::loaded{$mod->[1]}) {
					require "$fb::gl{'subsdir'}/$mod->[1].pl";
					$fb::loaded{$mod->[1]} = 1;
				}
				my ($ref_fields) = $mod->[2]->($check1, $check2, $source, \%fields);
				if ($ref_fields) { %fields = %{$ref_fields}; }
			}
		}
	}

	$fields{'nosmile'} = $fb::FORM{'nosmile'} || "0";
	$fields{'hideown'} = $fb::FORM{'hideown'} || "0";
	$fields{'privatn'} = $fb::FORM{'privatn'} || "0";
	if ($fields{'name'} eq "") { $fields{'name'} = "$fb::txt{'ch'}{'15'}";  }
	if ($fb::cf{'sndcheck'} != 1) { 
		if ( $fields{'name'} =~ m/[1234567890\!\"\$\%\&\(\)\=\?\{\[\]\}\*\+\~\'\#\-\_\<\>\|\\\:\^\]/) { &fatal_error($fb::txt{'ch'}{'16'}); } 
	}
	&fatal_error($fb::txt{'ch'}{'17'}) unless($fields{'message'});
	if ($fields{'email'} ne "") {
		unless ( $fields{'email'} =~ /^[a-zA-Z0-9]{1}[a-zA-Z0-9\._-]*\@[a-zA-Z0-9_\.-]*[a-zA-Z0-9-aaaccccddeeeee?gggghhiiiiijk?llllnnnooorrrssstttuuuuuuwyzz]{2,}\.[a-z]{2,4}$/) { &fatal_error($fb::txt{'ch'}{'18'}); }
	}

	
	my $bann_mail_file = $fb::dbh->selectrow_array("SELECT data FROM $fb::cf{'db_prefix'}" . "extsettings WHERE type = 'bannmail'", undef);
	
	if ($bann_mail_file) {
	
		my @bann_mail = split(/\n/, $bann_mail_file);

		if ($fb::cf{'bann_servercheck'}) {
			my $bann_mail_file_external = $fb::dbh->selectrow_array("SELECT data FROM $fb::cf{'db_prefix'}" . "extsettings WHERE type = 'bannmail_external'", undef);
			if ($bann_mail_file_external) {
				@bann_mail = (@bann_mail, split(/\n/, $bann_mail_file_external));
			}
		}
	
		foreach (@bann_mail) {
			chomp $_;
			if (lc $_ eq lc $fields{'email'}) {
					&fatal_error("$fb::txt{'gl'}{'72'}!");
			}
			if ($_ =~ m/\*/i) {
				$_ =~ s/\*/\[a\-zA\-Z0\-9\\\.\_\-\]/ig;
				$_ =~ s/\./\\./ig;
				if ($fields{'email'} =~ m/$_/i) {
					&fatal_error("$fb::txt{'gl'}{'72'}!");
				}
			}
		}
	}
	
	# count use of images
	my $imgcount = 0;
	my $imgcount2 = 0;

	if ($fb::cf{'bildermax'} > -1) {
		if (($fields{'message'} =~ m~\[countedimage328djj2dk20dj4~) || ($fields{'message'} =~ m~\[countedsmiley328djj2dk20dj4~)) { 	
			&fatal_error("$fb::txt{'ch'}{'19'}"); 
		}
		while ($fields{'message'} =~ m~\[img~) { 
			$imgcount++; 
			$fields{'message'} =~ s~\[img~[countedimage328djj2dk20dj4~; 
		}
		$fields{'message'} =~ s~\[countedimage328djj2dk20dj4~[img~g;
		
		if ($fb::cf{'smileys'} == 1) {

			my @smilies = &load_smilies;
			foreach (@smilies) {
						chomp $_;
						my ($adresse, $beschr, $kuerz) = split(/\|/, $_);
						$kuerz =~ s/\*/\&\#42\;/g;
						if ($kuerz) {
							while ($fields{'message'} =~ m~\Q$kuerz\E~) { $imgcount2++; $fields{'message'} =~ s~\Q$kuerz\E~[$adresse]~; }
						}
			}

			while ($fields{'message'} =~ m~\Q[smiley=\E~) { $imgcount2++; $fields{'message'} =~ s~\Q[smiley=\E~[countedsmiley328djj2dk20dj4~; }
			
			# nderungen rckgngig machen
			foreach (@smilies) {
						chomp $_;
						my ($adresse, $beschr, $kuerz) = split(/\|/, $_);
						$kuerz =~ s/\*/\&\#42\;/g;
						if ($adresse && $kuerz) {
							$fields{'message'} =~ s~\Q[$adresse]\E~$kuerz~g;
						}
			}

		}

		$fields{'message'} =~ s~\Q[countedsmiley328djj2dk20dj4\E~[smiley=~g;
		
		my $wholecount = $imgcount + $imgcount2;
		if ($wholecount > $fb::cf{'bildermax'}) { &fatal_error("$fb::txt{'ch'}{'20'} $fb::cf{'bildermax'}, $fb::txt{'ch'}{'21'}: $imgcount $fb::txt{'ch'}{'22'} + $imgcount2 $fb::txt{'ch'}{'23'}"); }
	}

	return (\%fields);


}
sub checkmessage_standard {

	# stores login state from checkpw
	my $check1 = $_[0] || "1";
	my $check2 = $_[1] || "1";

	# stores processed fields
	my %fields;

	if( $fb::FORM{'waction'} eq 'preview' ) { $fb::gl{'vorschau'} = 1; }
	else { $fb::gl{'vorschau'} = 0; }

	if ($fb::FORM{'file'}) {
	#	if (($fb::FORM{'file2'} eq "newupload") || ($fb::FORM{'file2'} eq "")) {
			if ($fb::cf{'attachakt'} == 1) { 
				my $upload_dir = "$fb::cf{'bilderdir'}/upload";

				my @ext  = split(/ /, $fb::cf{'filetypes'});
				require "$fb::gl{'subsdir'}/upload.pl";

				if ($fb::gl{'vorschau'} == 1) {
					&upload::uploadcheck("$fb::cf{'bilderdir'}/temp","1",\@ext);
				}
				else {
					&upload::uploadcheck($upload_dir,"1",\@ext);
				}

			}
	#	}
	#	else {
	#		$fields{'fixfile'} = $fb::FORM{'file2'};
	#		&clear_temp;
	#	}
	}
	else { 
		
		$fields{'fixfile'} = $fb::FORM{'file2'} || ""; 
		if ($fields{'fixfile'} eq "nonew") { $fields{'fixfile'} = ""; } 
		
		if ($fields{'fixfile'}) {
			# in case there was a temporary stored file, it is removed here because user chose another already uploaded file
			$fb::FORM{'storetemp'} = "";
		}
	}
	if (!$fields{'fixfile'} || $fields{'fixfile'} eq "newupload") { $fields{'fixfile'} = ""; }

	my @getv = qw/name email betreff jabber url ort icq aim yim msn skype message state mailfusr feedback bewertung file/;

	$fb::cf{'wicht_message'} = 1;

	foreach my $entry (@getv) {
		$fields{$entry} = $fb::FORM{$entry} || "";
		$fields{$entry} =~ s/\&/\&amp;/g;
		$fields{$entry} =~ s/"/\&quot;/g;
		$fields{$entry} =~ s/  / \&nbsp;/g;
		$fields{$entry} =~ s/</&lt;/g;
		$fields{$entry} =~ s/>/&gt;/g;
		$fields{$entry} =~ s/\t/ \&nbsp; \&nbsp; \&nbsp;/g;
		$fields{$entry} =~ s/\|/\&#124;/g;
		$fields{$entry} =~ s/\/\&\#167\;/g;
		$fields{$entry} =~ s/\*/\&\#42\;/g;
		$fields{$entry} =~ s/\$/\&\#36\;/g;
		$fields{$entry} =~ s/\r//g;
		$fb::FORM{$entry} = $fields{$entry};
		$fields{$entry} =~ s/\n/<br>/g;
		
		# fehlermeldung text
		my ($showalert, $showname);

		if ($entry eq "name") { 
			$showalert = qq~$fb::txt{'ch'}{'1'}~; 
			$showname = qq~$fb::txt{'gl'}{'28'}~; 
		}
		elsif ($entry eq "email") { 
			$showalert = qq~$fb::txt{'ch'}{'2'}~; 
			$showname = qq~$fb::txt{'gl'}{'29'}~; 
		}
		elsif ($entry eq "betreff") { 
			$showalert = qq~$fb::txt{'ch'}{'3'}~; 
			$showname = qq~$fb::txt{'gl'}{'30'}~; 
		}
		else { 
			if ($entry eq "ort") { $showname = qq~$fb::txt{'gl'}{'32'}~; }
			elsif ($entry eq "icq") { $showname = qq~$fb::txt{'gl'}{'18'}~; }
			elsif ($entry eq "aim") { $showname = qq~$fb::txt{'gl'}{'19'}~; }
			elsif ($entry eq "yim") { $showname = qq~$fb::txt{'gl'}{'20'}~; }
			elsif ($entry eq "msn") { $showname = qq~$fb::txt{'gl'}{'21'}~; }
			elsif ($entry eq "skype") { $showname = qq~$fb::txt{'gl'}{'146'}~; }
			elsif ($entry eq "jabber") { $showname = qq~$fb::txt{'gl'}{'22'}~; }
			elsif ($entry eq "state") { $showname = qq~$fb::txt{'gl'}{'121'}~; }
			elsif ($entry eq "message") { $showname = qq~$fb::txt{'gl'}{'36'}~; }
			elsif ($entry eq "url") { $showname = qq~$fb::txt{'gl'}{'31'}~; }
			elsif ($entry eq "bewertung") { $showname = qq~$fb::txt{'gl'}{'34'}~; }
			else { $showname = uc($entry); }
			$showalert = qq~$fb::txt{'ch'}{'4'} $showname $fb::txt{'ch'}{'5'}!~;
		}
		if ($fb::cf{"wicht_$entry"}) { 
			if ($entry eq "file") {
				if (($fields{$entry} eq "") && (($fb::FORM{'file2'} eq "newupload") || ($fb::FORM{'file2'} eq "nonew"))) {  	
					&fatal_error($showalert); 
				}
			}
			elsif ($entry eq "bewertung") {
				if ($fields{$entry} eq "0") {  &fatal_error($showalert); }
			}
			elsif ($entry eq "state") {
				if ($fields{$entry} eq "none") {  &fatal_error($showalert); }
			}
			else {
				unless ($fields{$entry}) {  &fatal_error($showalert); }
			}
		}
		if ($fb::cf{"zeich_$entry"} && $fb::cf{"zeich_$entry"} > 0) { 
			my $countentr = $fields{$entry};
			$countentr =~ s/<br>//g;
			$countentr =~ s/\n//g;
			$countentr =~ s/ //ig;
			$countentr =~ s/&nbsp;//ig;
			if ((length($countentr) < $fb::cf{"zeich_$entry"}) && ($fields{$entry} ne "")) {
				my $showalert2 = qq~$fb::txt{'ch'}{'6'} $showname $fb::txt{'ch'}{'7'} $fb::cf{"zeich_$entry"} $fb::txt{'ch'}{'8'}!~;
				&fatal_error($showalert2);
			}
		}
		if ($fb::cf{"mzeich_$entry"} && $fb::cf{"mzeich_$entry"} > 0) { 
			my $countentr = $fields{$entry};
			$countentr =~ s/<br>//g;
			$countentr =~ s/\n//g;
			$countentr =~ s/ //ig;
			$countentr =~ s/&nbsp;//ig;
			if (length($countentr) > $fb::cf{"mzeich_$entry"}) {
				my $showalert2 = qq~$fb::txt{'ch'}{'6'} $showname $fb::txt{'ch'}{'41'} $fb::cf{"mzeich_$entry"} $fb::txt{'ch'}{'8'}!~;
				&fatal_error($showalert2);
			}
		}
	}

	# check all commonly shared fields
	my $new_fields_ref = &checkmessage($check1,$check2,\%fields);
	%fields = %{$new_fields_ref};

	$fields{'icon'} = $fb::FORM{'icon'} || "";
	if (!(-e "$fb::cf{'bilderdir'}/skins/$fb::gl{'skin'}/headsmilies/" . $fields{'icon'})) { $fields{'icon'} = ""; }
	if ($fields{'icon'} eq "noicon.gif") { $fields{'icon'} = ""; }
	$fields{'bewertung'} = $fb::FORM{'bewertung'} || "0";
	if (($fb::cf{'wicht_bewertung'} == 1) && ($fields{'bewertung'} eq "0")) { &fatal_error("$fb::txt{'ch'}{'4'} $fb::txt{'gl'}{'34'} $fb::txt{'ch'}{'5'}"); }
	if ($fb::cf{'f_betreff'} != 1) { $fields{'betreff'} = ""; }
	if ($fields{'url'} eq "http://") { $fields{'url'} = ""; }
	elsif ($fields{'url'} ne "") {
		unless ( $fields{'url'} =~ m/^http(s?)\:\/\//) { &fatal_error($fb::txt{'ch'}{'13'}); }
	}
	if ( $fields{'icq'} =~ m/\D/g ) { &fatal_error($fb::txt{'ch'}{'14'}); }



	# upload file even if we preview a message
	if (($fb::cf{'attachakt'} == 1) && ($fb::gl{'valid_upload'})) { 
		$fields{'fixfile'} = &upload::doupload; 
		$fb::FORM{'storetemp'} = $fields{'fixfile'};
	}

	if ($fb::gl{'vorschau'}) {
		
		# for temporary saved files that have been uploaded earlier
		if($fb::FORM{'storetemp'} && (!$fb::FORM{'file'})) {
			$fields{'fixfile'} = $fb::FORM{'storetemp'};
		}

		# for attachment preview
		$fields{'msf'} = $fields{'fixfile'};

	}
	elsif ($fb::FORM{'storetemp'} && (!$fb::FORM{'file'})) {
		# move the temporarily saved attachment to the right folder
		# only if we are not dealing with a new file upload already

		$fb::FORM{'storetemp'} =~ /^([a-zA-Z0-9\._-]+)$/;
		$fb::FORM{'storetemp'} = $1;
			
		require "$fb::gl{'subsdir'}/upload.pl";
		my $newfielname = &upload::make_filename("$fb::cf{'bilderdir'}/upload",$fb::FORM{'storetemp'});
		
		use File::Copy;
		move("$fb::cf{'bilderdir'}/temp/$fb::FORM{'storetemp'}", "$fb::cf{'bilderdir'}/upload/$newfielname");
		
		$fields{'fixfile'} = $fields{'msf'} = $newfielname;

	}



	return (\%fields);

}

sub mailroutine {
	my $curmail = $_[0];
	my $fields_ref = $_[1];

	$curmail =~ tr/\n//d;
	$curmail =~ tr/\r//d;
	$curmail =~ s/\+fbname\+/$fb::fi{'fbname'}/g;
	$curmail =~ s/\+homepage\+/$fb::fi{'homepage'}/g;
	$curmail =~ s/\+admmail\+/$fb::cf{'admmail'}/g;
	$curmail =~ s/\+admmail2\+/$fb::cf{'admmail2'}/g;
	$curmail =~ s/\+id\+/${$fields_ref}{'id'}/g;
	$curmail =~ s/\+idurl\+/$fb::gl{'script'}?showid=${$fields_ref}{'id'};maxindex=1/g;
	$curmail =~ s/\+datum\+/${$fields_ref}{'chdatum'}/g;
	$curmail =~ s/\+name\+/${$fields_ref}{'name'}/g;
	$curmail =~ s/\+icon\+/${$fields_ref}{'icon'}/g;
	$curmail =~ s/\+email\+/${$fields_ref}{'email'}/g;
	$curmail =~ s/\+url\+/${$fields_ref}{'url'}/g;
	$curmail =~ s/\+ip\+/${$fields_ref}{'ip'}/g;
	$curmail =~ s/\+inputin(.+?)\+/$fb::FORM{"inputin_$1"}/g;
	$curmail =~ s/\+icq\+/${$fields_ref}{'icq'}/g;
	$curmail =~ s/\+jabber\+/${$fields_ref}{'jabber'}/g;
	$curmail =~ s/\+betreff\+/${$fields_ref}{'betreff'}/g;
	$curmail =~ s/\+aim\+/${$fields_ref}{'aim'}/g;
	$curmail =~ s/\+msn\+/${$fields_ref}{'msn'}/g;
	$curmail =~ s/\+skype\+/${$fields_ref}{'skype'}/g;
	$curmail =~ s/\+yim\+/${$fields_ref}{'yim'}/g;
	$curmail =~ s/\+message\+/${$fields_ref}{'message'}/g;
	$curmail =~ s/\+bewertung\+/${$fields_ref}{'bewertung'}/g;
	$curmail =~ s/\+ort\+/${$fields_ref}{'ort'}/g;
	$curmail =~ s/\+script\+/$fb::gl{'script2'}/g;
	#$curmail =~ s/\+password\+/${$fields_ref}{'password'}/g;
	$curmail =~ s/\+admincomment\+/${$fields_ref}{'feedback'}/g;
	$curmail =~ s/\&nbsp;/ /g;

	return $curmail;
}

1;