####################### [Firebook] - guestbook ################################
# getcolors.pl	                                                              #
###############################################################################
$fb::loaded{'file_getcolors'} = 1;

package fb;

use strict;
use warnings;
#use diagnostics;


sub getcolors {

	my %css_info;
	
	# which skin to open
	my ($skinactive);

	# template to load
	my (@gettemplate);

	my $requskin = $fb::INFO{'requskin'} || $fb::FORM{'requskin'} || "";
	my $loadstyle = $fb::INFO{'loadstyle'} || "";

	if ($fb::INFO{'prinsert'}) {
		@gettemplate = &openfile("$fb::gl{'datadir'}/styles/preview.html");
	}
	elsif ($loadstyle) {
		@gettemplate = &openfile("$fb::gl{'datadir'}/styles/$loadstyle.css");
	}
	elsif ($requskin) {
		@gettemplate = &openfile("$fb::gl{'datadir'}/skins/$requskin/style.css");
	}
	elsif ($fb::gl{'skin'}) { 
	
		unless ($fb::fi{'css'}) {
			$fb::fi{'css'} = join('', &openfile("$fb::gl{'datadir'}/skins/$fb::gl{'skin'}/style.css"));
		}
		@gettemplate = split(/\n/, $fb::fi{'css'});
	
	}

	# have we reached CSS of template already?
	my $nowcss;

	foreach my $line (@gettemplate) {
			chomp($line);
			
			if ($line =~ m/^A\:link/) {  &getline(\%css_info, "alink", $line); }
			elsif ($line =~ m/^A\:visited/) {  &getline(\%css_info, "avisited", $line); }
			elsif ($line =~ m/^A\:hover/) {  &getline(\%css_info, "ahover", $line); }
			elsif ($line =~ m/^BODY/i) {  &getline(\%css_info, "body", $line); }
			elsif ($line =~ m/^\.fb1/) {  &getline(\%css_info, "fb1", $line);  }
			elsif ($line =~ m/^\.fb2/) {  &getline(\%css_info, "fb2", $line);  }
			elsif ($line =~ m/^\.fb3/) {  &getline(\%css_info, "fb3", $line);  }
			elsif ($line =~ m/^\.fb4/) {  &getline(\%css_info, "fb4", $line);  }
			elsif ($line =~ m/^\.fbtitle/) {  &getline(\%css_info, "fbtitle", $line);  }
			elsif ($line =~ m/^td/) {  &getline(\%css_info, "td", $line); }
			elsif ($line =~ m/^\.fbcatbg/) {  &getline(\%css_info, "fbcatbg", $line); }
			elsif ($line =~ m/^\.fbborder/) {  &getline(\%css_info, "fbborder", $line); }
			elsif ($line =~ m/^hr/) {  &getline(\%css_info, "hr", $line); }
			elsif ($line =~ m/^input/) {  &getline(\%css_info, "input", $line);  }
			elsif ($line =~ m/^textarea/) {  &getline(\%css_info, "textarea", $line); }
			elsif ($line =~ m/^select/) {  &getline(\%css_info, "select", $line); }
			elsif ($line =~ m/^\.pinned/) {  &getline(\%css_info, "pinned", $line); }
			elsif ($line =~ m/^\.marked/) {  &getline(\%css_info, "marked", $line); }
			elsif ($line =~ m/^\.fbkomm/) {  &getline(\%css_info, "fbkomm", $line); }
			elsif ($line =~ m/^\.quote/) {  &getline(\%css_info, "quote", $line); }
			elsif ($line =~ m/^\.ubbcbutton A\:link/) {  &getline(\%css_info, "ubbca", $line);  }
			elsif ($line =~ m/^\.ubbcbutton A\:hover/) {  &getline(\%css_info, "ubbcahover", $line);  }

	 }

	return %css_info;
}																												
sub getline {
			
		# reference to css info hash
		my $css_info_ref = $_[0];

		# identification of css class
		my $type = $_[1];

		# line to be interpreted
		my $line = $_[2];

		if ($line =~ m/[\{|\s|\;|\t]color/ig) {
			$line =~ s/[\{|\s|\;|\t]color\:(\s|)(.+?)\;//;
			${$css_info_ref}{'color'}{$type} = $2;
		}
		if ($line =~ m/[\{|\s|\;|\t]background\-color/ig) {
			$line =~ s/[\{|\s|\;|\t]background\-color\:(\s|)(.+?)\;//;
			${$css_info_ref}{'background-color'}{$type} = $2;
		}
		if ($line =~ m/[\{|\s|\;|\t]font\-size/ig) {
			$line =~ s/[\{|\s|\;|\t]font\-size\:(\s|)(.+?)\;//;
			${$css_info_ref}{'font-size'}{$type} = $2;
		}
		if ($line =~ m/[\{|\s|\;|\t]text\-decoration/ig) {
			$line =~ s/[\{|\s|\;|\t]text\-decoration\:(\s|)(.+?)\;//;
			${$css_info_ref}{'text-decoration'}{$type} = $2;
		}
		if ($line =~ m/[\{|\s|\;|\t]font\-style/ig) {
			$line =~ s/[\{|\s|\;|\t]font\-style\:(\s|)(.+?)\;//;
			${$css_info_ref}{'font-style'}{$type} = $2;
		}
		if ($line =~ m/[\{|\s|\;|\t]font\-weight/ig) {
			$line =~ s/[\{|\s|\;|\t]font\-weight\:(\s|)(.+?)\;//;
			${$css_info_ref}{'font-weight'}{$type} = $2;
		}
		if ($line =~ m/[\{|\s|\;|\t]font\-family/ig) {
			$line =~ s/[\{|\s|\;|\t]font\-family\:(\s|)(.+?)\;//;
			${$css_info_ref}{'font-family'}{$type} = $2;
		}
		if ($line =~ m/[\{|\s|\;|\t]background\-image/ig) {
			$line =~ s/[\{|\s|\;|\t]background\-image\:(\s|)url\((.+?)\)\;//;
			${$css_info_ref}{'background-image'}{$type} = $2;
		}
		if ($line =~ m/[\{|\s|\;|\t]border/ig) {
			$line =~ s/[\{|\s|\;|\t]border\:(\s|)(.+?)\;//;
			${$css_info_ref}{'border'}{$type} = $2;
		}
		if ($line =~ m/[\{|\s|\;|\t]margin/ig) {
			$line =~ s/[\{|\s|\;|\t]margin\:(\s|)(.+?)\;//;
			${$css_info_ref}{'margin'}{$type} = $2;
		}
		if ($line =~ m/[\{|\s|\;|\t]padding/ig) {
			$line =~ s/[\{|\s|\;|\t]padding\:(\s|)(.+?)\;//;
			${$css_info_ref}{'padding'}{$type} = $2;
		}
}
1;