####################### [Firebook] - guestbook ################################
# help.pl		                                                              #
###############################################################################

package fb;

use strict;
use warnings;
#use diagnostics;

sub help {

	$fb::fi{'title'} = "$fb::txt{'he'}{'1'}";

	my $showhelp = $fb::INFO{'showhelp'} || "link0";

	$fb::inp{"m_imageurl"} = qq~<a href="$fb::gl{'scriptac'}=help;showhelp="><img title="$fb::txt{'gl'}{'113'}" alt="$fb::txt{'gl'}{'113'}" border=0 src="$fb::fi{'bilderurlsk'}/allgemein/raquo.gif"></a>~;


	my %ref_help;
	my %ref_help_data;

	$ref_help{'1_ubbc'} = "$fb::txt{'he'}{'2'}";
	$ref_help{'2_smilies'} = "$fb::txt{'he'}{'3'} & $fb::txt{'he'}{'8'}";
	$ref_help{'3_attachments'} = "$fb::txt{'he'}{'4'}";
	$ref_help{'7_activation'} = "$fb::txt{'he'}{'6'}";
	$ref_help{'zzothers'} = "$fb::txt{'he'}{'7'}";


	$ref_help_data{'zzothers'}{'quest'}[0] = $fb::txt{'he'}{'115'};
	$ref_help_data{'zzothers'}{'answ'}[0] = $fb::txt{'he'}{'116'};
	$ref_help_data{'zzothers'}{'quest'}[1] = $fb::txt{'he'}{'119'};
	$ref_help_data{'zzothers'}{'answ'}[1] = $fb::txt{'he'}{'120'};
	$ref_help_data{'zzothers'}{'quest'}[2] = $fb::txt{'he'}{'121'};
	$ref_help_data{'zzothers'}{'answ'}[2] = $fb::txt{'he'}{'113'};

	## possibility to add extra help texts from modules

	if ($fb::mod{'action_modules'}{'help'}) {
		foreach my $mod (@{$fb::mod{'action_modules'}{'help'}}) {
			if ($fb::mod{'modules_info'}{$mod->[0]}[0] == 1) {
				unless ($fb::loaded{$mod->[1]}) {
					require "$fb::gl{'subsdir'}/$mod->[1].pl";
					$fb::loaded{$mod->[1]} = 1;
				}
				my ($ref_help, $ref_help_data) = $mod->[2]->(\%ref_help, \%ref_help_data);
				%ref_help = %{$ref_help};
				%ref_help_data = %{$ref_help_data};
			}
		}
	}


	my %css_info;

	unless ($fb::loaded{'file_getcolors'}) {
		require "$fb::gl{'subsdir'}/getcolors.pl";
		%css_info = &getcolors;
	}
	
	my $count_br = 1;
	my $i = 1;

	my $nr_entr = (keys %ref_help);

	for my $helpentr ( sort keys %ref_help ) {

		my ( $thisstyle, $thisstyleb, $link );
		if ($showhelp eq $helpentr) {
			$fb::inp{"m_helpactive"} = $_;
			$thisstyle               = "fb1";
			$thisstyleb              = "fb1";
			$link                    = qq~<b>$ref_help{$helpentr}</b>~;
		}
		else {
			$thisstyle  = "fb1";
			$thisstyleb = "fb2";
			$link       = qq~<a href="$fb::gl{'scriptac'}=help;showhelp=$helpentr"><b>$ref_help{$helpentr}</b></a>~;
		}

		$fb::inp{"m_helpmenu"} .= qq~<td width=25% class="~;
		$fb::inp{"m_helpmenu"} .= qq~$thisstyleb~;
		$fb::inp{"m_helpmenu"} .= qq~" onMouseOver=\"this.style.backgroundColor='~;
		$fb::inp{"m_helpmenu"} .= qq~$css_info{'background-color'}{$thisstyle}~;
		$fb::inp{"m_helpmenu"} .= qq~';" onMouseOut="this.style.backgroundColor='';" align=center>$link</td>~;

		if (($count_br == 4) && ($i != $nr_entr)) { $fb::inp{"m_helpmenu"} .= qq~</tr><tr>~; $count_br = 0; }
		$i++;
		$count_br++;

    }
	if ($count_br != 1) {
		while ($count_br < 5) {
			$fb::inp{"m_helpmenu"} .= qq~<td class="fb2"></td>~;
			$count_br++;
		}
	}




	unless ( $fb::inp{"m_helpactive"} ) {
		$fb::inp{"m_helpactive"} = qq~$fb::cf{'fbname'} - $fb::txt{'he'}{'1'}~;
	}

	if ( $showhelp eq "link0" ) {
		$fb::inp{"m_help"} .= qq~
		<table border=0 cellspacing=0 celpadding=10><tr><td>
		<i>$fb::txt{'he'}{'9'} <b>$fb::cf{'fbname'}</b> - $fb::txt{'he'}{'1'}</i><br><br>
		$fb::txt{'he'}{'10'}

		<br><br>
		$fb::txt{'he'}{'11'}
		<br><br><div align=center>$fb::txt{'he'}{'12'}</div>
			</td>

			</td></tr></table>
		~;
	}
	else {

		my @questions;
		my @answers;

		my $linksadd = "";  # option space to add smthg on the left side of the page f.e. image

		my $generaladd = "";
		my $generallink = "";
		
		if ($ref_help_data{$showhelp}) {
		
			# we have a reference from somewhere else
			
			@questions = @{$ref_help_data{$showhelp}{'quest'}};
			@answers = @{$ref_help_data{$showhelp}{'answ'}};

			if ($ref_help_data{$showhelp}{'linksadd'}) {
				$linksadd = $ref_help_data{$showhelp}{'linksadd'};
			}

		}

		## ubbc Help
		elsif ( $showhelp eq "1_ubbc" ) {

			$questions[0] = qq~$fb::txt{'he'}{'13'}~;
			$answers[0]   = qq~$fb::txt{'he'}{'14'}~;
			$questions[1] = qq~$fb::txt{'he'}{'15'}~;
			$answers[1]   = qq~$fb::txt{'he'}{'16'}~;
			$questions[2] = qq~$fb::txt{'he'}{'17'}~;
			$answers[2]   = qq~$fb::txt{'he'}{'18'}		 <br><br>
						<table border=0 cellspacing=1 cellpadding=2 class=fbborder width=99% align=center>
							
						<tr><td align=right valign=top class=fb1>$fb::txt{'he'}{'19'} &raquo;</td><td class=fb1><b>[b]</b>$fb::txt{'he'}{'20'}<b>[/b]</b></td></tr>
						<tr><td align=right valign=top class=fb1>
						<b>[b]</b> &raquo;</td><td class=fb2> $fb::txt{'he'}{'21'} </td></tR><tr>
							<td align=right valign=top class=fb1>
						<b>[<font color=red>/</font>b]</b> &raquo;</td><td class=fb2>$fb::txt{'he'}{'22'} 
						</td></tr><tr><td align=right width=150 valign=top class=fb4>
						<i>$fb::txt{'he'}{'23'}</i> &raquo;</td><td class=fb4> <b>$fb::txt{'he'}{'20'}</b></td></tr></table>
						<br>
						<table border=0 cellspacing=1 cellpadding=2 class=fbborder width=99% align=center>
							
						<tr><td align=right valign=top class=fb1>$fb::txt{'he'}{'24'} &raquo;</td><td class=fb1><b>[size=4][color=blue]</b>$fb::txt{'he'}{'20'}<b>[/color][/size]</b></td></tr>
						<tr><td align=right valign=top class=fb1>
						<b>[size=<font color=red>4</font>][color=<font color=red>blue</font>]</b> &raquo;</td><td class=fb2>$fb::txt{'he'}{'25'}</td></tR><tr>
							<td align=right valign=top class=fb1>
						<b>[<font color=red>/</font>color][<font color=red>/</font>size]</b> &raquo;</td><td class=fb2>$fb::txt{'he'}{'26'}
						</td></tr><tr><td align=right width=150 valign=top class=fb4>
						<i>$fb::txt{'he'}{'23'}</i> &raquo;</td><td class=fb4> <font size=4 color=blue>$fb::txt{'he'}{'20'}</b></td></tr></table><br>&nbsp;~;

			$questions[3] = qq~$fb::txt{'he'}{'27'}~;
			$answers[3]   = qq~$fb::txt{'he'}{'28'}~;

			&load_language("ubbcfiles");
			&load_language("loadentry");
			
			my $sth = $fb::dbh->prepare("SELECT * FROM $fb::cf{'db_prefix'}" . "ubbcinput" );
			$sth->execute() or save_db_error( DBI->errstr );

			my %button;
			my %form;
			my %form2;
			my %aktiviert;

			while ( my (@ubbcsplit) = $sth->fetchrow_array ) {

				unless ( $ubbcsplit[3] ) {
					if ( $ubbcsplit[8] ) {

						my @splith2 = split( /\*/, $ubbcsplit[8] );
						my @splith3;
						if ( $ubbcsplit[13] ) {
							@splith3 = split( /\$/, $ubbcsplit[13] );
						}

						my $i = 0;
						foreach (@splith2) {
							my ( $bes, $unw ) = split( /\/, $_ );
							$button{"$ubbcsplit[0]-$bes"}   = qq~$ubbcsplit[5]~;
							$form{"$ubbcsplit[0]-$bes"} = qq~$ubbcsplit[4]~;
							$aktiviert{"$ubbcsplit[0]-$bes"} = $ubbcsplit[11];
							if ($splith3[$i] && length( $splith3[$i] ) > 5 ) {
								$form2{"$ubbcsplit[0]-$bes"} = qq~popup~;
							}
							else {
								$form2{"$ubbcsplit[0]-$bes"} = qq~seltext~;
							}
							$i++;
						}

					}
				}
				else {
					$button{ $ubbcsplit[0] } = qq~$ubbcsplit[5]~;
					$form{ $ubbcsplit[0] } = qq~$ubbcsplit[4]~;
					$form2{ $ubbcsplit[0] } = qq~$ubbcsplit[6]~;
				}
				$aktiviert{ $ubbcsplit[0] } = $ubbcsplit[11];
			}


			my $sth2 = $fb::dbh->prepare("SELECT * FROM $fb::cf{'db_prefix'}" . "ubbc" );
			$sth2->execute() or save_db_error( DBI->errstr );
			
			my %index;
			my %allmostcount;

			my %ersetzenvar;

			# stores allowed option values
			my %options;
			
			# stores option links
			my %url;

			# stores option numbers
			my %zahl;

			# stores possible values for option
			my %save;
			
			# stores code names
			my @index;

			# stores sample syntax
			my @messagit;

			# stores UBBC code name
			my @codesinuse;
		
			# number of options per code
			my @allmostcount;
			
			# here we store the sample message to be converted
			my $ubbc_convert = "";


			my $countzerleg = 0;
			while ( my (@ubbcsplit) = $sth2->fetchrow_array ) {

				
				# to be shown in Guestbook help
				if ( $ubbcsplit[15] == 1 ) {

					# stores code name
					$index[$countzerleg] = $ubbcsplit[0];
					
					# count number of options
					my $testvaluescount = $ubbcsplit[4];
					$allmostcount[$countzerleg] = 0;
					while ( $testvaluescount =~ m~%opt(\d+)%~ig ) {
						my $mostcount = $1;
						$testvaluescount =~ s~%opt(\d+)%~~is;
						if ( $mostcount > $allmostcount[$countzerleg] ) {
							$allmostcount[$countzerleg] = $mostcount;
						}
					}

					if ($ubbcsplit[14] && (( $ubbcsplit[14] eq "glow" ) || ( $ubbcsplit[14] eq "shadow" ))) {
						$allmostcount[$countzerleg] = 2;
					}
					
					my ($incode,$inreal);

					if ($ubbcsplit[10] && $ubbcsplit[10] ne "") {
						( $incode, $inreal ) = split( /\/, $ubbcsplit[10] );
					}


					# liest die variablen und Werte aus $pruef =~ m~$ubbcsplit[3]~is ein
					#if ($1) { $ersetzen{"1"} = $1; }
					#if ($2) { $ersetzen{"2"} = $2; }
					#if ($3) { $ersetzen{"3"} = $3; }
					#if ($4) { $ersetzen{"4"} = $4; }
					#if ($5) { $ersetzen{"5"} = $5; }
					#if ($6) { $ersetzen{"6"} = $6; }
					#if ($7) { $ersetzen{"7"} = $7; }
					#if ($8) { $ersetzen{"8"} = $8; }
					#if ($9) { $ersetzen{"9"} = $9; }
					#if ($10) { $ersetzen{"10"} = $10; }
					
					# split options from syntax
					my @testsplitzer = split( /\%/, $ubbcsplit[3] );
					
					# position and count of options in use
					my %counting;

					my $countzer = 1;
					foreach (@testsplitzer) {
						if ( $_ eq "optrow" ) {
							$counting{'optrow'} = $countzer;
							$countzer++;
						}
						elsif ( $_ =~ m~opt(\d+)~i ) {
							my $optcount                         = $1;
							$counting{"opt$optcount"}         = $countzer;
							#$counting{ "opt$optcount" . "a" } = $countzer;
							$countzer++;
						}
						elsif ( $_ eq "text" ) {
							$counting{'text'} = $countzer;
							#$counting{ "text" . "a" } = $countzer;
							$countzer++;
						}
					}
					
					# stores standard values
					my %ersetzen;

					# allowed values -> read standard values to use in examples
					if ($ubbcsplit[21] && $ubbcsplit[21] ne "") {
						
						my @splitties = split( /\$/, $ubbcsplit[21] );
						
						my $count = 1;
						foreach (@splitties) {
							my @splitties2 = split( /\*/, $_ );
							
							my $onlysecond = 0;
							foreach my $splitb (@splitties2) {
								unless ( $onlysecond == 2 ) {
									# save second value to use lateron as an option
									$ersetzen{ $counting{"opt$count"} } =  $splitb;
									$save{$count}[$countzerleg] = qq~$splitb~;
									$onlysecond++;
								}
								$options{"$countzerleg"}[$count] .= qq~$splitb|~;
							}
							$count++;
						}
					}
					
					# dimensions
					if ($ubbcsplit[9] && ( $ubbcsplit[9] ne "" ) && ( $ubbcsplit[9] ne "," ) ) {
						
						my ( $width, $height ) = split( /\,/, $ubbcsplit[9] );

						$width  = $width / 3;
						$height = $height / 3;
						( $width,  undef ) = split( /\./, $width );
						( $height, undef ) = split( /\./, $height );
						
						# for users who have not implemented a maximum size we there is nothing to replace
						if ($counting{"opt1"}) {
							$ersetzen{ $counting{"opt1"} } = $width;
							
						}
						if ($counting{"opt2"}) {
							$ersetzen{ $counting{"opt2"} } = $height;
						}


					}
					
					# tag of UBBC code
					$ersetzenvar{$countzerleg}{"listtag"} = qq~$ubbcsplit[0]~;
					

					my $zerleg = $ubbcsplit[3];

					if ( $ubbcsplit[4] =~ m/icqgif/ig ) {
						$zerleg =~ s~\%opt(\d+)\%~$fb::txt{'he'}{'29'}~isg;
						$zerleg =~ s~\%digopt(\d+)\%~$fb::txt{'he'}{'29'}~is;
					}
					elsif ( $ubbcsplit[4] =~ m/aimgif/ig ) {
						$zerleg =~ s~\%opt(\d+)\%~$fb::txt{'he'}{'30'}~isg;
						$zerleg =~ s~\%digopt(\d+)\%~$fb::txt{'he'}{'30'}~is;
					}
					elsif ( $ubbcsplit[4] =~ m/msngif/ig ) {
						$zerleg =~ s~\%opt(\d+)\%~$fb::txt{'he'}{'32'}~isg;
						$zerleg =~ s~\%digopt(\d+)\%~$fb::txt{'he'}{'32'}~is;
					}
					elsif ( $ubbcsplit[4] =~ m/yimgif/ig ) {
						$zerleg =~ s~\%opt(\d+)\%~$fb::txt{'he'}{'31'}~isg;
						$zerleg =~ s~\%digopt(\d+)\%~$fb::txt{'he'}{'31'}~is;
					}
					elsif ( $ubbcsplit[4] =~ m/skypegif/ig ) {
						$zerleg =~ s~\%opt(\d+)\%~$fb::txt{'he'}{'140'}~isg;
						$zerleg =~ s~\%digopt(\d+)\%~$fb::txt{'he'}{'140'}~is;
					}
					elsif ( $ubbcsplit[4] =~ m/jabbergif/ig ) {
						$zerleg =~ s~\%opt(\d+)\%~$fb::txt{'he'}{'33'}~isg;
						$zerleg =~ s~\%digopt(\d+)\%~$fb::txt{'he'}{'33'}~is;
					}

					$zerleg =~ s~\%text\%~<b>$fb::txt{'he'}{'34'}</b>~isg;
					$zerleg =~ s~\%opt(\d+)\%~<b>$ersetzen{$counting{"opt$1"}}</b>~isg;
					$zerleg =~ s~\%lopt(\d+)\%~<b>$fb::txt{'he'}{'36'}</b>~isg;

					# url fr anzeige
					my $urlzerleg;
					if ( $ubbcsplit[0] eq "flash" ) {
						$ersetzen{ $counting{"opt1"} } = 40;
						$ersetzen{ $counting{"opt2"} } = 40;
						$urlzerleg = $fb::txt{'he'}{'37'};
					}
					else { $urlzerleg = $fb::txt{'he'}{'35'}; }

					if ( $zerleg =~ m~\%optrow\%~isg ) {
						my $test = $1;
						$ersetzenvar{$countzerleg}{"optrow"} = qq~optrow~;
						$ersetzenvar{$countzerleg}{"optrow_sign"} = qq~$incode~;
						$zerleg =~ s~\%optrow\%~<b>$incode $fb::txt{'he'}{'34'} 1 $incode $fb::txt{'he'}{'34'} 2</b>~isg;
					}

					while ( $zerleg =~ m~\%linkopt(\d+)\%~is ) {
						my $test = $1;
						$ersetzenvar{$countzerleg}{"opt$test"} = qq~url~;
						$url{$countzerleg}{"opt$test"} = $urlzerleg;
						$zerleg =~ s~\%linkopt(\d+)\%~<b>$urlzerleg</b>~is;
					}
					while ( $zerleg =~ m~\%imgopt(\d+)\%~is ) {
						my $test = $1;
						$ersetzenvar{$countzerleg}{"opt$test"} = qq~img~;
						$zerleg =~ s~\%imgopt(\d+)\%~<b>$fb::txt{'he'}{'38'}</b>~is;
					}

					while ( $zerleg =~ m~\%digopt(\d+)\%~is ) {
						my $test = $1;
						$ersetzenvar{$countzerleg}{"opt$test"} = qq~digit~;

						if ( $ersetzen{ $counting{"opt$test"} } ) {
							$zerleg =~ s~\%digopt(\d+)\%~<b>$ersetzen{$counting{"opt$test"}}</b>~is;
							$zahl{$countzerleg}{"opt$test"} = $ersetzen{ $counting{"opt$test"} };
						}
						else {
							$zerleg =~ s~\%digopt(\d+)\%~<b>3</b>~is;
							$zahl{$countzerleg}{"opt$test"} = 3;
						}
					}

					while ( $zerleg =~ m~\%emailopt(\d+)\%~is ) {
						my $test = $1;
						$ersetzenvar{$countzerleg}{"opt$test"} = qq~email~;
						$zerleg =~ s~\%emailopt(\d+)\%~<b>$fb::txt{'he'}{'39'}</b>~is;
					}

					#@testsplitzer = split( /\%/, $textsplitzer );
					#$count = 1;
					#foreach (@testsplitzer) {
					#	if ( $_ eq "optrow" ) {
					#		$counting{'optrow'} = $count;
					#		$count++;
					#	}
					#	elsif ( $_ =~ m~opt(\d+)~i ) {
					#		$optcount                         = $1;
					#		$counting{"opt$optcount"}         = $count;
					#		#$counting{ "opt$optcount" . "a" } = $count;
					#		$count++;
					#	}
					#	elsif ( $_ eq "text" ) {
					#		$counting{'text'} = $count;
					#		#$counting{ "text" . "a" } = $count;
					#		$count++;
					#	}
					#}

					my $zerleg2 = $zerleg;
					$zerleg =~ s/\<b\>//ig;
					$zerleg =~ s/\<\/b\>//ig;

					$zerleg2 =~ s/\<b\>/\<font color=red\>/ig;
					$zerleg2 =~ s/\<\/b\>/\<\/font\>/ig;
					
					# stores sample syntax
					$messagit[$countzerleg] = $zerleg2;
					
					# stores UBBC code
					$codesinuse[$countzerleg] = qq~$ubbcsplit[2]~;
					$ubbc_convert .= qq~$zerleg split9443020sdasdasdasd~;
					$countzerleg++;
				}

			}
			

			&UBBC( undef, "1", \$ubbc_convert );
			


			# the sample messages belonging to the ubbc code
			my @zerlegconverted = split( /split9443020sdasdasdasd/, $ubbc_convert );
			

			# ouput of UBBC code description in variable helpubbc
			my $helpubbc = "";
			my $countzerleg2 = 0;

			my @helplinks;

			foreach my $zerleg (@codesinuse) {

				$helpubbc .= qq~<a name=ubbc$countzerleg2></a><table border=0 cellspacing=1 cellpadding=3 class=fbborder width=90% align=center><tr><td class=fb1 valign=top colspan=5>
						<table border=0 cellspacing=0 cellpadding=0 width=100%><tr><td>$zerleg</td><td align=right>~;

				# is it activated
				if ($aktiviert{$index[$countzerleg2]}) {
					$helpubbc .= qq~<b><font color=green>$fb::txt{'he'}{'40'}</font></b>~;
				}
				else {
					$helpubbc .= qq~<b><font color=red>$fb::txt{'he'}{'41'}</font></b>~;
				}

				$helpubbc .= qq~<a href="#topubbchelp"><img src="$fb::fi{'bilderurlsk'}/allgemein/totop.gif" title="$fb::txt{'he'}{'68'}: $fb::txt{'he'}{'43'}" alt="$fb::txt{'he'}{'68'}: $fb::txt{'he'}{'43'}" border=0></a></td></tr></table>~;
				
				# for the creation of quick links to codes
				$helplinks[$countzerleg2] = qq~$zerleg~;

				my $text1 = "";
				
				if ($form{ $index[$countzerleg2] }) {
					if ( $form{ $index[$countzerleg2] } eq "button" ) {
						$text1 = qq~$fb::txt{'he'}{'44'}~;
					}
					elsif ( $form{ $index[$countzerleg2] } eq "buttondropdown" ) {
						$text1 = qq~$fb::txt{'he'}{'45'}~;
					}
					elsif ( $form{ $index[$countzerleg2] } eq "dropdown" ) {
						$text1 = qq~$fb::txt{'he'}{'45'}~;
					}
					else {
						$text1 = qq~$fb::txt{'he'}{'46'} $form{$index[$countzerleg2]}~;
					}
				}
				
				my $text2 = "";
				
				if ($form2{ $index[$countzerleg2] }) {

					if ( $form2{ $index[$countzerleg2] } eq "seltext" ) {
						$text2 = qq~$fb::txt{'he'}{'47'}~;
					}
					elsif ( $form2{ $index[$countzerleg2] } eq "popup" ) {
						$text2 = qq~$fb::txt{'he'}{'48'}~;
					}
					elsif ( $form2{ $index[$countzerleg2] } eq "optrow" ) {
						$text2 = qq~$fb::txt{'he'}{'49'}~;
					}
					elsif ( $form2{ $index[$countzerleg2] } eq "colorbox" ) {
						$text1 = qq~$fb::txt{'he'}{'50'}~;
						$text2 = qq~$fb::txt{'he'}{'47'}~;
					}
				}
				else {
					$text2 = qq~$fb::txt{'he'}{'47'}~;
				}

				$helpubbc .= qq~	
					</td></tr>
						<tr>
					<td rowspan=3 class=fb2 align=center>
					<DIV class=ubbcbutton style="width:20px">~;

				$zerleg =~ s/\<b\>//ig;
				$zerleg =~ s/\<\/b\>//ig;
				
				my $bilderurli = qq~$fb::cf{'bilderdir'}/skins/$fb::gl{'skin'}/allgemein/$ersetzenvar{$countzerleg2}{"listtag"}.gif~;

				if ( $button{ $index[$countzerleg2] } ) {
					$helpubbc .= qq~<a href="#ubbc$countzerleg2"><img src="$fb::fi{'bilderurlsk'}/allgemein/$button{$index[$countzerleg2]}" title="$zerleg" alt="$zerleg" border=0></a>~;

				}
				elsif ( -e $bilderurli ) {
					$helpubbc .= qq~<img src="$fb::fi{'bilderurlsk'}/allgemein/~;
					$helpubbc .= qq~$ersetzenvar{$countzerleg2}{"listtag"}.gif~;
					$helpubbc .= qq~" title="$zerleg" alt="$zerleg" border=0>~;
				}

				$helpubbc .= qq~</div>	
					</td>
					<td valign=top class=fb2>
					<i>$fb::txt{'he'}{'51'}:</i></td><td width=35% valign=top class=fb2>$messagit[$countzerleg2]</td><td  colspan=2 rowspan=2 width=60% class=fb2 valign=top>~;
				
				# number of options
				if ( $allmostcount[$countzerleg2] ) {

					$helpubbc .= qq~<font size=1>$fb::txt{'he'}{'52'}</font> <b>$allmostcount[$countzerleg2]</b> <font size=1>$fb::txt{'he'}{'53'}</font>~;
					
					my $countopt = 1;

					foreach my $allowedvals ( @{$options{$countzerleg2}} ) {
						if ($allowedvals) {
							
							my @allowed = split( /\|/, $allowedvals );

							$helpubbc .= qq~<br><font size=1>$fb::txt{'he'}{'54'} $countopt: $fb::txt{'he'}{'55'} <font color=red>$save{$countopt}[$countzerleg2]</font> $fb::txt{'he'}{'56'}: ~;
							
							my $countallows = 0;
							foreach (@allowed) {
								unless ( $countallows > 5 ) {
									$helpubbc .= qq~$_, ~;
								}
								else { $helpubbc .= qq~...~; last; }
								$countallows++;
							}
							$helpubbc .= qq~</font>~;
							$countopt++;
						}
					}

					for ( my $i = 1 ; $i < 13 ; ++$i ) {
						if ( $ersetzenvar{$countzerleg2}{"opt$i"} ) {
							if ( $ersetzenvar{$countzerleg2}{"opt$i"} eq "url" ) {
								$helpubbc .= qq~<br><font size=1>$fb::txt{'he'}{'54'} $i: <font color=red>$url{$countzerleg2}{"opt$i"}</font> $fb::txt{'he'}{'57'}</font>~;
							}
							elsif ( $ersetzenvar{$countzerleg2}{"opt$i"} eq "img" ) {
								$helpubbc .= qq~<br><font size=1>$fb::txt{'he'}{'54'} $i: <font color=red>$fb::txt{'he'}{'38'}</font> $fb::txt{'he'}{'58'}</font>~;
							}
							elsif ( $ersetzenvar{$countzerleg2}{"opt$i"} eq "email" ) {
								$helpubbc .= qq~<br><font size=1>$fb::txt{'he'}{'54'} $i: <font color=red>$fb::txt{'he'}{'39'}</font> $fb::txt{'he'}{'59'}</font>~;
							}
							elsif ( $ersetzenvar{$countzerleg2}{"opt$i"} eq "digit" ) {
								$helpubbc .= qq~<br><font size=1>$fb::txt{'he'}{'54'} $i: <font color=red>$zahl{$countzerleg2}{"opt$i"}</font> $fb::txt{'he'}{'60'}</font>~;
							}

						}
					}

					if ( $ersetzenvar{$countzerleg2}{"optrow"} ) {
						$helpubbc .= qq~<br><font size=1>$fb::txt{'he'}{'54'} $fb::txt{'he'}{'61'}: <font color=red>$ersetzenvar{$countzerleg2}{"optrow_sign"}</font> $fb::txt{'he'}{'62'} <font color=red>$ersetzenvar{$countzerleg2}{"listtag"}</font> $fb::txt{'he'}{'63'} </font>~;
					}

				}
				else {
					$helpubbc .= qq~<font size=1>$fb::txt{'he'}{'64'}</font>~;
				}

				$helpubbc .= qq~</td>
						</tr><tr>
					<td valign=top class=fb2>
					<i>$fb::txt{'he'}{'65'}:</i></td><td width=30% valign=top class=fb2>$zerlegconverted[$countzerleg2]</td></tr>
						<tr>
					<td valign=top class=fb2>
					<i><font size=1>$fb::txt{'he'}{'66'}:</font></i></td><td width=30% valign=top class=fb2><font size=1>$text1</font></td>
					<td valign=top class=fb2>
					<i><font size=1>$fb::txt{'he'}{'67'}:</font></i></td><td width=100% valign=top class=fb2><font size=1>$text2</font></td></tr></table><br>~;
				$countzerleg2++;
			}
			
			# create help ubbc links
			my $i = 0;
			my ($counthelp);
			
			my $helplinks2 = "";

			foreach (@helplinks) {
				unless ($counthelp) { $helplinks2 .= qq~<tr>~; $counthelp = 1; }
				$helplinks2 .= qq~<td class=fb2><a href="#ubbc$i">$_</a></td>~;
				$counthelp++;
				if ( $counthelp == 3 ) {
					$counthelp = "";
					$helplinks2 .= qq~</tr>~;
				}
				$i++;
			}

			if ( ($counthelp) && ( $counthelp < 3 ) ) {
				while ( $counthelp != 3 ) {
					$helplinks2 .= qq~<td class=fb2>&nbsp;</td>~;
					$counthelp++;
				}
			}

			$generallink = qq~$fb::txt{'he'}{'68'}~;
			$generaladd .= qq~<br><br>
					<a name="topubbchelp"></a>
					<table border=0 cellspacing=1 cellpadding=2 align=center class=fbborder width=90%>
					<tr><td class=fb2 colspan=2><b>$fb::txt{'he'}{'68'} - $fb::txt{'he'}{'43'}</b></td></tr>	
					$helplinks2</table><br>

						$helpubbc
						<br>~;
			$questions[4] = qq~$fb::txt{'he'}{'69'}~;
			$answers[4]   = qq~$fb::txt{'he'}{'70'}~;
		
		
		}		
		
		# Smilies Help
		elsif ( $showhelp eq "2_smilies" ) {

			my @smilies = &load_smilies;
			my $klicksmile = "";
			foreach (@smilies) {
				chomp $_;
				my ( $adresse, $beschr, $kuerz ) = split(/\|/, $_);
				if (-e "$fb::cf{'bilderdir'}/skins/$fb::gl{'skin'}/postsmilies/$adresse")
				{
					$klicksmile .= qq~<tr><td class=fb2 align=center><img src="$fb::fi{'bilderurlsk_noadmin'}/postsmilies/$adresse" title="$beschr" alt="$beschr" border=0></td>
										<td class=fb2>$beschr</td>
										<td class=fb2 align=center><b>$kuerz</b></td></tr>~;
				}
			}

			$questions[0] = qq~$fb::txt{'he'}{'71'}~;
			$answers[0]   = qq~$fb::txt{'he'}{'72'}~;
			$questions[1] = qq~$fb::txt{'he'}{'73'}~;
			$answers[1]   = qq~$fb::txt{'he'}{'74'}~;

			$generallink = qq~$fb::txt{'he'}{'77'} & $fb::txt{'he'}{'78'}~;
			$generaladd .= qq~<br><table border=0 cellspacing=1 class=fbborder cellpadding=3 width=90% align=center><tr>
							<td class=fb4 colspan=3><i><b>$fb::txt{'he'}{'77'}</b></i></td></tr>
						<tr><td class=fb1 align=center><b>$fb::txt{'he'}{'79'}</b></td><td class=fb1><b>$fb::txt{'he'}{'80'}</b></td>
						<td class=fb1 align=center><b>$fb::txt{'he'}{'81'}</b></td></tr>
					$klicksmile
						</td></tr></table><br>


					<table border=0 cellspacing=1 class=fbborder cellpadding=3><tr>
							<td class=fb1 colspan=2><i><b>$fb::txt{'he'}{'78'}</b></i></td></tr><tr><td class=fb2 colspan=2>
						$fb::txt{'he'}{'82'}
							</td>
							</tr>
					<tr>
					<td class=fb4 align=center><i><b>$fb::txt{'he'}{'83'}</b></i></td><td class=fb4><b><i>$fb::txt{'he'}{'84'}</i></b></td></tr>
						<tr><td class=fb2 align=center>$fb::txt{'he'}{'85'}</td><td class=fb2>$fb::txt{'he'}{'93'}</td></tr>
						<tr><td class=fb2 align=center>$fb::txt{'he'}{'86'}</td><td class=fb2>$fb::txt{'he'}{'94'}</td></tr>
						<tr><td class=fb2 align=center>$fb::txt{'he'}{'87'}</td><td class=fb2>$fb::txt{'he'}{'95'}</td></tr>
						<tr><td class=fb2 align=center>$fb::txt{'he'}{'88'}</td><td class=fb2>$fb::txt{'he'}{'96'}</td></tr>
						<tr><td class=fb2 align=center>$fb::txt{'he'}{'89'}</td><td class=fb2>$fb::txt{'he'}{'97'}</td></tr>
						<tr><td class=fb2 align=center>$fb::txt{'he'}{'90'}</td><td class=fb2>$fb::txt{'he'}{'98'}</td></tr>
						<tr><td class=fb2 align=center>$fb::txt{'he'}{'91'}</td><td class=fb2>$fb::txt{'he'}{'99'}</td></tr>
						<tr><td class=fb2 align=center>$fb::txt{'he'}{'92'}</td><td class=fb2>$fb::txt{'he'}{'100'}</td>
							</tr></table>~;
			
			$linksadd = qq~<img src="$fb::cf{'bilderurl'}/allgemein/riesensmile.gif" border=0>~;

		}
		elsif ( $showhelp eq "3_attachments" ) {

			$questions[0] = qq~$fb::txt{'he'}{'101'}~;
			$answers[0]   = qq~$fb::txt{'he'}{'102'}~;
			$questions[1] = qq~$fb::txt{'he'}{'103'}~;
			$answers[1]   = qq~$fb::txt{'he'}{'104'}~;
			$questions[2] = qq~$fb::txt{'he'}{'105'}~;
			$answers[2]   = qq~$fb::txt{'he'}{'106'} $fb::cf{'limit'} $fb::txt{'he'}{'107'}~;

			$generaladd .= qq~<br><img src="$fb::cf{'bilderurl'}/allgemein/attachment.gif" title="$fb::txt{'he'}{'108'}" alt="$fb::txt{'he'}{'108'}" border=0><br>
								<font size=1>$fb::txt{'he'}{'108'}</font>	~;
			$generallink = qq~$fb::txt{'he'}{'108'}~;
		}
		elsif ( $showhelp eq "7_activation" ) {

			$questions[0] = qq~$fb::txt{'he'}{'136'}~;
			$answers[0]   = qq~$fb::txt{'he'}{'137'}~;
			$questions[1] = qq~$fb::txt{'he'}{'138'}~;
			$answers[1]   = qq~$fb::txt{'he'}{'139'}~;

		}

		$fb::inp{"m_help"} .= qq~<table border=0 cellspacing=1 class=fbborder cellpadding=3 width=100%>~;
		$fb::inp{"m_helpmenu2"} .= qq~<a name="allquestions"></a><table border=0 cellspacing=1 width=100% class=fbborder cellpadding=3>
					~;
		
		# number of rows
		my $allcountf = @questions;
		$allcountf = $allcountf * 2;

		my $i = 0;
		foreach my $questit (@questions) {

			if ($questit) {

				$fb::inp{"m_help"} .= qq~<tr>~;
				
				if ($linksadd) {
					$fb::inp{"m_help"} .=
					  qq~<td class=fb2 rowspan=$allcountf>$linksadd</td>~;
					$linksadd = "";
				}
				
				$fb::inp{"m_helpmenu2"} .= qq~<tr><td class=fb2><i><b>&raquo; <a href="#help$i">$questit</a></b></i></td></tr>~;
				$fb::inp{"m_help"} .= qq~<td class=fb1>
									<table border=0 cellspacing=0 width=100% cellpadding=0><tr><td>
								<i><b><a name="help$i"></a>$questit</b></i></td><td align=right><a href="#allquestions"><img src="$fb::fi{'bilderurlsk'}/allgemein/totop.gif" title="$fb::txt{'he'}{'42'}" alt="$fb::txt{'he'}{'42'}" border=0></a></td></tr></table>
									
								</td></tr><tr><td class=fb2>
								$answers[$i]
										</td>
										</tr>
								~;
				$i++;
			}
		}

		if ($generallink) {
			$fb::inp{"m_helpmenu2"} .= qq~<tr><td class=fb2><i><b>&raquo; <a href="#helpgen">$generallink</a></b></i></td></tr>~;
		}
		$fb::inp{"m_helpmenu2"} .= qq~</table>~;
		$fb::inp{"m_help"} .= qq~</table><a name="helpgen"></a>$generaladd~;

	}

	$fb::fi{'main'} .= &doskin("template_help");

	&freetemp;
	exit;
}
1;
