####################### [Firebook] - guestbook ################################
# loadentry.pl		                                                          #
###############################################################################

package fb;

use strict;
use warnings;
#use diagnostics;

&load_language("loadentry");
$fb::loaded{'file_loadentry'} = 1;

sub loadentry {

	### reference of hash of values
	my $data_hash_ref = $_[0];

	# start in pageindex
	my $start = $_[1];
	
	my %le;
	
	if ($data_hash_ref) {
		%le = %{$data_hash_ref};
	}

	#my $message = $le{'message'};
	my $feedback = $le{'feedback'};

	my $oldmessage = "";
	if (length($le{'message'}) > ($fb::cf{'maximumbei2'} + 70)) { 
		# no effects for preview message
		$fb::gl{'noeffects'} = 1;
		$oldmessage = $le{'message'}; 
	}

	&UBBC($le{'nosmile'}, "1", \$le{'message'}, \$feedback);

	#$le{'message'} = $message;
	$le{'feedback'} = $feedback;

	$le{'message'} =~ s~(\S{80})(?=\S)~$1~g;
	
	$le{'message'} = &ubbc::dobadwords($le{'message'});
	$le{'betreff'} = &ubbc::dobadwords($le{'betreff'});
	$le{'name'} = &ubbc::dobadwords($le{'name'});
	$le{'ort'} = &ubbc::dobadwords($le{'ort'});
	$le{'savedinput'} = &ubbc::dobadwords($le{'savedinput'});


	# if the message has no ID yet
	unless ($le{'id'}) { $le{'id'} = ""; }
	
	# marks new entries
	my $print_new = 0;

	if ($fb::cf{'mark_new'}) {
		my $timelastvisit;
		unless ($fb::loaded{'sub_timelastvisit'}) {
			$timelastvisit = &cookie_laden('fbtimelastvisit');
			$fb::loaded{'sub_timelastvisit'} = 1;
		}
		if ($timelastvisit < $le{'datum'}) {
			$print_new = 1;
		}
		else { $print_new = 0; }
	}
	
	unless ($le{'datum'}) {
		$le{'datum'} = time;
	}
	$le{'datum'} = &formatdatum($le{'datum'});
	
	## class marking
	if ($le{'pinned'}) { $fb::inp{"m_supinfo"} = qq~$fb::txt{'le'}{'3'}~;  }
	else { $fb::inp{"m_supinfo"} = ""; }
	if ($le{'privatn'}) { $fb::inp{"m_supinfo3"} = qq~<sup>$fb::txt{'le'}{'4'}:</sup>~; $fb::inp{"m_supinfo4"} = qq~<td width=10>$fb::inp{"m_supinfo3"}&nbsp;</td>~; }
	else { $fb::inp{"m_supinfo3"} = ""; $fb::inp{"m_supinfo4"} = ""; }
	
	if ($le{'pinned'}) { $fb::inp{"m_classinfo"} = qq~pinned~; }
	elsif($print_new) { $fb::inp{"m_classinfo"} = qq~marked~; }
	else { $fb::inp{"m_classinfo"} = qq~fbborder~; $fb::gl{"m_classinfo"} = qq~fbborder~; }
	
	if ($le{'icon'}) { $fb::inp{"m_msgicon"} = qq~<img src="$fb::fi{'bilderurlsk_noadmin'}/headsmilies/$le{'icon'}" border=0>~; }
	else {  $fb::inp{"m_msgicon"} = qq~~; }

	$fb::inp{"m_name"} = qq~$le{'name'}~;
	if ($le{'ort'} && $le{'ort'} ne "") { $fb::inp{"m_ort"} = qq~$le{'ort'}~; }
	else { $fb::inp{"m_ort"} = ""; }

	$fb::inp{"m_idinfo"} = qq~$le{'id'}~;
	$fb::inp{"m_datum"} = $le{'datum'};
	$fb::inp{"m_betreff"} = $le{'betreff'};

	# for normal entries this time
	if (length($oldmessage) > ($fb::cf{'maximumbei2'} + 70)) { 

		# we turn effects on again for proper rendering
		$fb::gl{'noeffects'} = 0;

		unless ($fb::loaded{'sub_mijava'}) {
			$fb::fi{'otherjava'} .= qq~<script language="JavaScript1.2" type="text/javascript">
			<!--
			function showall(idnr) {
				document.getElementById("message" + idnr + "").innerHTML = document.getElementById("oldmessage" + idnr + "").innerHTML;
				document.getElementById("oldmessage" + idnr + "").innerHTML = "";
			}
			-->
			</script>~;
			$fb::loaded{'sub_mijava'} = 1;
		}
		
		# do preview message
		my $preview_message = substr($oldmessage,0,$fb::cf{'maximumbei2'});
		&UBBC($le{'nosmile'}, "1", \$preview_message);

		$preview_message =~ s/\[(.*?)\](.*?)$//ig;
		$preview_message =~ s/\[(.*?)\]//ig;
		my $printmessage = qq~<div STYLE="DISPLAY: inline;" name="message$le{'id'}" id="message$le{'id'}">$preview_message...<br><a href="javascript: showall('$le{'id'}');">$fb::txt{'le'}{'25'}</a></div><div STYLE="DISPLAY: inline; Z-INDEX: -1; LEFT: 0px; VISIBILITY: hidden; POSITION: absolute; TOP: 0px;" name="oldmessage$le{'id'}" id="oldmessage$le{'id'}">$le{'message'}</div>~;
		$fb::inp{"m_message"} = $printmessage;
	
	}
	else { $fb::inp{"m_message"} = "$le{'message'}"; }

	if ($le{'feedback'}) {
			$fb::inp{"m_kommentar"} = $le{'feedback'};
			$fb::inp{"m_feedback"} = "";
			$fb::inp{"m_feedback"} .= &doskin("template_admincomment");
	}
	else {
		$fb::inp{"m_kommentar"} = "";
		$fb::inp{"m_feedback"} = ""; 
	}

	if ($le{'msf'}) { &doattachment($le{'id'},$le{'msf'}); }
	&inputinshow("data",$le{'savedinput'},$le{'bewertung'},$le{'id'},undef,$le{'name'});

	&iamy2($le{'email'}, $le{'url'}, $le{'icq'}, $le{'aim'}, $le{'msn'}, $le{'yim'}, $le{'skype'}, $le{'jabber'}, $le{'state'}, $le{'name'}, $le{'hideown'}, $le{'id'}, $start);

}
sub doattachment {

	my ($id,$msf) = @_;

	$fb::inp{"m_attach"} = $fb::inp{"m_attachdoku"} = $fb::inp{"m_attachname"} = "";

	my ($src, $src_dir);

	if (-e "$fb::cf{'bilderdir'}/temp/$msf") {
		$src = qq~$fb::cf{'bilderurl'}/temp/$msf~;
		$src_dir = qq~$fb::cf{'bilderdir'}/temp/$msf~;
	}
	elsif (-e "$fb::cf{'bilderdir'}/upload/$msf") {
		$src = qq~$fb::cf{'bilderurl'}/upload/$msf~;
		$src_dir = qq~$fb::cf{'bilderdir'}/upload/$msf~;
	}



	#if (($fb::FORM{'file2'}) && ($fb::FORM{'file2'} ne "newupload")) { $msf = $fb::FORM{'file2'}; $src = qq~$fb::cf{'bilderurl'}/upload/$msf~; }

	if ($msf && ($msf ne "") && ($src)) { 

		if ($msf =~ /(jpg|gif|bmp|png|jpeg)$/i) {
		# we deal with an image	

			# not in use anymore
			#$picture = "$fb::cf{'bilderdir'}/upload/$msf";

			my ($breite,$hoehe) = &imgsize($src_dir);
			
			my ($zwwidth,$zwheight) = (0,0);

			if (($breite) && ($hoehe)) {
				$zwwidth = $breite;
				$zwheight = $hoehe;
			}

			if ((!$zwwidth) && ($fb::cf{'stwidth'} > 0)) {
				$zwwidth = $fb::cf{'stwidth'};
			}
			if ((!$zwheight) && ($fb::cf{'stheight'} > 0)) {
				$zwheight = $fb::cf{'stheight'};
			}

			if (($fb::cf{'stwidth'} > 0) && ($zwwidth > $fb::cf{'stwidth'})) {
				
				$zwheight = ($zwheight * $fb::cf{'stwidth'} / $zwwidth);
				$zwwidth = $fb::cf{'stwidth'};
			}
			if (($fb::cf{'stheight'} > 0) && ($zwheight > $fb::cf{'stheight'})) {
				$zwwidth = $zwwidth * $fb::cf{'stheight'} / $zwheight;
				$zwheight = $fb::cf{'stheight'};
			}

			my ($linka, $linkb, $showimage) = ("","","");

	#		unless ($fb::FORM{'file'}) {
				
				my $zusatzbild;

				unless ($zwwidth) {
					$zusatzbild = "";
					$linka = "<a href='$src' target='_blank'>"; $linkb = "</a>";
				}
				else {
					$zusatzbild = qq~ width="$zwwidth" height="$zwheight"~;
					if (((($breite ne "") && ($hoehe ne "")) && (($breite > $fb::cf{'stwidth'}) || ($hoehe > $fb::cf{'stheight'}))) || ($fb::cf{'showattached'} != 1)) {
						$linka = qq~<a href="javascript:void(0)" onClick="bildpopup('$src', '$fb::txt{'gl'}{'47'} $id - $msf', '$breite', '$hoehe')">~; $linkb = "</a>";
					}
					else { $linka = ""; $linkb = ""; }
				}
				$showimage = qq~<img title="$msf" alt="$msf" src="$src" border=0$zusatzbild>~;
	#		}
	#		else {
	#				$msf =~ s/.+\\([^\\]+)$|.+\/([^\/]+)$/$1/;
	#				$msf =~ s/[\(\)\$#%+,\/:?"<>'\*\;|@^!]//g;
	#				$msf =~ s/ /_/g;
	#				$src =~ s/\\/\//g;
	#				if (length($msf) > 40) { 
	#					$msf = substr($msf,0,40) . "...";
	#				}
	#				$showimage = qq~<script language="JavaScript1.2" type="text/javascript">resize_img("$src","","","","$msf","$fb::cf{'stwidth'}","$fb::cf{'stheight'}","$fb::cf{'showattached'}")</script>~;
	#		}

			if ($fb::cf{'showattached'} == 1) {

				$fb::inp{"m_attachdoku"} = qq~$linka $showimage $linkb~;
				$fb::inp{"m_attachname"} = qq~$msf~;
				if (length($fb::inp{"m_attachname"}) > 40) { 
					$fb::inp{"m_attachname"} = substr($fb::inp{"m_attachname"},0,40) . "...";
				}

				$fb::inp{"m_attach"} = qq~<table border=0 cellspacing=0 cellpadding=0><tr><td align=right>$fb::inp{"m_attachdoku"}</td></tr><tr><td align=right><font size=1>$fb::txt{'gl'}{'79'}: $fb::inp{"m_attachname"}</font></td></tr></table>~;
			}
			else {
				$fb::inp{"m_attachname"} = qq~$msf~;
				if (length($fb::inp{"m_attachname"}) > 40) { 
					$fb::inp{"m_attachname"} = substr($fb::inp{"m_attachname"},0,40) . "...";
				}
				$fb::inp{"m_attachdoku"} = qq~<table border=0 cellspacing=0 cellpadding=1><tr><td><img src="$fb::fi{'bilderurlsk'}/allgemein/heftkl.gif" border=0 alt="$fb::txt{'gl'}{'73'}: $fb::inp{'m_attachname'}" title="$fb::txt{'gl'}{'73'}: $fb::inp{"m_attachname"}"></td><td>$linka<b>$fb::inp{"m_attachname"}</b>$linkb</td></tr></table>~;
				$fb::inp{"m_attach"} = qq~$fb::inp{"m_attachdoku"}~;
			}

		}
		else {
		# the file is not an image
			
			my ($linka, $linkb);

			$fb::inp{"m_attachname"} = qq~$msf~;
			if (length($fb::inp{"m_attachname"}) > 40) { 
				$fb::inp{"m_attachname"} = substr($fb::inp{"m_attachname"},0,40) . "...";
			}

		#	unless ($fb::FORM{'file'}) {
				$linka = "<a href=\"$src\" target=_blank>";
				$linkb = "</a>";
		#	}
		#	else {
		#		$src =~ s/\\/\//g;
		#		$linka = "<a href=\"$src\" target=_blank>";
		#		$linkb = "</a>";
		#	}

			$fb::inp{"m_attachdoku"} = qq~<table border=0 cellspacing=0 cellpadding=1><tr><td><img src="$fb::fi{'bilderurlsk'}/allgemein/heftkl.gif" border=0 alt="$fb::txt{'gl'}{'73'}: $fb::inp{'m_attachname'}" title="$fb::txt{'gl'}{'73'}: $fb::inp{"m_attachname"}"></td><td>$linka<b>$fb::inp{"m_attachname"}</b>$linkb</td></tr></table>~;
			$fb::inp{"m_attach"} = qq~$fb::inp{"m_attachdoku"}~;
		
		}

	}

}
sub inputinshow {
	
	my $openedwhat = $_[0];
	my $savedinput = $_[1];
	my $bewertung = $_[2] || "";
	my $val_id = $_[3];
	my $val_nr = $_[4];
	my $val_name = $_[5];


	unless ($fb::loaded{'sub_delconfirm'}) {
		 $fb::fi{'otherjava'} .= qq~<script language="JavaScript1.2" type="text/javascript">
		<!--
		function deleteconfirm(deletenr, deletepath) {
				if (confirm("$fb::txt{'le'}{'16'} "+ deletenr +" $fb::txt{'le'}{'17'}")) {
					window.location.href="$fb::gl{'scriptac'}=" + deletepath;
				}
		}
		-->
		</script>~;
		$fb::loaded{'sub_delconfirm'} = 1;
	}

	$fb::inp{"m_bewertung"} = "";
	$fb::inp{"m_bewinputs"} = "";
	$fb::inp{"m_allinputs"} = "";


	## possibility to add extra modules -> own fields, extra fields

	if ($fb::mod{'action_modules'}{'format_extra_field'}) {
		foreach my $mod (@{$fb::mod{'action_modules'}{'format_extra_field'}}) {
			if ($fb::mod{'modules_info'}{$mod->[0]}[0] == 1) {
				unless ($fb::loaded{$mod->[1]}) {
					require "$fb::gl{'subsdir'}/$mod->[1].pl";
					$fb::loaded{$mod->[1]} = 1;
				}
				my $check = $mod->[2]->($openedwhat, $savedinput, $val_id, $val_nr, $val_name);
			}
		}
	}
	

	if ($fb::cf{'f_bewertung'} != 0) { 
		
		my $bew_text; 

		if ($bewertung eq "1")		{	$bew_text = $fb::txt{'gl'}{'58'};	}
		elsif($bewertung eq "2")	{	$bew_text = $fb::txt{'gl'}{'57'};	}
		elsif($bewertung eq "3")	{	$bew_text = $fb::txt{'gl'}{'56'};	}
		elsif($bewertung eq "4")	{	$bew_text = $fb::txt{'gl'}{'55'};	}
		elsif($bewertung eq "5")	{	$bew_text = $fb::txt{'gl'}{'54'};	}
		else { $bew_text = $fb::txt{'gl'}{'70'}; $bewertung = "0"; }

		$fb::inp{"m_bewertung"} = qq~<img src="$fb::fi{'bilderurlsk'}/bewertung/$bewertung.gif" valign="middle" border=0 title="$bew_text" alt="$bew_text"> <font style="font-size: 9px; vertical-align: middle; text-transform: uppercase; display: inline;">$bew_text</font>~;	
	
	}

	$fb::inp{"m_bewinputs"} = qq~<font size=1>[ $fb::inp{"m_bewertung"} ] $fb::inp{"m_allinputs"}</font>~;

}
sub iamy2 {
	
  # start -> number of pageindex , rest is actual data in entry
  my ($email, $url, $icq, $aim, $msn, $yim, $skype, $jabber, $state, $name, $hideown, $id, $start) = @_;


	my @getv = qw/email url editicon icq aim yim msn skype jabber state/;
	foreach (@getv) {
		$fb::inp{"m_$_"} = "";
	}

	my ($zusatzl,$zusatzm);

	if ($email ne "") { 
		if (($fb::cf{'versteckm'} != 1) && ($hideown != 1)) {  
			# show e-mail adress
			$fb::inp{"m_email"} = qq~ <a href="mailto:$email"><img alt="$email" title="$email" src="$fb::fi{'bilderurlsk'}/allgemein/email.gif" border=0></a> ~; 
		}
		elsif ($fb::cf{'act_fmailer'}) {
			# modification for mod_fmail formailer
			# show formailer link
			my $target = "";

			# mod_comm hack
			if (($fb::cf{'popup_act'} == 1) && ($fb::gl{'action'} =~ m/mod_comm_comments/i)) { $target = " target=_blank"; } 
			$fb::inp{"m_email"} = qq~ <a$target href="$fb::gl{'scriptac'}=mod_fmail_formail;id=$id"><img title="$fb::txt{'le'}{'1'}" alt="$fb::txt{'le'}{'1'}" src="$fb::fi{'bilderurlsk'}/allgemein/email.gif" border=0></a> ~; 
		}
		else {
			# hide e-mail totally
			$fb::inp{"m_email"} = qq~ <img title="$fb::txt{'le'}{'1'}" alt="$fb::txt{'le'}{'1'}" src="$fb::fi{'bilderurlsk'}/allgemein/email.gif" border=0> ~; 
		}
	}
	$zusatzm .= qq~$fb::inp{"m_email"}~;

	if ($url && $url ne "") { 
		if ($fb::cf{'stealthurl'}) { 
			$url = &stealthurl($url);
			#my $pr_url = convert_to_hex($url); $url = qq~$fb::gl{'script'}?action=redirectexit;url=$pr_url~;	
		}
		$fb::inp{"m_url"} = qq~<a target="_blank" href="$url"><img alt="$url" title="$url" src="$fb::fi{'bilderurlsk'}/allgemein/homepage.gif" border=0></a>\n~; 
	}

	$zusatzm .= qq~$fb::inp{"m_url"}~;

	unless ($fb::INFO{'show'}) { $fb::INFO{'show'} = ""; }
	
	if (($fb::gl{'is_admin'}) || ($fb::cf{'editicon'} != 0)) { 
		if (!$fb::gl{'vorschau'} && !$fb::gl{'remove_editicons'}) { 
			my $target = "";

			# mod_comm hack
			if ((($fb::cf{'popup_act'} == 1) && ($fb::gl{'action'} =~ m/mod_comm_comments/i)) || ($fb::gl{'skin'} eq "admin")) { $target = " target=_blank"; } 
			
			my $actionstring = &fb::convert_argument("edit;id=$id");
			$fb::inp{"m_editicon"} = qq~ <a$target href="$fb::gl{'scriptac'}=customlogin;action_follow=$actionstring">
				<img border=0 src="$fb::fi{'bilderurlsk'}/allgemein/edit.gif" title="$fb::txt{'le'}{'2'}" alt="$fb::txt{'le'}{'2'}"></a> ~; 
		}
	}
	if ($fb::inp{"m_deleteicon"}) {
		$fb::inp{"m_editicon"} .= " " . $fb::inp{"m_deleteicon"};
	}
	elsif (($fb::gl{'is_admin'}) || ($fb::cf{'editicon'} != 0)) { 
		if (!$fb::gl{'vorschau'} && !$fb::gl{'remove_editicons'}) {
			unless ($start) { $start = 0; }

			my $actionstring = &fb::convert_argument("deleteit;id=$id;start=$start;return=messageindex");

			$fb::inp{"m_editicon"} .= qq~ <a href="javascript:deleteconfirm('$id','customlogin;action_follow=$actionstring')">
				<img border=0 src="$fb::fi{'bilderurlsk'}/allgemein/loeschen.gif" title="$fb::txt{'le'}{'15'}" alt="$fb::txt{'le'}{'15'}"></a> ~;
		}
	}

	$zusatzm .= qq~$fb::inp{"m_editicon"}~;
	
	if ($fb::cf{'f_icq'} != 0) { 
		if ($icq && $icq ne "") { $fb::inp{"m_icq"} = qq~<a target="_blank" href="http://wwp.mirabilis.com/scripts/Search.dll?to=$icq"><img src="http://web.icq.com/whitepages/online?icq=$icq&amp;img=5" with=18 height=18 alt="$name $fb::txt{'le'}{'8'}" title="$name $fb::txt{'le'}{'8'}" border="0"></a>\n~; }
	}
	$zusatzl .= qq~$fb::inp{"m_icq"}~;

	if ($fb::cf{'f_aim'} != 0) { 
		if ($aim && $aim ne "") { 
			my $urlto;
			if ($fb::cf{'useonlinehost'} ne "") { $urlto = qq~$fb::cf{'useonlinehost'}/aim/$aim~; } 
			else { $urlto = qq~$fb::fi{'bilderurlsk'}/allgemein/aim.gif~; } 
			$fb::inp{"m_aim"} = qq~<a target="_blank" href="aim:goim?screenname=$aim"><img src="$urlto" border="0" title="$aim" alt="$aim"></a>\n~; 
		}
	}
	$zusatzl .= qq~$fb::inp{"m_aim"}~;

	if ($fb::cf{'f_msn'} != 0) { 
		if ($msn && $msn ne "") { 
			if ($fb::cf{'useonlinehost'} ne "") { $fb::inp{"m_msn"} = qq~<A target="_blank" HREF="$fb::cf{'useonlinehost'}/message/msn/$msn"><img src="$fb::cf{'useonlinehost'}/msn/$msn" title="$fb::txt{'le'}{'9'} $msn" alt="$fb::txt{'le'}{'9'} $msn" border=0></a>\n~; } 
			else { $fb::inp{"m_msn"} .= qq~<img src="$fb::fi{'bilderurlsk'}/allgemein/msn.gif" alt="$fb::txt{'le'}{'9'} $msn" border=0>\n~; } 
		}
	}
	$zusatzl .= qq~$fb::inp{"m_msn"}~;

	if ($fb::cf{'f_yim'} != 0) { 
		if ($yim && $yim ne "") { $fb::inp{"m_yim"} = qq~<a target="_blank" href="http://edit.yahoo.com/config/send_webmesg?.target=$yim"><img SRC="http://opi.yahoo.com/online?u=$yim&amp;m=g&amp;t=0" NOSAVE BORDER=0 title="$yim" alt="$yim"></a>\n~; } 
	}
	$zusatzl .= qq~$fb::inp{"m_yim"}~;

	if ($fb::cf{'f_skype'} != 0) { 
		if ($skype && $skype ne "") { 
			my $urlto;
			if ($fb::cf{'useonlinehost'} ne "") { $urlto = qq~$fb::cf{'useonlinehost'}/skype/$skype~; } 
			else { $urlto = qq~$fb::fi{'bilderurlsk'}/allgemein/skype.gif~; } 
			$fb::inp{"m_skype"} = qq~<a target="_blank" href="skype:$skype?call"><img SRC="$urlto" NOSAVE BORDER=0 title="$skype" alt="$skype" onerror="this.onerror=null;this.src='$fb::cf{'useonlinehost'}/image/skypeunknown.gif';"></a>\n~; 
		} 
	}
	$zusatzl .= qq~$fb::inp{"m_skype"}~;

	if ($fb::cf{'f_jabber'} != 0) { 
		if ($jabber && $jabber ne "") { 
			if ($fb::cf{'useonlinehost'} ne "") { $fb::inp{"m_jabber"} = qq~<A target="_blank" HREF="$fb::cf{'useonlinehost'}/message/jabber/$jabber"><img src="$fb::cf{'useonlinehost'}/jabber/$jabber" title="$fb::txt{'le'}{'9'} $jabber" alt="$fb::txt{'le'}{'9'} $jabber" border=0></a>\n~; } 
			else { $fb::inp{"m_jabber"} .= qq~<img src="$fb::fi{'bilderurlsk'}/allgemein/jabber.gif" alt="$jabber" border=0>\n~; } 
		}
	}
	$zusatzl .= qq~$fb::inp{"m_jabber"}~;

	if ($fb::cf{'f_state'} == 1) { 
		if ($state && $state ne "") { 
			my $state2 = $state; 
			$state2 =~ s/_/ /g; 
			my $no_state = 0;
			my $type;
			if (-e "$fb::cf{'bilderdir'}/skins/$fb::gl{'skin'}/flags/$state.gif") { $type = "gif"; }
			elsif (-e "$fb::cf{'bilderdir'}/skins/$fb::gl{'skin'}/flags/$state.jpg") { $type = "jpg"; }
			elsif (-e "$fb::cf{'bilderdir'}/skins/$fb::gl{'skin'}/flags/$state.jpeg") { $type = "jpeg"; }
			elsif (-e "$fb::cf{'bilderdir'}/skins/$fb::gl{'skin'}/flags/$state.png") { $type = "png"; }
			else { $no_state = 1; }
			unless ($no_state) {
				if ($state2 eq "none") { $state2 = $fb::txt{'le'}{'28'}; }
				$fb::inp{"m_state"} = qq~ <img src="$fb::fi{'bilderurlsk'}/flags/$state.$type" title="$state2" alt="$state2" border=0> ~;   
				$zusatzm .= qq~</td><td>&nbsp; | &nbsp;</td><td>$fb::inp{"m_state"}~; 
			}
		}
	}

	if ($fb::inp{"add_zusatzm"}) {
		# if there are additional fields from modules
		$zusatzm .= $fb::inp{"add_zusatzm"};
		$fb::inp{"add_zusatzm"} = "";
	}

	my $mainqq = "";
	if (($zusatzl ne "") && ($zusatzm ne "")) { $mainqq .= qq~$zusatzl</td><td>&nbsp; | &nbsp;</td><td>$zusatzm\n~;}
	elsif ($zusatzl ne "") { $mainqq .= qq~$zusatzl\n~; }
	elsif ($zusatzm ne "") { $mainqq .= qq~$zusatzm\n~; }

	$fb::inp{"m_zusatz"} = qq~<table border=0 cellspacing=0 cellpadding=0><tr><td>$mainqq</td></tr></table>~;

}
sub imgsize {
	my ($file) = shift @_;
	my ($x,$y) = (0,0);

	if (defined($file) && open(STRM, "<$file")) {
		binmode (STRM);
		if ($file =~ /\.jpg$/i || $file =~ /\.jpeg$/i) {
			($x,$y) = &jpgsize(\*STRM);
		} elsif ($file =~ /\.gif$/i) {
			($x,$y) = &gifsize(\*STRM);
		} elsif ($file =~ /\.png$/i) {
			($x,$y) = &pngsize(\*STRM);
		}
		close(STRM);
	}
	return ($x,$y);
}

sub gifsize {
	my ($GIF) = @_;
	my ($type,$a,$b,$c,$d,$s) = (0,0,0,0,0,0);

	if (defined($GIF) && read($GIF, $type, 6) && $type =~ /GIF8[7,9]a/ && read($GIF,$s,4) == 4) {
		($a,$b,$c,$d) = unpack("C"x4,$s);
		return ($b<<8|$a,$d<<8|$c);
	}
	return (0,0);
}
sub pngsize {
	my ($PNG) = @_;
	my ($head) = "";
	my ($a,$b,$c,$d,$e,$f,$g,$h) = 0;

	if (defined($PNG) && read($PNG,$head,8) == 8 && $head eq "\x89\x50\x4e\x47\x0d\x0a\x1a\x0a" && read($PNG,$head,4) == 4 && read($PNG,$head,4) == 4 && $head eq "IHDR" && read($PNG,$head,8) == 8) {
		($a,$b,$c,$d,$e,$f,$g,$h) = unpack("C"x8,$head);
		return ($a<<24|$b<<16|$c<<8|$d,$e<<24|$f<<16|$g<<8|$h);
	}
	return (0,0);
}
sub jpgsize {
	my ($JPEG) = @_;
	my ($done) = 0;
	my ($c1,$c2,$ch,$s,$length,$dummy) = (0,0,0,0,0,0);
	my ($a,$b,$c,$d);

	if (defined($JPEG) && read($JPEG,$c1,1) && read($JPEG,$c2,1) && ord($c1) == 0xFF && ord($c2) == 0xD8) {
		while (ord($ch) != 0xDA && !$done) {
			while (ord($ch) != 0xFF) { return(0,0) unless read($JPEG,$ch,1); }
			while (ord($ch) == 0xFF) { return(0,0) unless read($JPEG,$ch,1); }
			if ((ord($ch) >= 0xC0) && (ord($ch) <= 0xC3)) {
				return(0,0) unless read($JPEG,$dummy,3);
				return(0,0) unless read($JPEG,$s,4);
				($a,$b,$c,$d) = unpack("C"x4,$s);
				return ($c<<8|$d, $a<<8|$b );
			} else {
				return(0,0) unless read($JPEG,$s,2);
				($c1,$c2) = unpack("C"x2,$s);
				$length = $c1<<8|$c2;
				last if (!defined($length) || $length < 2);
				read($JPEG,$dummy,$length-2);
			}
		}
	}
	return (0,0);
}
sub showit {

	# start number of page index
	my $start = $_[0];

	# reference to data hash(!)
	# normal entries: ($id, $datum, $name, $icon, $email, $url, $ip, $icq, $aim, $msn, $skype, $yim, $message, $feedback, $bewertung, $ort, $nosmile, $frei, $msf, $hideown, $savedinput, $privatn, $pinned, $betreff, $jabber, $state, $sprchosen)
	my $data_hash_ref = $_[1];

	# search stuff
	my $damerkold = $_[2];
	my $wo = $_[3];
	my $typese = $_[4];
	my $datumi = $_[5];

	### show emails
	$fb::cf{'versteckm'} = 0;

	my $return_message;

	unless ($fb::loaded{'sub_shownforpop'}) { &popupjs; $fb::loaded{'sub_shownforpop'} = 1;	}
	

	# this is going to be a normal entry

	# normal entries: ($id, $datum, $name, $icon, $email, $url, $ip, $icq, $aim, $msn, $skype, $yim, $message, $feedback, $bewertung, $ort, $nosmile, $frei, $msf, $hideown, $savedinput, $privatn, $pinned, $betreff, $jabber, $state, $sprchosen)

	my $id = ${$data_hash_ref}{'id'};
	my $msf = ${$data_hash_ref}{'msf'};
	my $icon = ${$data_hash_ref}{'icon'};
	
	# custom delete button

	my $suchbutton = "";
	
	if ($wo) {
		my $pr_damerk = convert_to_hex($damerkold);
		$suchbutton = qq~;wo=$wo;type=$typese;was=$pr_damerk;datum=$datumi~;
	}

	if (!$fb::gl{'remove_editicons'}) {

		my $return_action = "";
		if ($fb::gl{'action'} eq "privatn") {
			$return_action = "privatn";
		}
		elsif ((!$fb::gl{'vorschau'}) && ($fb::gl{'action'} =~ m/such/i)) {
			$return_action = "such2";
		}

		my $actionstring = &fb::convert_argument("deleteit;id=$id;start=$start;return=$return_action;$suchbutton");

		$fb::inp{"m_deleteicon"} = qq~ <a href="javascript:deleteconfirm('$id','customlogin;action_follow=$actionstring')"><img border=0 src="$fb::fi{'bilderurlsk'}/allgemein/loeschen.gif" alt="$fb::txt{'gl'}{'115'}" title="$fb::txt{'gl'}{'115'}"></a>~;

	}
	## Have to get the data from somewhere to send it to loadentry();
	&loadentry($data_hash_ref,$start);


	
	# custom stuff for fields not opened from main page

	$return_message .= qq~
	<table width="100%" border=0 cellspacing=1 cellpadding=2 class=$fb::inp{"m_classinfo"}><tr><td class=fbcatbg>
	<table width="100%" border=0 cellspacing=0 cellpadding=0><tr>$fb::inp{"m_supinfo"} $fb::inp{"m_supinfo4"}~;

	if ($icon && ($icon ne "")) { 	if ($fb::cf{'headsmilies'} != 0 ) { 	$return_message .= qq~<td width=24>$fb::inp{"m_msgicon"}&nbsp;</td> \n~; 	} }

	$return_message .= qq~ <td class=fbcatbg><b>$fb::inp{"m_name"}</b>~;

	if ($fb::inp{"m_ort"}) { $return_message .= qq~ $fb::txt{'le'}{'5'} $fb::inp{"m_ort"}~; }
	if ($fb::inp{"m_betreff"}) { $return_message .= qq~ &nbsp; ($fb::inp{"m_betreff"})~; }

	$return_message .= qq~</td><td align=right class=fbcatbg><font size=1> $fb::inp{"m_idinfo"} $fb::txt{'gl'}{'122'} $fb::inp{"m_datum"}</font></td></tr></table></td></tr><tr><td class=fb2>~;
	
	if ((($fb::cf{'attachakt'} == 1) || ($fb::cf{'attachzusatz'} == 1)) && ($msf && $msf ne "") && (-e "$fb::cf{'bilderdir'}/upload/$msf")) {
		$return_message .= qq~<table border=0 cellspacing=0 cellpadding=0 width=100%><tr><td valign=top class=fb2>~; 
	}
		
	$return_message.= qq~$fb::inp{"m_message"} $fb::inp{"m_feedback"}~;
	
	if ((($fb::cf{'attachakt'} == 1) || ($fb::cf{'attachzusatz'} == 1)) && ($msf && $msf ne "") && (-e "$fb::cf{'bilderdir'}/upload/$msf")) { 	
		$return_message .= qq~</td><td align=right>$fb::inp{"m_attach"}</td></tr></table>~; 
	}
	$return_message .= qq~</td></tr><tr><td class=fb1><table width="100%" border=0 cellspacing=0 cellpadding=0><tr><td>$fb::inp{"m_bewinputs"}</td><td align=right><table border=0 cellspacing=0 cellpadding=0><tr><td align=right>$fb::inp{"m_zusatz"}</tr></table></td></tr></table></td></tr></table>~;
	$return_message .= qq~<br>~;


	return $return_message;
}

1;