####################### [Firebook] - guestbook ################################
# loadfields.pl  		                                                      #
###############################################################################

package fb;

use strict;
use warnings;
#use diagnostics;

&load_language("loadfields");
$fb::loaded{'file_loadfields'} = 1;

sub loadfields {

	# fields loaded from cookies or from saved sources (while editing i.e.)
	my %loadf;
	if ($_[0]) {
		%loadf = %{$_[0]};
	}

	# loadvars are divided into :
	# $fb::inp{'q_XX'} -> Quick Entry
	# $fb::inp{'m_XX'} -> Main
	# $fb::inp{'u_XX'} -> UBBC Code Fields
	
	# normal field or quick field
	#my $type = ($fb::gl{'action'} eq "") ? "q" : "m";
	my $type = $_[1] || "m";	# there can be set another type to not confuse fields with existing ones
	
	my $sendac = "";
	if ($fb::gl{'action'} =~ m/edit/i) { $sendac = "edit"; }
	else { $sendac = "message"; }

	&loadfields_main(\%loadf,$sendac,"1",$type);
	
	if ($fb::cf{'markpflicht'}) { 
		
		my @allwichtigs = qw/wicht_betreff wicht_name wicht_email wicht_url wicht_ort wicht_state wicht_bewertung wicht_icq wicht_aim wicht_yim wicht_msn wicht_skype wicht_jabber wicht_file/;
		
		$fb::inp{"$type"."_pflichtmark"} = "*"; 
		
		# mod_users addon
		if ($fb::cf{'ebene1'} > 1) { $fb::inp{"$type"."_pflichtpassword"} = "*"; }

		foreach (@allwichtigs) {
			my ($unwichtig,$namewas) = split(/\_/, $_);
			$fb::inp{"$type"."_pflicht"."$namewas"} = ($fb::cf{$_} == 1) ? "*" : "";
		}

	}

	if (($fb::cf{'wicht_state'}) || ($fb::cf{'f_state'} == 1)) {
		
		$fb::inp{"$type"."_state"} = qq~<select name=state>~;
		
		my $stcheck = "";
		if ($fb::FORM{'state'}) { $stcheck= $fb::FORM{'state'}; }
		elsif (($loadf{'state'}) && (!$fb::gl{'vorschau'})) { $stcheck = $loadf{'state'}; }
				
		my @contents = &opendirectory("$fb::cf{'bilderdir'}/skins/$fb::gl{'skin'}/flags");
		@contents = sort{uc($a) cmp uc($b)} (@contents);

		$fb::inp{"$type"."_state"} .= qq~<option value="none">$fb::txt{'lo'}{'31'}</option>~;
		  
		foreach (@contents){
			my @results = split(/\./, $_);

			if ((($results[1] eq "gif") || ($results[1] eq "jpg")  || ($results[1] eq "jpeg") || ($results[1] eq "png")) && ($results[0] ne "none")){
				
				my $ch = ($results[0] eq "$stcheck") ? " selected" : "";
				my $check = $results[0];
				$check =~ s/\_/\ /g;
				$fb::inp{"$type"."_state"} .= qq~<option value="$results[0]"$ch>$check</option>~;
			}
		}
		$fb::inp{"$type"."_state"} .= qq~</select>~;
	}

	if (($fb::cf{'wicht_betreff'}) || ($fb::cf{'f_betreff'} == 1)) {
		$fb::inp{"$type"."_betreff"} = qq~<input type=text id=betreff name=betreff size=40~; 
		if ($fb::FORM{'betreff'}) { $fb::inp{"$type"."_betreff"} .= qq~ value="$fb::FORM{'betreff'}"~; } 
		elsif (($loadf{'betreff'}) && (!$fb::gl{'vorschau'})) { $fb::inp{"$type"."_betreff"} .= qq~ value="$loadf{'betreff'}"~; } 
		$fb::inp{"$type"."_betreff"} .= qq~ maxlength="$fb::cf{'mzeich_betreff'}">~;
	}

	if (($fb::cf{'wicht_url'}) || ($fb::cf{'f_url'} == 1)) {
		$fb::inp{"$type"."_homepage"} = qq~<input type=text id=url name="url" size=20~; if ($fb::FORM{'url'}) { $fb::inp{"$type"."_homepage"} .= qq~ value="$fb::FORM{'url'}"~; } elsif (($loadf{'url'}) && (!$fb::gl{'vorschau'})) { $fb::inp{"$type"."_homepage"} .= qq~ value="$loadf{'url'}"~; } else { $fb::inp{"$type"."_homepage"} .= qq~ value="http://"~; } $fb::inp{"$type"."_homepage"} .= qq~ maxlength="$fb::cf{'mzeich_url'}">~;
	}
	if (($fb::cf{'wicht_ort'}) || ($fb::cf{'f_ort'} == 1)) {
		$fb::inp{"$type"."_ort"} = qq~<input type=text id=ort name="ort" size=20~; if ($fb::FORM{'ort'}) { $fb::inp{"$type"."_ort"} .= qq~ value="$fb::FORM{'ort'}"~; } elsif (($loadf{'ort'}) && (!$fb::gl{'vorschau'})) { $fb::inp{"$type"."_ort"} .= qq~ value="$loadf{'ort'}"~; } $fb::inp{"$type"."_ort"} .= qq~ maxlength="$fb::cf{'mzeich_ort'}">~;
	}

	if ($fb::cf{'headsmilies'}) {

		$fb::inp{"$type"."_headsmilies"} .= qq~
		<script language="JavaScript1.2" type="text/javascript">
		<!--
		function showimage()
		{
			document.images.icons.src="$fb::fi{'bilderurlsk_noadmin'}/headsmilies/"+document.fiform.icon.options[document.fiform.icon.selectedIndex].value;
		}
		//-->
		</script>	
		~;	

		$fb::inp{"$type"."_headsmilies"} .= qq~<select id=icon name="icon" onChange="showimage()">~;

		# headsmilies

		my @smilies2 = &openfile("$fb::gl{'headsmiliespath'}");
		
		# actually used icon
		my $adresse2;
		
		if ($fb::FORM{'icon'}) { 
			$fb::inp{"$type"."_headsmilies"} .= qq~<option value="$fb::FORM{'icon'}">$fb::txt{'lo'}{'34'}</option>\n~; 
			$adresse2 = $fb::FORM{'icon'}; 
		}
		elsif (($loadf{'icon'}) && (!$fb::gl{'vorschau'})) { 
			$fb::inp{"$type"."_headsmilies"} .= qq~<option value="$loadf{'icon'}">$fb::txt{'lo'}{'34'}</option>\n~; 
			$adresse2 = $loadf{'icon'}; 
		}
		
		my $countin = 0;
		foreach (@smilies2) {
			chomp $_;
			my ($adresse, $beschr) = split(/\|/, $_);
			if ($countin == 0) { $adresse2 = "$adresse";}
			if (-e "$fb::cf{'bilderdir'}/skins/$fb::gl{'skin'}/headsmilies/$adresse") {
				$fb::inp{"$type"."_headsmilies"} .= qq~<option value="$adresse">$beschr</option>\n~;
			}
			$countin++;
		}

		$fb::inp{"$type"."_headsmilies"} .= qq~<option value="noicon.gif">$fb::txt{'lo'}{'35'}</option></select><img align="absmiddle" src="$fb::fi{'bilderurlsk_noadmin'}/headsmilies/$adresse2" name="icons" border=0 hspace=15>~;

	}

	if ($fb::cf{'wicht_bewertung'} || ($fb::cf{'f_bewertung'} == 1)) {
		
		my $checkbew = 0;
		if ($fb::FORM{'bewertung'}) { $checkbew = $fb::FORM{'bewertung'}; }
		elsif (($loadf{'savedbewertung'}) && (!$fb::gl{'vorschau'})) { $checkbew = $loadf{'savedbewertung'}; }
		
		my ($tipp1,$tipp1a,$tipp2,$tipp2a,$tipp3,$tipp3a,$tipp4,$tipp4a,$tipp5,$tipp5a,$tipp6,$tipp6a) = ("","","","","","","","","","","","");
		if ($checkbew eq "0") { $tipp1 = " checked"; $tipp1a = " selected"; }
		elsif ($checkbew eq "5") { $tipp2 = " checked"; $tipp2a = " selected"; }
		elsif ($checkbew eq "4") { $tipp3 = " checked"; $tipp3a = " selected"; }
		elsif ($checkbew eq "3") { $tipp4 = " checked"; $tipp4a = " selected"; }
		elsif ($checkbew eq "2") { $tipp5 = " checked"; $tipp5a = " selected"; }
		elsif ($checkbew eq "1") { $tipp6 = " checked"; $tipp6a = " selected"; }
		else { $tipp1 = " checked"; }

		if ($fb::cf{'bewgraphics'}) {
			$fb::inp{"$type"."_bewertung"} = qq~
			<input type=radio id=bewertung name=bewertung value="0"$tipp1><img src="$fb::fi{'bilderurlsk'}/bewertung/0.gif" valign=middle alt="$fb::txt{'gl'}{'59'}" title="$fb::txt{'gl'}{'59'}"> <font style="font-size: 9px; vertical-align: middle; text-transform: uppercase; display: inline;">$fb::txt{'gl'}{'70'}</font> <br>
			<input type=radio id=bewertung name=bewertung value="5"$tipp2><img src="$fb::fi{'bilderurlsk'}/bewertung/5.gif" valign=middle alt="$fb::txt{'gl'}{'54'}" title="$fb::txt{'gl'}{'54'}"> <font style="font-size: 9px; vertical-align: middle; text-transform: uppercase; display: inline;">$fb::txt{'gl'}{'54'}</font><br>
			<input type=radio id=bewertung name=bewertung value="4"$tipp3><img src="$fb::fi{'bilderurlsk'}/bewertung/4.gif" valign=middle alt="$fb::txt{'gl'}{'55'}" title="$fb::txt{'gl'}{'55'}"> <font style="font-size: 9px; vertical-align: middle; text-transform: uppercase; display: inline;">$fb::txt{'gl'}{'55'}</font><br> 
			<input type=radio id=bewertung name=bewertung value="3"$tipp4><img src="$fb::fi{'bilderurlsk'}/bewertung/3.gif" valign=middle alt="$fb::txt{'gl'}{'56'}" title="$fb::txt{'gl'}{'56'}"> <font style="font-size: 9px; vertical-align: middle; text-transform: uppercase; display: inline;">$fb::txt{'gl'}{'56'}</font><br>
			<input type=radio id=bewertung name=bewertung value="2"$tipp5><img src="$fb::fi{'bilderurlsk'}/bewertung/2.gif" valign=middle alt="$fb::txt{'gl'}{'57'}" title="$fb::txt{'gl'}{'57'}"> <font style="font-size: 9px; vertical-align: middle; text-transform: uppercase; display: inline;">$fb::txt{'gl'}{'57'}</font><br>
			<input type=radio id=bewertung name=bewertung value="1"$tipp6><img src="$fb::fi{'bilderurlsk'}/bewertung/1.gif" valign=middle alt="$fb::txt{'gl'}{'58'}" title="$fb::txt{'gl'}{'58'}"> <font style="font-size: 9px; vertical-align: middle; text-transform: uppercase; display: inline;">$fb::txt{'gl'}{'58'}</font>
			~;
		}
		else{
			$fb::inp{"$type"."_bewertung"} = qq~<select id=bewertung name="bewertung">
			<option value="0"$tipp1a>$fb::txt{'gl'}{'59'}</option>
			<option value="5"$tipp2a>$fb::txt{'gl'}{'54'}</option>
			<option value="4"$tipp3a>$fb::txt{'gl'}{'55'}</option>
			<option value="3"$tipp4a>$fb::txt{'gl'}{'56'}</option>
			<option value="2"$tipp5a>$fb::txt{'gl'}{'57'}</option>
			<option value="1"$tipp6a>$fb::txt{'gl'}{'58'}</option>
			</select>~;
		}
	}

	if ($fb::cf{'privatna'} == 1) {
		my $privatnc = "";
		if ($fb::FORM{'privatn'}) { $privatnc = " checked";	} elsif (($loadf{'privatn'}) && (!$fb::gl{'vorschau'})) { $privatnc = " checked";	}
		$fb::inp{"$type"."_privatn"} = qq~<input type=checkbox id=privatn name="privatn" value="1"$privatnc>~;
	}

	if ($fb::cf{'mailusrwahl'} == 1) {

		$fb::inp{"$type"."_mailformat"} = qq~<select id=mailfusr name=mailfusr>~;
		if ($fb::FORM{'mailfusr'}) { $fb::cf{'sendmvia'} = $fb::FORM{'mailfusr'}; }
		elsif (($loadf{'mailfusr'}) && (!$fb::gl{'vorschau'})) { $fb::cf{'sendmvia'} = $loadf{'mailfusr'}; }

		if ($fb::cf{'sendmvia'} eq "plain") { $fb::inp{"$type"."_mailformat"} .= qq~<option value="plain" selected>$fb::txt{'lo'}{'36'}</option><option value="html">$fb::txt{'lo'}{'37'}</option>~; }
		else { $fb::inp{"$type"."_mailformat"} .= qq~<option value="plain">$fb::txt{'lo'}{'36'}</option><option value="html" selected>$fb::txt{'lo'}{'37'}</option>~; }
		$fb::inp{"$type"."_mailformat"} .= qq~</select>~;
	}

	if (($fb::cf{'wicht_file'}) || ($fb::cf{'attachakt'} == 1)) {
		
		$fb::inp{"$type"."_filesizeinfo"} = qq~$fb::txt{'lo'}{'38'}~;
		
		my @file_types  = split(/ /, $fb::cf{'filetypes'});
		foreach (@file_types) {
			$fb::inp{"$type"."_filesizeinfo"} .= qq~ $_,~;
		}
		$fb::inp{"$type"."_filesizeinfo"} .= $fb::cf{'limit'} != 0 ? qq~$fb::txt{'lo'}{'39'} $fb::cf{'limit'} KB~ : qq~$fb::txt{'lo'}{'40'}~;
		#if ($fb::FORM{'file'}) { $fb::inp{"$type"."_filesizeinfo"} .= qq~<br>$fb::txt{'lo'}{'41'}~; }
		$fb::inp{"$type"."_attach"} = qq~<input type="file" id=file name="file" size="49">~;

		if ($fb::FORM{'storetemp'}) {
			$fb::inp{"$type"."_attach"} .= qq~<input type="hidden" name="storetemp" value="$fb::FORM{'storetemp'}">~;
		}
	}



	if ($fb::cf{'attachzusatz'} == 1) {

		my @contents = &opendirectory("$fb::cf{'bilderdir'}/upload");
		
		my ($filep2,$filep3) = ("","");
		if ($fb::cf{'attachakt'} == 1) { 
			$filep2 = qq~<option value=\"newupload\">$fb::txt{'lo'}{'42'}</option>\n~; 
			$filep3 = qq~<option value=\"newupload\">$fb::txt{'lo'}{'42'}</option>\n~;
		}

		my $no_more_selected = 0;

		if ($fb::FORM{'storetemp'}) {
			# we added an attachment earlier
			
			my $line_pr = "";
			if (length($fb::FORM{'storetemp'}) > 40) { 
				$line_pr = substr($fb::FORM{'storetemp'},0,40) . "...";
			}
			else { $line_pr = $fb::FORM{'storetemp'}; }
			
			$filep2 .= qq~<option value="" selected>$line_pr</option>\n~;
			$filep3 .= qq~<option value="" selected>$line_pr</option>\n~;
		
			$no_more_selected = 1;
		}

		foreach my $line (@contents){
			my $selected = "";

			if (($line ne "index.html") && ($line ne ".") && ($line ne "..")) {
				
				my $selected = "";
				if ($fb::FORM{'file2'}) { 
					if ($line eq $fb::FORM{'file2'}) {
						$selected = " selected"; 	
					}
				}
				elsif ($loadf{'file'}) { 
					if ($line eq $loadf{'file'}) {
						$selected = " selected"; 
					}
				}

				if ($no_more_selected) {
					$selected = "";
				}
				
				my $line_pr = "";
				if (length($line) > 40) { 
					$line_pr = substr($line,0,40) . "...";
				}
				else { $line_pr = $line; }

				$filep2 .= qq~<option value=\"$line\"$selected>$line_pr</option>\n~;
				if ($selected) {
					$filep3 .= qq~<option value=\"$line\"$selected>$line_pr</option>\n~;
				}
			}
		}



		unless ($filep2) { 
			$filep2 .= qq~<option value=\"nonew\">$fb::txt{'lo'}{'43'}</option>\n~; 
			$filep3 .= qq~<option value=\"nonew\">$fb::txt{'lo'}{'43'}</option>\n~; 
		}
		
		
		if ($loadf{'attachzusatz_onlyselected'}) { # for edit page
			$fb::inp{"$type"."_attach2"} = qq~<select id=file2 name=file2>$filep3</select>~;
		}
		else { # for standard new entry
			$fb::inp{"$type"."_attach2"} = qq~<select id=file2 name=file2>$filep2</select>~;
		}
	}

	&iamy($type,$loadf{'savedinput'},$loadf{'icq'},$loadf{'aim'},$loadf{'yim'},$loadf{'msn'},$loadf{'skype'},$loadf{'jabber'});

}
sub loadfields_main {

	# fields loaded from cookies or from saved sources (while editing i.e.)
	my %loadf;
	if ($_[0]) {
		%loadf = %{$_[0]};
	}

	my $sendac = $_[1];
	
	my $context = $_[2] || "1"; # 1 = messages, 2 = others (hack for mod_comm)

	my $type = $_[3] || "m";	# there can be set another type to not confuse fields with existing ones

	my $checkfields;
	if ($fb::cf{'actjavacheck'}) { $checkfields = qq~alertit = testform(); if (alertit) { submitonce(this); } else { return false; }~; } 
	else { $checkfields .= qq~submitonce(this);~; }

	$fb::inp{"$type"."_formopen"} .= qq~<form action="$fb::gl{'scriptac'}=$sendac~;
	$fb::inp{"$type"."_formopen"} .= qq~2" method="post" name="fiform" ENCTYPE="multipart/form-data" onSubmit="$checkfields">~;
	
	if ($fb::gl{'session_message_codes'}) {
		# only for message and comments, not for edit page
		$fb::inp{"$type"."_formopen"} .= qq~<input type="hidden" name="sent_message_code" value="$fb::gl{'session_message_codes'}">~;
	}
	$fb::inp{"$type"."_formclose"} .= qq~</form>~;

	if($fb::cf{'message_val_check'}) { 
		$fb::inp{"$type"."_valcode"} = &get_validation_graphic;
		$fb::inp{"$type"."_valcode2"} = qq~<input type=text name="verification" value="">~;
	}

	$fb::inp{"$type"."_ubbcshow"} .= qq~<a href="javascript:popUp('$fb::gl{'scriptac'}=help;showhelp=1_ubbc',800,500)">$fb::txt{'lo'}{'50'}</a>~;

	if (($fb::cf{'wicht_name'}) || ($fb::cf{'f_name'} == 1)) {
		$fb::inp{"$type"."_name"} = qq~<input type=text id=name name=name size=20~; 
		if ($fb::FORM{'name'}) { $fb::inp{"$type"."_name"} .= qq~ value="$fb::FORM{'name'}"~; } 
		elsif (($loadf{'name'}) && (!$fb::gl{'vorschau'})) { $fb::inp{"$type"."_name"} .= qq~ value="$loadf{'name'}"~; } 
		$fb::inp{"$type"."_name"} .= qq~ maxlength="$fb::cf{'mzeich_name'}">~;
	}

	# mod_user addon
	if ($fb::mod{'modules_info'}{'mod_users'}[0] && $fb::cf{'userregakt'}) {
		$fb::inp{"$type"."_password"} = qq~<input type=password id=password name=password size=20 value="">~;
	}

	if (($fb::cf{'wicht_email'}) || ($fb::cf{'f_email'} == 1)) {
		$fb::inp{"$type"."_email"} = qq~<input type=text id=email name="email" size=20~; 
		if ($fb::FORM{'email'}) { $fb::inp{"$type"."_email"} .= qq~ value="$fb::FORM{'email'}"~; } 
		elsif (($loadf{'email'}) && (!$fb::gl{'vorschau'})) { $fb::inp{"$type"."_email"} .= qq~ value="$loadf{'email'}"~; } 
		$fb::inp{"$type"."_email"} .= qq~ maxlength="$fb::cf{'mzeich_email'}">~;
	}

	if($fb::cf{'ubbc'} == 1) { 
		&docodebuttons($context,"message",$type); 
	}

	if ($fb::cf{'smileys'} == 1) { &smiliebox('message',$type); }

		
	my $insert_message;
	
	if (($fb::gl{'action'} eq "message") || ($fb::gl{'action'} eq "message2")) {
		$insert_message = "";
	}
	else { $insert_message = $loadf{'message'}; }

	$fb::inp{"$type"."_message"} = qq~<textarea id=message name=message rows=14 cols=63 wrap="virtual" ONSELECT="javascript:storeCaret(this);" ONCLICK="javascript:storeCaret(this);" ONKEYUP="javascript:storeCaret(this);" ONCHANGE="javascript:storeCaret(this);" STYLE="width: 100%; height:100%;">~; if ($fb::FORM{'message'}) { $fb::inp{"m_message"} .= qq~$fb::FORM{'message'}~; } elsif ($insert_message) { $fb::inp{"m_message"} .= qq~$insert_message~; } $fb::inp{"m_message"} .= qq~</textarea>~;


	if ($fb::cf{'maximumbei'} != -1) {

		$fb::inp{"$type"."_maximumbei"} = qq~<FONT SIZE="1"><img src="$fb::fi{'bilderurlsk'}/allgemein/green1.gif" name="chrwarn" height="8" width="8" border="0" vspace="0" align="absmiddle" hspace="0" alt="" title="" align="middle"> $fb::txt{'lo'}{'32'} $fb::cf{'maximumbei'} $fb::txt{'lo'}{'33'} <input value="$fb::cf{'maximumbei'}" size="3" name="msgCL" style="border: 0px; background-color: transparent; " disabled="disabled">
		</FONT>
		<script language="JavaScript">
		<!--
		var supportsKeys = false
		function tick() {
			calcCharLeft(document.forms[0])
			if (!supportsKeys) setTimeout("tick()",1000)
		}

		function calcCharLeft(sig) {
			var clipped = false
			var maxLength = $fb::cf{'maximumbei'}
			var charleft
			if (document.fiform.message.value.length > maxLength) {
				document.fiform.message.value = document.fiform.message.value.substring(0,maxLength)
				charleft = 0
				clipped = true
			} else {
				charleft = maxLength - document.fiform.message.value.length
			}
			document.fiform.msgCL.value = charleft
			if (charleft >= 120) { document.images.chrwarn.src=green1_icon.src; }
			if (charleft < 120 && charleft >= 60) { document.images.chrwarn.src=green0_icon.src; }
			if (charleft < 60 && charleft > 0) { document.images.chrwarn.src=red0_icon.src; }
			if (charleft == 0) { document.images.chrwarn.src=red1_icon.src; }
			return clipped
		}
		var green1_icon = new Image(); 
		green1_icon.src = "$fb::fi{'bilderurlsk'}/allgemein/green1.gif";
		var green0_icon = new Image(); 
		green0_icon.src = "$fb::fi{'bilderurlsk'}/allgemein/green0.gif";
		var red0_icon = new Image(); 
		red0_icon.src = "$fb::fi{'bilderurlsk'}/allgemein/red0.gif";
		var red1_icon = new Image(); 
		red1_icon.src = "$fb::fi{'bilderurlsk'}/allgemein/red1.gif";

		tick();
		//-->
		</script>
			~;
	}


	if ($fb::cf{'smileys'} == 1) {
		my $nosmilec = "";
		if ($fb::FORM{'nosmile'}) { $nosmilec = " checked";	} elsif (($loadf{'nosmile'}) && (!$fb::gl{'vorschau'})) { $nosmilec = " checked";	}
		$fb::inp{"$type"."_nosmile"} = qq~<input type=checkbox id=nosmile name="nosmile" value="1"$nosmilec>~;
	}

	if ($fb::cf{'f_hidemail'} == 1) {
		my $hideownc = "";
		if ($fb::FORM{'hideown'}) { $hideownc = " checked";	} elsif (($loadf{'hideown'}) && (!$fb::gl{'vorschau'})) { $hideownc = " checked";	}
		$fb::inp{"$type"."_hideown"} = qq~<input type=checkbox id=hideown name="hideown" value="1"$hideownc>~;
	}

	$fb::inp{"$type"."_sendreset"} = qq~<input type="hidden" name="waction" value="post"><input id="submit" type="submit" name="post" value="$fb::txt{'lo'}{'44'}" onClick="WhichClicked('post');" accesskey="s" tabindex="5">~;
	unless ($fb::INFO{'inc'}) { 
		if (!$fb::gl{'no_preview'}) {
			$fb::inp{"$type"."_sendreset"} .= qq~ <input id="preview" type="submit" name="preview" value="$fb::txt{'lo'}{'46'}" onClick="WhichClicked('preview');" accesskey="p">~;
		}
	}

	$fb::inp{"$type"."_sendreset"} .= qq~ <input type="reset" value="$fb::txt{'lo'}{'45'}" accesskey="r">~;
	if ($fb::cf{'activation'} == 1) { $fb::inp{"$type"."_activationinfo"} .= qq~ <font size=1>$fb::txt{'lo'}{'47'}</font> ~; 	}
	if ($fb::cf{'markpflicht'}) { $fb::inp{"$type"."_activationinfo"} .= qq~ <font size=1>$fb::txt{'lo'}{'48'}</font> ~; }


}
sub docodebuttons {
	
	# hack for mod_comm
	my $context = $_[0] || "1"; # context, 1=message, 2=comments
	my $whichbox = $_[1] || "message"; # where to write to 
	my $type = $_[2] || "m"; # normal messages or quick message...

	&load_language("ubbcfiles");

	my $sth = $fb::dbh->prepare("SELECT * FROM $fb::cf{'db_prefix'}" . "ubbcinput");
	$sth->execute() or save_db_error(DBI->errstr);

	while(my (@splitinput) = $sth->fetchrow_array) {
		
		# hack for mod_comm
		my $erlaubt = 0;
		if (($context == 2) && ($splitinput[12] == 1)) { $erlaubt = 1; }
		elsif (($context != 2) && ($splitinput[11] == 1)) { $erlaubt = 1; }
		
		if ($erlaubt == 1) {
			
			$fb::inp{"u_"."$splitinput[0]"} = qq~~;
			if ($splitinput[4] eq "button") {
				$fb::inp{"u_"."$splitinput[0]"} = qq~<A href="javascript:$splitinput[0]('$whichbox')"><IMG title="$splitinput[2]" alt="$splitinput[2]" src="$fb::fi{'bilderurlsk'}/allgemein/$splitinput[5]" border=0></A>~;
			}
			elsif ($splitinput[4] eq "dropdown") {
				
				$fb::inp{"u_"."$splitinput[0]"} .= qq~<select name="select_$splitinput[0]" onChange='if(this.options[this.selectedIndex].value) $splitinput[0](this.options[this.selectedIndex].value,"$whichbox")'>
						<option value=''>$splitinput[2]</option>~;
				
				if ($splitinput[8]) {
					my @formdata = split(/\*/, $splitinput[8]);
					my @formdata2 = split(/\*/, $splitinput[7]);				
					
					my $countf = 0;
					foreach (@formdata) {
						my ($invisibl, $visibl) = split(/\/, $_);
						$fb::inp{"u_"."$splitinput[0]"} .= qq~<option value='$invisibl'~;
						if ($formdata2[$countf]) { $fb::inp{"u_"."$splitinput[0]"} .= qq~ style='$formdata2[$countf]'~; }
						$fb::inp{"u_"."$splitinput[0]"} .= qq~>$visibl</option>
						~;
						$countf++;
					}
				}
	
					$fb::inp{"u_"."$splitinput[0]"} .= qq~</select>~;
			}
			elsif ($splitinput[4] eq "buttondropdown") {

				if ($splitinput[6] eq "help") {

					$fb::inp{"u_"."$splitinput[0]"} .= qq~<a href='javascript:popUp("$fb::gl{'scriptac'}=help;showhelp=1_ubbc",$fb::cf{'pophelp1'},$fb::cf{'pophelp2'})'><IMG 
						align=absmiddle title="$splitinput[2]" alt="$splitinput[2]" src="$fb::fi{'bilderurlsk'}/allgemein/$splitinput[5]" border=0>~;
					
					if ($splitinput[17] == 1) { $fb::inp{"u_"."$splitinput[0]"} .= qq~&nbsp; <b>$splitinput[2]</b>~; }
					
					$fb::inp{"u_"."$splitinput[0]"} .= qq~</A>~;

				}
				else {
					$fb::inp{"u_"."$splitinput[0]"} .= qq~<SPAN id=menu_$splitinput[0]_$whichbox><A onclick="return fiLink()" href="#"><IMG 
					align=absmiddle title="$splitinput[2]" alt="$splitinput[2]" src="$fb::fi{'bilderurlsk'}/allgemein/$splitinput[5]" border=0>~;
					
					if ($splitinput[17] == 1) { $fb::inp{"u_"."$splitinput[0]"} .= qq~&nbsp; <b>$splitinput[2]</b>~; }
					
					$fb::inp{"u_"."$splitinput[0]"} .= qq~</A><SCRIPT language=JavaScript type=text/javascript>fiRegisterMenu('$splitinput[0]_$whichbox');</SCRIPT></SPAN>~;

				}
				if ($splitinput[6] eq "colorbox") {
					
					$fb::inp{"u_"."$splitinput[0]"} .= qq~
								 <DIV STYLE="DISPLAY: inline; Z-INDEX: -1; LEFT: 0px; VISIBILITY: hidden; POSITION: absolute; TOP: 0px;" id=popup_$splitinput[0]_$whichbox>
								<TABLE cellSpacing=1 cellPadding=1 class=fbborder>
								  <TR>
									<TD class=fb1 align=center><b>$fb::txt{'lo'}{'49'}</b></TD></TR>
								  <TR>
									<TD class=fb2 id=nhl>
									  <SCRIPT language=JavaScript type=text/javascript>document.write(writeRow_$whichbox());</SCRIPT>
									</TD></TR></TABLE></DIV>
									~;
					
					$fb::fi{'otherjava'} .= qq~
					<script language=javascript>
					<!--
					function writeRow_$whichbox() {

						var cells = 17;
						var str = "";
						var ar = new Array("#330000","#333300","#336600","#339900","#33CC00","#33FF00","#66FF00","#66CC00","#669900","#666600","#663300","#660000","#FF0000","#FF3300","#FF6600","#FF9900","#FFCC00","#FFFF00","#330033","#333333","#336633","#339933","#33CC33","#33FF33","#66FF33","#66CC33","#669933","#666633","#663333","#660033","#FF0033","#FF3333","#FF6633","#FF9933","#FFCC33","#FFFF33","#330066","#333366","#336666","#339966","#33CC66","#33FF66","#66FF66","#66CC66","#669966","#666666","#663366","#660066","#FF0066","#FF3366","#FF6666","#FF9966","#FFCC66","#FFFF66","#330099","#333399","#336699","#339999","#33CC99","#33FF99","#66FF99","#66CC99","#669999","#666699","#663399","#660099","#FF0099","#FF3399","#FF6699","#FF9999","#FFCC99","#FFFF99","#3300CC","#3333CC","#3366CC","#3399CC","#33CCCC","#33FFCC","#66FFCC","#66CCCC","#6699CC","#6666CC","#6633CC","#6600CC","#FF00CC","#FF33CC","#FF66CC","#FF99CC","#FFCCCC","#FFFFCC","#3300FF","#3333FF","#3366FF","#3399FF","#33CCFF","#33FFFF","#66FFFF","#66CCFF","#6699FF","#6666FF","#6633FF","#6600FF","#FF00FF","#FF33FF","#FF66FF","#FF99FF","#FFCCFF","#FFFFFF","#0000FF","#0033FF","#0066FF","#0099FF","#00CCFF","#00FFFF","#99FFFF","#99CCFF","#9999FF","#9966FF","#9933FF","#9900FF","#CC00FF","#CC33FF","#CC66FF","#CC99FF","#CCCCFF","#CCFFFF","#0000CC","#0033CC","#0066CC","#0099CC","#00CCCC","#00FFCC","#99FFCC","#99CCCC","#9999CC","#9966CC","#9933CC","#9900CC","#CC00CC","#CC33CC","#CC66CC","#CC99CC","#CCCCCC","#CCFFCC","#000099","#003399","#006699","#009999","#00CC99","#00FF99","#99FF99","#99CC99","#999999","#996699","#993399","#990099","#CC0099","#CC3399","#CC6699","#CC9999","#CCCC99","#CCFF99","#000066","#003366","#006666","#009966","#00CC66","#00FF66","#99FF66","#99CC66","#999966","#996666","#993366","#990066","#CC0066","#CC3366","#CC6666","#CC9966","#CCCC66","#CCFF66","#000033","#003333","#006633","#009933","#00CC33","#00FF33","#99FF33","#99CC33","#999933","#996633","#993333","#990033","#CC0033","#CC3333","#CC6633","#CC9933","#CCCC33","#CCFF33","#000000","#003300","#006600","#009900","#00CC00","#00FF00","#99FF00","#99CC00","#999900","#996600","#993300","#990000","#CC0000","#CC3300","#CC6600","#CC9900","#CCCC00","#CCFF00","#000000","#111111","#222222","#333333","#444444","#555555","#666666","#777777","#888888","#999999","#9A9A9A","#AAAAAA","#BBBBBB","#CCCCCC","#DDDDDD","#EEEEEE","#EFEFEF","#FFFFFF");
						str += '<table cellspacing="1" cellpadding="0" border=0>';
						for (var i=0; i<ar.length; ) {
							str += "<tr>"
							for (var j=0; j<=cells && i<ar.length; j++) {
								str += "<td bgcolor='"  + ar[i] +  "' width=7 height=7><img width=7 height=7 src='$fb::cf{'bilderurl'}/allgemein/transparent.gif' title='"  + ar[i] +  "' alt='"  + ar[i] +  "' border='0' onmouseover=this.style.cursor='pointer' onclick='$splitinput[0](\\""+ar[i]+"\\",\\"$whichbox\\")'></td>";
								i++;
							}
							str += "</tr>";
						}
						str+='</table>';
						return str;
					}
					-->
					</script>~;
				}
				else {
					
					if ($splitinput[8]) {

						# for drop down options

						$fb::inp{"u_"."$splitinput[0]"} .= qq~
						<DIV STYLE="DISPLAY: inline; Z-INDEX: -1; LEFT: 0px; VISIBILITY: hidden; POSITION: absolute; TOP: 0px;" id=popup_$splitinput[0]_$whichbox>
						<TABLE cellSpacing=1 cellPadding=1 class=fbborder>
						  <TR>
							<TD class=fb1 align=center><b>$splitinput[2]</b></TD></TR>
						  <TR>
							<TD class=fb2 id=nhl><div STYLE="OVERFLOW: auto; WIDTH: 200px; HEIGHT: 100px"><table border=0 cellspacing=0 cellpadding=0>~;
			
						#options
						my @formdata = split(/\*/, $splitinput[8]);
						my @formdata2 = ();
						if ($splitinput[7]) {
							# styles
							@formdata2 = split(/\*/, $splitinput[7]);
						}


						
						my $countf = 0;
						my @actives = "";
						if ($splitinput[16]) { @actives = split(/\*/, $splitinput[16]); }

						foreach (@formdata) {
							my ($invisibl, $visibl) = split(/\/, $_);
							
							my $enable = 1;
							if ($splitinput[3]) { $enable = 1; }
							elsif (($splitinput[16]) && ($actives[$countf])) { $enable = 1; }
							elsif (($splitinput[16]) && (!$actives[$countf])) { $enable = 0; }

							if ($enable == 1) {

								$fb::inp{"u_"."$splitinput[0]"} .= qq~<tr><td><a style="border: none; background-color: transparent; text-decoration: none;~;
								if ($formdata2[$countf]) { $fb::inp{"u_"."$splitinput[0]"} .= qq~ $formdata2[$countf]~; }
								$fb::inp{"u_"."$splitinput[0]"} .= qq~"  href="javascript: $splitinput[0]('$invisibl','$whichbox')">$visibl</a></td></tr>~;

							}
							$countf++;
						}
						
						$fb::inp{"u_"."$splitinput[0]"} .= qq~</table></div></TD></TR></TABLE></DIV>~;
					}
				}
					
			}
		}
		else { $fb::inp{"u_"."$splitinput[0]"}= qq~ ~; }

	}

	$fb::fi{'otherjava'} .= qq~<script language= "JavaScript"> 
	<!--
	var fiMenuTimeout = 100;
	var fielement = new Array();
	var elementregister = new Array();
	var fiactive = 0;
	var fiMenuCountHide = 0;

	function fiGetLeft(fil)
	{
		if (fil.offsetParent) return (fil.offsetLeft + fiGetLeft(fil.offsetParent))
		else return (fil.offsetLeft)
	}
	function fiGetTop(fil)
	{
		if (fil.offsetParent) return (fil.offsetTop + fiGetTop(fil.offsetParent))
		else return (fil.offsetTop)
	}
	function fiFetchElement(id)
	{
		if(fielement[id])
		{
			return fielement[id]
		}
		if (document.getElementById)
		{
			fielement[id] = document.getElementById(id)
		}
		else if (document.all)
		{
			fielement[id] = document.all[id]
		}
		else if (document.layers)
		{
			fielement[id] = document.layers[id]
		}
		return fielement[id]
	}
	function fiTryHideMenu(menu,fiCountHide) 
	{
		if (fiCountHide != fiMenuCountHide) 
		{
		return
		}
		fiHideMenu(menu)
	}
	function fiMenuEvent(fiactive) 
	{
		var elementevent = fiFetchElement("popup_"+fiactive)
		elementevent.onmouseover = function()
		{
				fiMenuCountHide++
		}
		elementevent.onmouseout = function()
		{
			setTimeout("fiTryHideMenu('" + fiactive + "', " + fiMenuCountHide + ")", fiMenuTimeout)
		}
	}
	function fiShowMenu(id)
	{
		if(fiactive != 0)
		{
			fiHideMenu(fiactive)
		}
		else {
		var elementbutton = fiFetchElement("menu_"+id)
		var buttonleft = fiGetLeft(elementbutton)
		var buttontop = fiGetTop(elementbutton)
		var buttonheight = 20;
		if (navigator.appVersion.indexOf("MSIE") != -1) {
			buttonleft = buttonleft - 3;
			buttontop = buttontop - 2;
		}
		else {
			buttonleft = buttonleft + 1;
			buttontop = buttontop + 3;
		}
		var elementmenu = fiFetchElement("popup_"+id)
		var menuwidth = elementmenu.offsetWidth

			var posx = buttonleft
			var slide = 'left'
			var posy = buttontop + buttonheight

		elementmenu.style.zIndex = 1
		elementmenu.style.left = posx+'px'
		elementmenu.style.top = posy+'px'
		elementmenu.style.visibility = 'visible'
		fiactive = id
		fiMenuEvent(fiactive)
		}
	}
	function fiHideMenu(menu)
	{
		var elementhide = fiFetchElement("popup_"+menu)
		elementhide.style.zIndex = -1
		elementhide.style.left = 0+'px'
		elementhide.style.top = 0+'px'
		elementhide.style.visibility = 'hidden'
		fiactive = 0
	}
	function fiHandCursor(fielement)
	{
		try
		{
			fielement.style.cursor = "pointer"
		}
		catch(e)
		{
			fielement.style.cursor = "hand"
		}
	}
	function fiClick()
	{
		id = this.id.replace("menu_","")
		fiShowMenu(id);
	}
	function fiRegisterMenu(id)
	{
		var buttonregister = fiFetchElement("menu_"+id)
		if(buttonregister)
		{
			fiHandCursor(buttonregister)
			buttonregister.unselectable = true
			buttonregister.onclick = fiClick
		}
	}
	function fiLink()
	{
		return false
	}
	//-->
	</script>
	~;

	$fb::inp{$type ."_ubbc"} = &doskin("template_ubbc",undef,"u");

}
sub iamy {

	my $type;
	my %loadf;

	($type, $loadf{'savedinput'}, $loadf{'icq'},$loadf{'aim'},$loadf{'yim'},$loadf{'msn'},$loadf{'skype'},$loadf{'jabber'}) = @_;
	
	# stores all fields to be formatted later
	my @allentr;

	# here go all fields to be formatted later
	my %show;

	## possibility to add extra modules -> own fields

	if ($fb::mod{'action_modules'}{'enter_extra_fields'}) {
		foreach my $mod (@{$fb::mod{'action_modules'}{'enter_extra_fields'}}) {
			if ($fb::mod{'modules_info'}{$mod->[0]}[0] == 1) {
				unless ($fb::loaded{$mod->[1]}) {
					require "$fb::gl{'subsdir'}/$mod->[1].pl";
					$fb::loaded{$mod->[1]} = 1;
				}
				my ($show_ref, $allentr_ref) = $mod->[2]->(\%loadf, \%show, \@allentr, $type);
				if ($show_ref) { %show = %{$show_ref}; }
				if ($allentr_ref) { @allentr = @{$allentr_ref}; }
			}
		}
	}

	if (($fb::cf{'f_icq'} != 0) || ($fb::cf{'wicht_icq'})) { 
		push (@allentr, "icq"); 
		$fb::inp{"$type"."_icq"} = qq~<input type=text id="icq" name=icq size=20~; if ($fb::FORM{'icq'}) { $fb::inp{"$type"."_icq"} .= qq~ value="$fb::FORM{'icq'}"~; } elsif (($loadf{'icq'}) && (!$fb::gl{'vorschau'})) { $fb::inp{"$type"."_icq"} .= qq~ value="$loadf{'icq'}"~; } $fb::inp{"$type"."_icq"} .= qq~ maxlength="$fb::cf{'mzeich_icq'}">~;
		
		$show{'icq'} = qq~<td width="23%" align=right><b>$fb::txt{'gl'}{'18'}~;
		if ($fb::cf{'wicht_icq'}) { $show{'icq'} .= qq~$fb::inp{"$type"."_pflichtmark"}~; }	
		$show{'icq'} .= qq~:</b>&nbsp;</td><td width="%getwidth%"%colspan%>$fb::inp{"$type"."_icq"}</td>~;	
	}
	if (($fb::cf{'f_aim'} != 0) || ($fb::cf{'wicht_aim'})) { 
		push (@allentr, "aim"); 
		$fb::inp{"$type"."_aim"} = qq~<input type=text id="aim" name=aim size=20~; if ($fb::FORM{'aim'}) { $fb::inp{"$type"."_aim"} .= qq~ value="$fb::FORM{'aim'}"~; } elsif (($loadf{'aim'}) && (!$fb::gl{'vorschau'})) { $fb::inp{"$type"."_aim"} .= qq~ value="$loadf{'aim'}"~; } $fb::inp{"$type"."_aim"} .= qq~ maxlength="$fb::cf{'mzeich_aim'}">~;

		$show{'aim'} = qq~<td width="23%" align=right><b>$fb::txt{'gl'}{'19'}~;
		if ($fb::cf{'wicht_aim'}) { $show{'aim'} .= qq~$fb::inp{"$type"."_pflichtmark"}~; }	
		$show{'aim'} .= qq~:</b>&nbsp;</td><td width="%getwidth%"%colspan%>$fb::inp{"$type"."_aim"}</td>~;
	}
	if (($fb::cf{'f_yim'} != 0) || ($fb::cf{'wicht_yim'})) { 
		push (@allentr, "yim"); 
		$fb::inp{"$type"."_yim"} = qq~<input type=text id="yim" name=yim size=20~; if ($fb::FORM{'yim'}) { $fb::inp{"$type"."_yim"} .= qq~ value="$fb::FORM{'yim'}"~; } elsif (($loadf{'yim'}) && (!$fb::gl{'vorschau'})) { $fb::inp{"$type"."_yim"} .= qq~ value="$loadf{'yim'}"~; } $fb::inp{"$type"."_yim"} .= qq~ maxlength="$fb::cf{'mzeich_yim'}">~;		

		$show{'yim'} = qq~<td width="23%" align=right><b>$fb::txt{'gl'}{'20'}~;
		if ($fb::cf{'wicht_yim'}) { $show{'yim'} .= qq~$fb::inp{"$type"."_pflichtmark"}~; }	
		$show{'yim'} .= qq~:</b>&nbsp;</td><td width="%getwidth%"%colspan%>$fb::inp{"$type"."_yim"}</td>~;
	}
	if (($fb::cf{'f_msn'} != 0) || ($fb::cf{'wicht_msn'})) { 
		push (@allentr, "msn"); 
		$fb::inp{"$type"."_msn"} = qq~<input type=text id="msn" name=msn size=20~; if ($fb::FORM{'msn'}) { $fb::inp{"$type"."_msn"} .= qq~ value="$fb::FORM{'msn'}"~; } elsif (($loadf{'msn'}) && (!$fb::gl{'vorschau'})) { $fb::inp{"$type"."_msn"} .= qq~ value="$loadf{'msn'}"~; } $fb::inp{"$type"."_msn"} .= qq~ maxlength="$fb::cf{'mzeich_msn'}">~;		

		$show{'msn'} = qq~<td width="23%" align=right><b>$fb::txt{'gl'}{'21'}~;
		if ($fb::cf{'wicht_msn'}) { $show{'msn'} .= qq~$fb::inp{"$type"."_pflichtmark"}~; }	
		$show{'msn'} .= qq~:</b>&nbsp;</td><td width="%getwidth%"%colspan%>$fb::inp{"$type"."_msn"}</td>~;	
	}
	if (($fb::cf{'f_skype'} != 0) || ($fb::cf{'wicht_skype'})) { 
		push (@allentr, "skype"); 
		$fb::inp{"$type"."_skype"} = qq~<input type=text id="skype" name=skype size=20~; if ($fb::FORM{'skype'}) { $fb::inp{"$type"."_skype"} .= qq~ value="$fb::FORM{'skype'}"~; } elsif (($loadf{'skype'}) && (!$fb::gl{'vorschau'})) { $fb::inp{"$type"."_skype"} .= qq~ value="$loadf{'skype'}"~; } $fb::inp{"$type"."_skype"} .= qq~ maxlength="$fb::cf{'mzeich_skype'}">~;		

		$show{'skype'} = qq~<td width="23%" align=right><b>$fb::txt{'gl'}{'146'}~;
		if ($fb::cf{'wicht_skype'}) { $show{'skype'} .= qq~$fb::inp{"$type"."_pflichtmark"}~; }	
		$show{'skype'} .= qq~:</b>&nbsp;</td><td width="%getwidth%"%colspan%>$fb::inp{"$type"."_skype"}</td>~;
	}
	if (($fb::cf{'f_jabber'} != 0) || ($fb::cf{'wicht_jabber'})) { 
		push (@allentr, "jabber"); 
		$fb::inp{"$type"."_jabber"} = qq~<input type=text id="jabber" name=jabber size=20~; if ($fb::FORM{'jabber'}) { $fb::inp{"$type"."_jabber"} .= qq~ value="$fb::FORM{'jabber'}"~; } elsif (($loadf{'jabber'}) && (!$fb::gl{'vorschau'})) { $fb::inp{"$type"."_jabber"} .= qq~ value="$loadf{'jabber'}"~; } $fb::inp{"$type"."_jabber"} .= qq~ maxlength="$fb::cf{'mzeich_jabber'}">~;		


		$show{'jabber'} = qq~<td width="23%" align=right><b>$fb::txt{'gl'}{'22'}~;
		if ($fb::cf{'wicht_jabber'}) { $show{'jabber'} .= qq~$fb::inp{"$type"."_pflichtmark"}~; }	
		$show{'jabber'} .= qq~:</b>&nbsp;</td><td width="%getwidth%"%colspan%>$fb::inp{"$type"."_jabber"}</td>~;	
	}

	my $wholeiamy = @allentr;



	# stores input fields
	my $inputin = "";

	my $count = 0;
	foreach (@allentr) {
		$count++;
		if (($count == $wholeiamy) && (($wholeiamy % 2) == 1)) { 
			$show{$_} =~ s~%getwidth%~77%~ig; 
			$show{$_} =~ s~%colspan%~ colspan=3~ig; 
			$inputin .= qq~$show{$_}\n~;
		}
		else { 
			$show{$_} =~ s~%getwidth%~27%~ig; 
			$show{$_} =~ s~%colspan%~~ig; 
			$inputin .= qq~$show{$_}\n~; 
		}
		if (($count != $wholeiamy) && ($count == 2)) { $count = 0; $inputin .= qq~</tr><tr>\n~; }
	}

	if ($inputin) {
		 $fb::inp{"$type"."_iamy"} .= qq~<tr><td width="100%" class=fb2><table width="100%" border=0 cellspacing=0 cellpadding=0><tr> $inputin</tr></table></td></tr>~;
	}

}
sub smiliebox {
	
	my $whatfield = $_[0] || "message";
	my $type = $_[1] || "m";
	
	my $custom_temp1 = $_[2] || "template_smilies";
	my $custom_temp2 = $_[3] || "template_smiliesbreak";
	my $custom_temp3 = $_[4] || "template_smilies_ou";

	$fb::inp{$type . "_smileys"} = "";
	
	my @smilies = &load_smilies;

	my $countin = 0;

	foreach (@smilies) {
		chomp $_;
		my ($adresse, $beschr, $kuerz) = split(/\|/, $_);
		if (-e "$fb::cf{'bilderdir'}/skins/$fb::gl{'skin'}/postsmilies/$adresse") {
			$countin++;
			$kuerz =~ s/\&/\\&/ig;
			$fb::inp{$type . "_smadresse"} = qq~$fb::fi{'bilderurlsk_noadmin'}/postsmilies/$adresse~;
			$fb::inp{$type . "_smkuerzel"} = qq~$kuerz~;
			$fb::inp{$type . "_smbeschr"} = qq~$beschr~;

			$fb::inp{"m_whatfield"} = $whatfield;

			$fb::inp{$type . "_smileys"} .= &doskin($custom_temp1,undef,$type);
			if ($countin == $fb::cf{'smiliesrow'}) { $countin = 0;
				$fb::inp{$type . "_smileys"} .= &doskin($custom_temp2,undef,$type);
			}
		}
	}

	# mod_popsm hack
	$fb::inp{$type . "_popsm1"} = $fb::cf{'popsm1'} || 0;
	$fb::inp{$type . "_popsm2"} = $fb::cf{'popsm2'} || 0;

	$fb::inp{"m_whatfield"} = $whatfield;

	$fb::inp{$type . "_smiliesrow"} = $fb::cf{'smiliesrow'};
	$fb::inp{$type . "_smilies"} .= &doskin($custom_temp3,undef,$type);


}
1;