####################### [Firebook] - guestbook ################################
# message2.pl                                                                 #
###############################################################################

package fb;

use strict;
use warnings;
#use diagnostics;

sub message2 {

	$fb::gl{'save_error_data'} = 1;

	unless ($fb::loaded{'file_checkmessage'}) { require "$fb::gl{'subsdir'}/checkmessage.pl"; }

	my ($check1, $check2) = ("0","0");

	# modules for password checking
	if ($fb::mod{'action_modules'}{'checkpw'}) {
		foreach my $mod (@{$fb::mod{'action_modules'}{'checkpw'}}) {
			if ($fb::mod{'modules_info'}{$mod->[0]}[0] == 1) {
				unless ($fb::loaded{$mod->[1]}) {
					require "$fb::gl{'subsdir'}/$mod->[1].pl";
					$fb::loaded{$mod->[1]} = 1;
				}
				($check1, $check2) = $mod->[2]->();
			}
		}
	}

	my ($fields_ref) = &checkmessage_standard($check1, $check2);
	my %fields = %{$fields_ref};

	my $lastid = $fb::dbh->selectrow_array("SELECT MAX(id) FROM $fb::cf{'db_prefix'}" . "datainc", undef);

	my $id = $lastid + 1;

	my $ip = $fb::gl{'user_ip'};
	
	my $datum = time;
	
	my $activation;

	if ($fb::cf{'activation'} == 1) { 
		$activation = 1;
		&isadmin2;
		if ($fb::gl{'logged_in'}) { $activation = 0; }
	} 
	else { $activation = 0; }

	# verify message codes
	my $check_time_diff = ($fb::gl{'vorschau'}) ? "0" : "1";
	my $verify_proove_code = ($fb::cf{'message_val_check'}) ? "1" : "0";
	$verify_proove_code = ($fb::gl{'vorschau'}) ? "0" : $verify_proove_code; # turn off for preview
	&fb::verify_access($verify_proove_code,"1",$check_time_diff);
	


	if ($fb::gl{'vorschau'}) {

		# create message codes
		my $create_proove_code = ($fb::cf{'message_val_check'}) ? "1" : "0";
		&fb::create_codes($create_proove_code, "1");

		if ($fb::FORM{'inc'}) { &fatal_error($fb::txt{'ch'}{'27'}); }
		$fb::fi{'title'} = "$fb::txt{'ch'}{'35'}";
		&popupjs;

		my $checkfields;
		if ($fb::cf{'actjavacheck'}) { $checkfields = qq~alertit = testform(); if (alertit) { submitonce(this); } else { return false; }~; } 
		else { $checkfields = qq~submitonce(this);~; }

		$fb::inp{"m_formopen"} .= qq~<form action="$fb::gl{'scriptac'}=message2" method="post" name="fiform" ENCTYPE="multipart/form-data" onSubmit="$checkfields">~;
		$fb::inp{"m_formclose"} = qq~</form>~;

		unless ($fb::loaded{'file_loadentry'}) { require "$fb::gl{'subsdir'}/loadentry.pl"; }

		&loadentry(\%fields);
		$fb::inp{"m_messages"} .= &doskin("template_messageindex");
		$fb::inp{"m_preview"} .= &doskin("template_ouindex");

		&wandleum(\$fb::inp{"m_preview"});
		unless ($fb::loaded{'file_loadfields'}) { require "$fb::gl{'subsdir'}/loadfields.pl"; }
		
		my %loadf;

		&loadfields(\%loadf);

		unless ($fb::loaded{'file_ubbcjs'}) { require "$fb::gl{'subsdir'}/ubbcjs.pl"; }
		$fb::fi{'otherjava'} .= &ubbcjs("1");
		#$fb::fi{'main2'} .= &doskin("template_message2_preview");
		$fb::fi{'main'} .= &doskin("template_message2_preview");

		&template;
		exit;

	}

	# remove old attachments, big attaachments or temporary ones
	if (($fb::cf{'attachakt'} == 1) && ($fb::gl{'valid_upload'})) { &cleanuploads; }

	if ($fb::cf{'cookbeitr'} == 1) {

		my %cookie;

		my @fields = qw/name email url ort icq aim yim msn skype savedinput betreff jabber state/;

		foreach  (@fields) {
			$cookie{$_} = convert_to_hex($fields{$_});
		}

		my $fbcookieentrygb = "$cookie{'name'}|$cookie{'email'}|$cookie{'url'}|$cookie{'ort'}|$cookie{'icq'}|$cookie{'aim'}|$cookie{'msn'}|$cookie{'yim'}|$cookie{'savedinput'}|$cookie{'skype'}|$fields{'nosmile'}|$fields{'hideown'}|$fields{'privatn'}|$fields{'fixfile'}|$cookie{'betreff'}|$cookie{'jabber'}|$cookie{'state'}|$fields{'mailfusr'}|$fields{'bewertung'}";
		
		push(@{$fb::gl{'cookies'}},"fbcookieentrygb=$fbcookieentrygb; expires=$fb::gl{'expires'};");

	}
	
	my $savemessage = 1;

	my (@mailzuadm, @mailzuthx);

	if ($fb::mod{'action_modules'}{'savemessage'}) {
		foreach my $mod (@{$fb::mod{'action_modules'}{'savemessage'}}) {
			if ($fb::mod{'modules_info'}{$mod->[0]}[0] == 1) {
				unless ($fb::loaded{$mod->[1]}) {
					require "$fb::gl{'subsdir'}/$mod->[1].pl";
					$fb::loaded{$mod->[1]} = 1;
				}
				if ($savemessage == 1) {
					($savemessage, $id) = $mod->[2]->($id, $datum, \%fields, $ip, $activation,\@mailzuadm,\@mailzuthx);
				}
				else {
					# if a previous check has already declared that message should not be saved we should follow this advice
					(my $foo, $id) = $mod->[2]->($id, $datum, \%fields, $ip, $activation);
				}
			}
		}
	}

	$fields{'id'} = $id;

	if ($savemessage) {
		$fb::dbh->do("INSERT INTO $fb::cf{'db_prefix'}" . "datainc VALUES(?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?)", undef, turn_to_null($id, $datum, $fields{'name'}, $fields{'icon'}, $fields{'email'}, $fields{'url'}, $ip, $fields{'icq'}, $fields{'aim'}, $fields{'msn'}, $fields{'skype'}, $fields{'yim'}, $fields{'message'}, $fields{'feedback'}, $fields{'bewertung'}, $fields{'ort'}, $fields{'nosmile'}, $activation, $fields{'fixfile'}, $fields{'hideown'}, $fields{'savedinput'}, $fields{'privatn'}, "0", $fields{'betreff'}, $fields{'jabber'}, $fields{'state'}, $fb::gl{'sprache2'}));
	}


	$fields{'message'} =~ s/<br>/\n/g;
	$fields{'chdatum'} = &formatdatum($datum,"1");
	
	
	unless (@mailzuadm) {
		if ($activation == 1) { 
			 @mailzuadm = &openfile("$fb::gl{'mailpath'}/mail12.txt"); $fb::cf{'emailact'} = 1; 
		}
		else{ @mailzuadm = &openfile("$fb::gl{'mailpath'}/mail.txt"); }
	}

	unless (@mailzuthx) {
		if ($activation == 1) { 
			@mailzuthx = &openfile("$fb::gl{'mailpath'}/mail11.txt"); $fb::cf{'emailact2'} = 1; 
		}
		else{ @mailzuthx = &openfile("$fb::gl{'mailpath'}/mail2.txt"); }
	}


	&automove;

	# update session
	$fb::dbh->do("UPDATE $fb::cf{'db_prefix'}" . "sessions SET writtenids = ? WHERE created_id = ?", undef, turn_to_null($id, $fb::gl{'fisession'}));

	# where to start showing entries
	my $startdir = 0;

	if (($fb::cf{'verkehrt'} == 1) && ($fb::cf{'allp'} != 1)) { 
		
		my $countids = $fb::dbh->selectrow_array("SELECT COUNT(*) FROM $fb::cf{'db_prefix'}" . "datainc WHERE frei = ? AND privatn = ?", undef, "0", "0");

		for(my $i = 0; $i < $countids; $i += $fb::cf{'maxindex'}) {
			$startdir = $i;
		}
	}
	
	my $standard_next_location = "$fb::gl{'scriptac'}=;start=$startdir";
	my $next_set_location = "$fb::gl{'scriptac'}=;start=$startdir";

	if ($fb::cf{'ebestseite'} == 1) {
		$next_set_location = "$fb::gl{'scriptac'}=bestseite";
	}

	# modules can add on functions just before sending e-mails redirecting to the next page
	# e.g. server spam check goes here
	if ($fb::mod{'action_modules'}{'message2_end'}) {
		
		# order is crucial here - sort after name of sub routines
		my @sorted_actions = sort { uc($$a[3]) cmp uc($$b[3]) } @{$fb::mod{'action_modules'}{'message2_end'}};

		foreach my $mod (@sorted_actions) {
			if ($fb::mod{'modules_info'}{$mod->[0]}[0] == 1) {
				unless ($fb::loaded{$mod->[1]}) {
					require "$fb::gl{'subsdir'}/$mod->[1].pl";
					$fb::loaded{$mod->[1]} = 1;
				}
				$next_set_location = $mod->[2]->($standard_next_location, $next_set_location, \%fields, $savemessage, $check1, $check2);
			}
		}
	}

	my ($mail1,$mail2);

	foreach my $curmail (@mailzuadm) {
		$curmail = &mailroutine($curmail,\%fields);
		$mail1 .= qq~$curmail\n~;
	}
	foreach my $curmail (@mailzuthx) {
		$curmail = &mailroutine($curmail,\%fields);
		$mail2 .= qq~$curmail\n~;
	}

	if ($fb::cf{'emailact'} == 1) { 
		&sendmail2($fb::cf{'admmail'},"$fb::cf{'fbname'}: $fb::txt{'ch'}{'38'}" ,"$mail1", undef, undef, undef, "1");
	}
	if ($fb::cf{'emailact2'} == 1) { 
		&sendmail2($fields{'email'},"$fb::cf{'fbname'}: $fb::txt{'ch'}{'39'}" ,"$mail2",$fields{'mailfusr'});
	}



	&redirect($next_set_location);

}
sub cleanuploads {
				
		if (($fb::cf{'file1'}) || ($fb::cf{'bigger1'}) || ($fb::cf{'older1'})) {
			
			my $biggerreal = $fb::cf{'bigger1'} * 1024;
			
			my @ucontents = &opendirectory("$fb::cf{'bilderdir'}/upload");

			foreach my $line (@ucontents) {
					
					if (($line ne ".") && ($line ne "..")) {

					my $chdate = int(-M "$fb::cf{'bilderdir'}/upload/$line");
					if ($chdate <0) { $chdate = -$chdate; }				
					
					if ($fb::cf{'older1'}) {
							if ($chdate > $fb::cf{'older1'}) { &dounlink("$fb::cf{'bilderdir'}/upload/$line"); next; }
					}

					if ($fb::cf{'file1'}) {
						if ($chdate > $fb::cf{'file2'}) { 
							my @exte  = split(/ /, $fb::cf{'file1'});
							foreach my $ext (@exte){
								chomp ($ext);
								if (grep /$ext$/i,$line){ &dounlink("$fb::cf{'bilderdir'}/upload/$line"); next; }
							}
						}
					}

					if ($fb::cf{'bigger1'}) {
							if ($chdate > $fb::cf{'bigger2'}) {
								my $size = -s "$fb::cf{'bilderdir'}/upload/$line";
								if ($size > $biggerreal) { &dounlink("$fb::cf{'bilderdir'}/upload/$line"); next; }
							}
					}
				}
			}

		}

		my @tcontents = &opendirectory("$fb::cf{'bilderdir'}/temp");
		foreach my $line (@tcontents){
			if (($line ne ".") && ($line ne "..")) {

				my $chdate = int(-M "$fb::cf{'bilderdir'}/temp/$line");
				if ($chdate <0) { $chdate = -$chdate; }			
				# delete temporary files older than 2 days
				if ($chdate > 2) { &dounlink("$fb::cf{'bilderdir'}/temp/$line"); next; }

			}
		}

}

sub automove {

	my $del_days = $fb::cf{'deldays'};

	my $type = "";
	my $setloc = 0;

	if ($fb::FORM{'delnewdays'}) {
		$type = "del"; 
		&isadmin; 
		$del_days = "$fb::FORM{'delnewdays'}"; 
		$setloc = 1;
	}


	my $countmoved = 0;

	if ($del_days ne "") {
		
		my $checkdays = $del_days;

		my $sth = $fb::dbh->prepare("SELECT id FROM $fb::cf{'db_prefix'}" . "datainc WHERE datum < ?");
		$sth->execute((time-($checkdays*24*60*60))) or save_db_error(DBI->errstr);

		## possibility to add extra modules .-> delete comments

		if ($fb::mod{'action_modules'}{'deletemsg'}) {
			foreach my $mod (@{$fb::mod{'action_modules'}{'deletemsg'}}) {
				if ($fb::mod{'modules_info'}{$mod->[0]}[0] == 1) {
					unless ($fb::loaded{$mod->[1]}) {
						require "$fb::gl{'subsdir'}/$mod->[1].pl";
						$fb::loaded{$mod->[1]} = 1;
					}
					while(my $del_id = $sth->fetchrow_array) {	
						my $check = $mod->[2]->($del_id);
					}
					
				}
			}
		}

		$countmoved = $fb::dbh->do("DELETE FROM $fb::cf{'db_prefix'}" . "datainc WHERE datum < ?", undef, (time-($checkdays*24*60*60)));

	}

	if ($setloc == 1) {
		if ($countmoved eq "0E0") { $countmoved = 0; }
		my $set_location = "$fb::gl{'scriptac'}=editentries2;countmoved=$countmoved;type=$type";
		&redirect($set_location);
	}


	if ($fb::mod{'action_modules'}{'automove'}) {
		foreach my $mod (@{$fb::mod{'action_modules'}{'automove'}}) {
			if ($fb::mod{'modules_info'}{$mod->[0]}[0] == 1) {
				unless ($fb::loaded{$mod->[1]}) {
					require "$fb::gl{'subsdir'}/$mod->[1].pl";
					$fb::loaded{$mod->[1]} = 1;
				}
				my $check = $mod->[2]->();
			}
		}
	}

}
1;