####################### [Firebook] - guestbook ################################
# messageindex.pl		                                                      #
###############################################################################

package fb;

use strict;
use warnings;
#use diagnostics;

sub messageindex {
 
	# load datainc
	my $implement_file = "datainc";

	&load_messages($implement_file);
	
	&template;
}
sub load_messages {

	my $start = $fb::INFO{'start'} || 0;
	my $showanzahl = $fb::INFO{'maxindex'} || "0";
	my $order = $fb::INFO{'order'} || "";
	my $show = $fb::INFO{'show'} || "";

	my $implement_file = $_[0];

	# javascript for popup windows
	&popupjs;
	
	my $order_richt = "DESC";
	
	# whether to show all entries on one page
	my $no_limit = 0;

	if ($order eq "alt") { $order_richt = "ASC"; }
	elsif (($fb::cf{'verkehrt'} == 1) && ($order ne "neu")) { $order_richt = "ASC"; }
	
	if (($showanzahl ne "") && ($showanzahl >= 1)) { 
		$fb::cf{'maxindex'} = $showanzahl;
	}
	if ($fb::cf{'allp'} == 1) { 
		$no_limit = 1;
	}

	&isadmin2;

	# to be added in mysql query
	my ($add_search, $add_cookie,$add_limit,$add_select,$add_join,$add_groupby,$add_order);
	$add_search=$add_cookie=$add_limit=$add_select=$add_join=$add_groupby=$add_order="";

	if ($fb::INFO{'suche'}) { 
		$fb::INFO{'suche'} =~ s/\&/\&amp;/g;
		$fb::INFO{'suche'} =~ s/"/\&quot;/g;
		$fb::INFO{'suche'} =~ s/  / \&nbsp;/g;
		$fb::INFO{'suche'} =~ s/</&lt;/g;
		$fb::INFO{'suche'} =~ s/>/&gt;/g;
		$fb::INFO{'suche'} =~ s/\t/ \&nbsp; \&nbsp; \&nbsp;/g;
		$fb::INFO{'suche'} =~ s/\|/\&#124;/g;
		$fb::INFO{'suche'} =~ s/\/\&\#167\;/g;
		$fb::INFO{'suche'} =~ s/\*/\&\#42\;/g;
		$fb::INFO{'suche'} =~ s/\$/\&\#36\;/g;
		$fb::INFO{'suche'} = lc($fb::INFO{'suche'});
		
		my $quoted = $fb::dbh->quote("%" . $fb::INFO{'suche'} . "%");
		$add_search = " AND (LOWER(e.name) LIKE " . $quoted . " OR LOWER(e.email) LIKE " . $quoted . " OR LOWER(e.message) LIKE " . $quoted . " OR LOWER(e.url) LIKE " . $quoted . " OR LOWER(e.feedback) LIKE " .$quoted . ")";
	}

	if (!$fb::gl{'is_admin'}) { $add_cookie = " AND privatn <> 1"; }

	unless ($no_limit) { $add_limit = " LIMIT ?,?"; }


	## possibility to add extra modules -> comments

	if ($fb::mod{'action_modules'}{'messageindex_top'}) {
		foreach my $mod (@{$fb::mod{'action_modules'}{'messageindex_top'}}) {
			if ($fb::mod{'modules_info'}{$mod->[0]}[0] == 1) {
				unless ($fb::loaded{$mod->[1]}) {
					require "$fb::gl{'subsdir'}/$mod->[1].pl";
					$fb::loaded{$mod->[1]} = 1;
				}
				($add_select,$add_join,$add_groupby,$add_order) = $mod->[2]->($add_select,$add_join,$add_groupby,$add_order,$order_richt);
			}
		}
	}	


	my $countshowid;
	
	# a specific guestbook entry to be shown -> get start page
	if ($fb::INFO{'showid'}) {
	
			my $sth = $fb::dbh->prepare("SELECT e.id$add_select FROM $fb::cf{'db_prefix'}" . "$implement_file AS e$add_join WHERE e.frei <> ?$add_cookie$add_search$add_groupby ORDER BY e.pinned DESC,$add_order e.datum $order_richt");
			
			my @pushvars = ("1");
			
			## add_where currently unused
			#if ($add_where) { push(@pushvars); }
		
			$sth->execute(@pushvars) or save_db_error(DBI->errstr);
			
			my ($nr, $maxdat);
			
			if ($add_select) {
				$sth->bind_columns(\$nr, \$maxdat);
			}
			else {
				$sth->bind_columns(\$nr);
			}

			$countshowid = 0;
			
			# starting number of entry
			my $startid = 0;

			while($sth->fetchrow_arrayref) {
				if ($nr == $fb::INFO{'showid'}) { $startid = $countshowid; 	}
				$countshowid++;
			}

			
			# determine new starting point
			my $startmessages = 0;
			my $start2messsages = $startmessages + $fb::cf{'maxindex'};
			
			my $madeit = 0;

			while ($madeit != 1) {
				
				if (($startid >= $startmessages) && ($startid < $start2messsages)) {
					$start = $startmessages;
					$madeit = 1;
				}

				$startmessages = $startmessages + $fb::cf{'maxindex'};
				$start2messsages = $startmessages + $fb::cf{'maxindex'};
				
			}

	}
	
	# search add-ons
	my $pr_suche = convert_to_hex($fb::INFO{'suche'});
	my $add_querystr = ";maxindex=$showanzahl;order=$order;suche=$pr_suche";

	$fb::fi{'count'} = $countshowid || $fb::dbh->selectrow_array("SELECT COUNT(*) FROM $fb::cf{'db_prefix'}" . "$implement_file e WHERE e.frei <> ?$add_cookie$add_search", undef, "1");

	if (($fb::cf{'allp'} == 1) && ($fb::fi{'count'})) { $fb::cf{'maxindex'} = $fb::fi{'count'}; }

	if( $start > $fb::fi{'count'} ) { $start = int( $fb::fi{'count'} % $fb::cf{'maxindex'} ) * $fb::cf{'maxindex'}; }
	elsif( $start < 0 ) { $start = 0; }
	
	my $indexdisplaynum = 5;
	my $tmpa = 1;
	
	if($fb::cf{'maxindex'}==0) { $fb::cf{'maxindex'}=1; }
	
	my $tmpx = int( $fb::fi{'count'} / $fb::cf{'maxindex'} );

	my ($startpage, $endpage) = (0,0);

	my $pagesprint = "";
	
	if ($start >= (($indexdisplaynum-1) * $fb::cf{'maxindex'})) { $startpage = $start - (($indexdisplaynum-1) * $fb::cf{'maxindex'}); $tmpa = int( $startpage / $fb::cf{'maxindex'} ) + 1; }
	if ($fb::fi{'count'} >= $start + ($indexdisplaynum * $fb::cf{'maxindex'})) { $endpage = $start + ($indexdisplaynum * $fb::cf{'maxindex'}); } else { $endpage = $fb::fi{'count'} }
	if ($startpage > 0) { $pagesprint = qq~<a href="$fb::gl{'scriptac'}=$fb::gl{'action'};start=0$add_querystr">1</a>&nbsp;...&nbsp;~; }
	if ($startpage == $fb::cf{'maxindex'}) { $pagesprint = qq~<a href="$fb::gl{'scriptac'}=$fb::gl{'action'};start=0$add_querystr">1</a>&nbsp;~;}
	for(my $counter = $startpage; $counter < $endpage; $counter += $fb::cf{'maxindex'} ) {
		$pagesprint .= $start == $counter ? qq~<B><U>$tmpa</U></B>&nbsp;~ : qq~<a href="$fb::gl{'scriptac'}=$fb::gl{'action'};start=$counter$add_querystr">$tmpa</a>&nbsp;~;
		++$tmpa;
	}
	
	$tmpx = $fb::fi{'count'} - 1 - $fb::cf{'maxindex'};

	my $outerpn = int($tmpx / $fb::cf{'maxindex'});
	my $pagecount = int(($fb::fi{'count'} - 1) / $fb::cf{'maxindex'}) + 1;
	my $lastptn = ($pagecount - 1) * $fb::cf{'maxindex'};#

	my $pagesadd = "";

	if ($endpage < $fb::fi{'count'} - $fb::cf{'maxindex'} ) {$pagesadd = qq~&nbsp;...&nbsp;~;}
	if ($endpage != $fb::fi{'count'}) {$pagesadd .= qq~&nbsp;<a href="$fb::gl{'scriptac'}=$fb::gl{'action'};start=$lastptn$add_querystr">$pagecount</a>~;}
	
	$fb::fi{'pages'} = $pagesprint . $pagesadd;
	$fb::gl{'start'} = $start;
	$fb::gl{'lastpage'} = $lastptn;

	if ($fb::fi{'pages'} eq "") { $fb::fi{'pages'} = "1"; }





	# update menu with new pages
	$fb::fi{'menu'} = "[ $fb::fi{'addmsg'} ]  &nbsp; [ $fb::fi{'showentrys'} | $fb::txt{'gl'}{'4'} : $fb::fi{'pages'}] $fb::fi{'admin'}";

	$fb::fi{'title'} = "$fb::txt{'gl'}{'1'}";

	$fb::fi{'pagecount'} = $pagecount;

	# counting entries
	my $countem = 1;

	# finally executing the corresponding mysql query

	my $sth_e = $fb::dbh->prepare("SELECT e.*$add_select FROM $fb::cf{'db_prefix'}" . "$implement_file AS e$add_join WHERE e.frei <> ?$add_cookie$add_search$add_groupby ORDER BY e.pinned DESC,$add_order e.datum $order_richt$add_limit");


	my @pushvars = ("1");
	my $ilimcount = 2;

	unless ($no_limit) { 
		push(@pushvars, $start, $fb::cf{'maxindex'}); 
	}

	my $ivcount = 1;
	foreach (@pushvars) {
		if ($ivcount >= $ilimcount) { $sth_e->bind_param($ivcount, $_, DBI::SQL_INTEGER); }
		else { $sth_e->bind_param($ivcount, $_); }
		$ivcount++;
	}

	$sth_e->execute() or save_db_error(DBI->errstr);
	
	# walk through entries and load them
	while(my(@entrydata) = $sth_e->fetchrow_array) {
	#while($sth_e->fetchrow_arrayref) {
		
		# that's where we store the data
		my %le;

		($le{'id'}, $le{'datum'}, $le{'name'}, $le{'icon'}, $le{'email'}, $le{'url'}, $le{'ip'}, $le{'icq'}, $le{'aim'}, $le{'msn'}, $le{'skype'}, $le{'yim'}, $le{'message'}, $le{'feedback'}, $le{'bewertung'}, $le{'ort'}, $le{'nosmile'}, $le{'frei'}, $le{'msf'}, $le{'hideown'}, $le{'savedinput'}, $le{'privatn'}, $le{'pinned'}, $le{'betreff'}, $le{'jabber'}, $le{'state'}, $le{'sprchosen'}) = (@entrydata);

		unless ($fb::loaded{'file_loadentry'}) { require "$fb::gl{'subsdir'}/loadentry.pl"; }

		&loadentry(\%le,$start);

		$countem++;
		
		my $thiseintrag = &doskin("template_messageindex");
		&wandleum(\$thiseintrag);
		$fb::fi{'main'} .= $thiseintrag;

	}


	if ($countem == 1) { $fb::fi{'main'} .= &doskin("template_nomessages"); }

	$fb::inp{"m_messages"} = $fb::fi{'main'};
	#$fb::fi{'main2'} .= &doskin("template_ouindex");
	$fb::fi{'main'} = &doskin("template_ouindex");


	
	## possibility to add extra modules -> comments

	if ($fb::mod{'action_modules'}{'messageindex'}) {
		foreach my $mod (@{$fb::mod{'action_modules'}{'messageindex'}}) {
			if ($fb::mod{'modules_info'}{$mod->[0]}[0] == 1) {
				unless ($fb::loaded{$mod->[1]}) {
					require "$fb::gl{'subsdir'}/$mod->[1].pl";
					$fb::loaded{$mod->[1]} = 1;
				}
				my $check = $mod->[2]->($start);
			}
		}
	}	


}


1;
