####################### [Firebook] - guestbook ################################
# skinsystem2.pl  	                                                          #
###############################################################################

package fb;

use strict;
use warnings;
#use diagnostics;

sub skinsystem2 {

	&isadmin;
	
	my $bearbeiteskin = $fb::FORM{'requskin'} || $fb::INFO{'requskin'};
	my $was = $fb::FORM{'was'} || $fb::INFO{'was'};

	# optional redirection addition
	my $addred = "";
	
	unless ( ($bearbeiteskin) || ($was) ) {
		# not correct action
		my $set_location = "$fb::gl{'scriptac'}=skinsystem";
		&redirect($set_location);
	}

	if ( $was eq "skintemplates" ) {
		# editing main templates
		my $saveunder = $fb::FORM{'templatech'} || $fb::INFO{'templatech'} || "template";

		if ($saveunder eq "templatefree") {
			$saveunder = "templatefree";
			$addred    = qq~;templatech=templatefree~;
		}

		my $templated = $fb::FORM{'template'};
		$templated =~ s/&lt;/</g;
		$templated =~ s/&gt;/>/g;
		$templated =~ s/\r//g;
		&writefile( "$fb::gl{'datadir'}/skins/$bearbeiteskin/$saveunder.html",$templated );

	}
	elsif ($was eq "skineinst") {
		# skin settings

		my $save = "skineinst";
		
		foreach my $entry ( @{ $fb::cf{"onoff_$save"} } ) {
			$fb::cf{$entry} = ( $fb::FORM{$entry} ) ? "1" : "0";
		}

		foreach my $entry ( @{ $fb::cf{"getvar_$save"} } ) {
			$fb::cf{$entry} = $fb::FORM{$entry};
			$fb::cf{$entry} =~ s/@/\\@/g;
			$fb::cf{$entry} =~ s/"/\&quot;/g;
			$fb::cf{$entry} =~ s/~/\\~/g;
			if ( $entry =~ m/^zeich/ig ) {
				if ( $fb::cf{$entry} =~ m/\D/g ) { $fb::cf{$entry} = 0; }
			}
		}

		if ( $fb::cf{'smiliesrow'} eq "" ) { $fb::cf{'smiliesrow'} = 4; }
		if ( $fb::cf{'smiliesrow'} =~ m/\D/g ) { $fb::cf{'smiliesrow'} = 4; }
		
		my $fbinfospl = "";

		$fbinfospl .= qq~
####################### [Firebook] - guestbook ################################
# config.pl  															      #
###############################################################################

########### Einstellungen
~;
		foreach my $entry ( @{ $fb::cf{"getvar_$save"} } ) {
			$fbinfospl .= qq~\$fb::cf{'$entry'} = qq\~$fb::cf{$entry}\~;\n~;
		}
		foreach my $entry ( @{ $fb::cf{"onoff_$save"} } ) {
			$fbinfospl .= qq~\$fb::cf{'$entry'} = qq\~$fb::cf{$entry}\~;\n~;
		}
		$fbinfospl .= qq~
########### Einstellungen
1;
~;
		&writefile( "$fb::gl{'datadir'}/skins/$bearbeiteskin/config.pl",$fbinfospl );

	}
	elsif ( $was eq "skincss" ) {
		# change css settings
		
		my $vorschau;
		if ($fb::FORM{'waction'} && $fb::FORM{'waction'} eq 'preview' ) { $vorschau = 1; }
		else { $vorschau = 0; }

		# standard or fancy css editing
		my $was2 = $fb::FORM{'was2'} || $fb::INFO{'was2'};

		# the new CSS document
		my $newcss = "";
		
		unless ( $fb::INFO{'savepr'} ) {
			if ( -e "$fb::gl{'datadir'}/styles/preview.html" ) {
				&dounlink("$fb::gl{'datadir'}/styles/preview.html");
			}
		}

		if ($fb::INFO{'savepr'}) {
			# there is a preview file we just need to save now
			my @savedcss = &openfile("$fb::gl{'datadir'}/styles/preview.html");
			$newcss   = join( '', @savedcss );
			$vorschau = 0;
		}
		elsif ($was2 eq "standard") {
			# standard style editing

			$newcss = $fb::FORM{'template'};
			$newcss =~ s/&lt;/</g;
			$newcss =~ s/&gt;/>/g;
			$newcss =~ s/\r//g;
		}
		elsif ($was2 eq "fancy") {
			# fancy style editing
			
			# get custom CSS tags from template
			my @savedcss = &openfile("$fb::gl{'datadir'}/skins/$bearbeiteskin/style.css");
			my $template_test = join( '', @savedcss );
			$template_test =~ s~<style(.*?)\/\*(.*?)own CSS tags(.*?)\*\/(.*?)\/\*(.*?)own CSS tags(.*?)\*\/(.*?)/style\>~~isg;
			my $own_css_tags = $4;

				my @allclasses = (
					"A:link|alink",
					"A:visited|avisited",
					"A:hover|ahover",
					"BODY|body",
					".fb1|fb1",
					".fb2|fb2",
					".fb3|fb3",
					".fb4|fb4",
					".fbtitle|fbtitle",
					".fbcatbg|fbcatbg",
					".fbborder|fbborder",
					"td|td",
					"hr|hr",
					"input|input",
					"textarea|textarea",
					"select|select",
					".pinned|pinned",
					".marked|marked",
					".fbkomm|fbkomm",
					".quote|quote",
					".ubbcbutton A:link|ubbca",
					".ubbcbutton A:visited|ubbca",
					".ubbcbutton A:hover|ubbcahover"
				);
				
				# temp storage for new css file
				my $savedcssinfo = "";

				foreach (@allclasses) {
					my ( $classsave, $classid ) = split(/\|/, $_);

					my $savethisclass = "";

					if ( $fb::FORM{"bgcolor_$classid"} ) {
						unless ( $fb::FORM{"bgcolor_$classid"} eq "none" ) {
							$savethisclass .= qq~background-color: $fb::FORM{"bgcolor_$classid"}; ~;
						}
					}
					if ( $fb::FORM{"color_$classid"} ) {
						unless ( $fb::FORM{"color_$classid"} eq "none" ) {
							$savethisclass .= qq~color: $fb::FORM{"color_$classid"}; ~;
						}
					}
					if (   ( $fb::FORM{"borderpx_$classid"} ) && ( $fb::FORM{"bordertyp_$classid"} ) && ( $fb::FORM{"bordercol_$classid"} ) ) {
						unless ( $fb::FORM{"bordercol_$classid"} eq "none" ) {
							$savethisclass .= qq~border: $fb::FORM{"borderpx_$classid"} $fb::FORM{"bordertyp_$classid"} $fb::FORM{"bordercol_$classid"}; ~;
						}
					}
					if ( $fb::FORM{"fontfamily_$classid"} ) {
						$savethisclass .= qq~font-family: $fb::FORM{"fontfamily_$classid"}; ~;
					}
					if ( $fb::FORM{"fontsize_$classid"} ) {
						$savethisclass .= qq~font-size: $fb::FORM{"fontsize_$classid"}; ~;
					}
					if ( $fb::FORM{"fontdeko_$classid"} ) {

						my ($prbold, $prunderline, $pritalic) = (0,0,0);

						if ( $fb::FORM{"fontdeko_$classid"} eq "all" ) {
							$prbold      = 1;
							$prunderline = 1;
							$pritalic    = 1;
						}
						elsif ($fb::FORM{"fontdeko_$classid"} eq "underline_italic" ) {
							$prunderline = 1;
							$pritalic    = 1;
						}
						elsif ( $fb::FORM{"fontdeko_$classid"} eq "bold_underline" )
						{
							$prbold      = 1;
							$prunderline = 1;
						}
						elsif ( $fb::FORM{"fontdeko_$classid"} eq "bold_italic" ) {
							$prbold   = 1;
							$pritalic = 1;
						}
						elsif ( $fb::FORM{"fontdeko_$classid"} eq "bold" ) {
							$prbold = 1;
						}
						elsif ( $fb::FORM{"fontdeko_$classid"} eq "underline" ) {
							$prunderline = 1;
						}
						elsif ( $fb::FORM{"fontdeko_$classid"} eq "italic" ) {
							$pritalic = 1;
						}

						if ($prbold) {
							$savethisclass .= qq~font-weight: bold; ~;
						}
						if ($prunderline) {
							$savethisclass .= qq~text-decoration: underline; ~;
						}
						else {
							if (( $classid eq "ubbca" )	|| ( $classid eq "ubbcahover" )	|| ( $classid eq "alink" )|| ( $classid eq "avisited" )	|| ( $classid eq "ahover" ) )
							{
								$savethisclass .= qq~text-decoration: none; ~;
							}
						}

						if ($pritalic) {
							$savethisclass .= qq~font-style: italic; ~;
						}

					}
					if ( $fb::FORM{"margin_$classid"} ) {
						$savethisclass .= qq~margin: $fb::FORM{"margin_$classid"}; ~;
					}
					if ( $fb::FORM{"padding_$classid"} ) {
						$savethisclass .= qq~padding: $fb::FORM{"padding_$classid"}; ~;
					}
					if ( $fb::FORM{"background_$classid"} ) {
						$savethisclass .= qq~background-image: url($fb::FORM{"background_$classid"}); ~;
					}
					if ( $classid eq "body" ) {
						$savethisclass .= qq~scrollbar-face-color: $fb::FORM{"bgcolor_fb2"}; scrollbar-shadow-color: $fb::FORM{"color_fbborder"}; scrollbar-highlight-color: $fb::FORM{"color_fbborder"}; scrollbar-3dlight-color: $fb::FORM{"bgcolor_fbborder"}; scrollbar-darkshadow-color: $fb::FORM{"bgcolor_fbborder"}; scrollbar-track-color: $fb::FORM{"bgcolor_fb2"}; scrollbar-arrow-color: $fb::FORM{"bgcolor_fbborder"}; ~;
					}
					if ( ( $classid eq "ubbca" ) || ( $classid eq "ubbcahover" ) ) {
						$savethisclass .= qq~display: block; ~;
					}
					if ($savethisclass) {
						$savedcssinfo .= qq~$classsave { $savethisclass}\n~;
					}
				}
				
				# final additions
				$savedcssinfo .= qq~form { padding: 0px; margin: 0px; }\n~;
				
				if ($own_css_tags) {
					$own_css_tags = "/* own CSS tags */" . $own_css_tags . "/* own CSS tags */\n";
				}

$newcss = qq~<style type="text/css">
<!--
$savedcssinfo$own_css_tags-->
</style>~;


		}


		if ( $vorschau == 1 ) {

			&writefile("$fb::gl{'datadir'}/styles/preview.html", $newcss);
			chmod(0666, "$fb::gl{'datadir'}/styles/preview.html");
			&adminmenu;

			unless ( $fb::loaded{'file_skinsystem'} ) {
				$fb::loaded{'file_skinsystem'} = 1;
				require "$fb::gl{'subsdir'}/skinsystem.pl";
				&fb::load_language("skinsystem");
				&printmenu( $bearbeiteskin, "css" );
			}

			$fb::fi{'main'} .= qq~
			<table align=center width="100%" border=0 cellspacing=1 cellpadding=2 class=fbborder>
			<tr><td class=fbtitle colspan=2><b>$fb::txt{'sk'}{'108'}</b></td></tr>
			<tr><td class=fb2 align=center colspan=2>
			<iframe STYLE="border:1px solid #333333; margin: 10px;" src="$fb::gl{'scriptac2'}=;skin=$bearbeiteskin;lang=$fb::gl{'sprache2'};preview=1" name="Fensterlein" width="99%" height="400"  marginheight="0" marginwidth="0" frameborder="0"></iframe>

			</td></tr>
				<tr><td width=50% class=fb4 align=center><b><a href="$fb::gl{'scriptac'}=skincss;was2=$was2;requskin=$bearbeiteskin;prinsert=1">$fb::txt{'sk'}{'109'}</a></b>
				
			</td><td width=50% class=fb4 align=center><b><a href="$fb::gl{'scriptac'}=skinsystem2;was=skincss;was2=$was2;savepr=1;requskin=$bearbeiteskin">$fb::txt{'sk'}{'110'}</b></td></tr>
			</table>
			~;
			&adminschluss;
			&template;
		}
		else {
			&writefile( "$fb::gl{'datadir'}/skins/$bearbeiteskin/style.css",$newcss );
		}

		$addred = qq~;was2=$was2~;

	}

	my $set_location  = "$fb::gl{'scriptac'}=$was;requskin=$bearbeiteskin$addred";
	&redirect($set_location);


}
1;
