####################### [Firebook] - guestbook ################################
# ubbc.pl		                                                              #
###############################################################################

package ubbc;

use strict;
use warnings;
#use diagnostics;

my $ubbccode_ref;

# number of effect used to avoid crashes
my %effectused;
my %counteffect;
my %counteffectstart;
my %startedeffects;
my %startedeffects2;

my %css_info;

my $loaded_printimgres = 0;
my $loaded_badwords = 0;

my @censored_badwords;

 # in case module for ubbc modification is not installed, config values might be missing
unless ($fb::cf{'autolinkurls'}) { $fb::cf{'autolinkurls'} = 1; }
unless ($fb::cf{'tabletags'}) { $fb::cf{'tabletags'} = 1; }
unless ($fb::cf{'imgres1'}) { $fb::cf{'imgres1'} = 300; $fb::cf{'imgres2'} = 300; }

$fb::loaded{'file_ubbc'} = 1;
sub UBBC2 {

	my $nosmile = $_[0] || "0";
	my $context = $_[1] || "1"; # 1=messages, 2=others

	# write references to local variables
	my @pruefen;
	my $i = 0;
	foreach  (@_) { push(@pruefen, ${$_}) if ($i >= 2); $i++; }

	# only first reference is checked for length
	$pruefen[0] =~ s/<br>/ <br>/g;
	
	# = &nbsp;
	my $char_160 = chr(160);
	
	my @words=split(/ /,$pruefen[0]); 
	my $text_splitted; 
	foreach my $word (@words) { 
		if (($word =~ m~\[url\](.*?)\[/url\]~) || ($word =~ m~\[url=\s*(.+?)\]\s*(.+?)\s*\[/url\]~) || ($word =~ m~\[img\](.*?)\[/img\]~) || ($word =~ m~\[img width=(\d+) height=(\d+)\][\s*\t*\n*(&nbsp;)*($char_160)*]*(http\:\/\/)*(.+?)[\s*\t*\n*(&nbsp;)*($char_160)*]*\[/img\]~) || ($word =~ m~\[flash\=(\S+?),(\S+?)](\S+?)\[\/flash\]~)) {
			$text_splitted .= $word." ";
			next;
		}
		if (length($word) > $fb::cf{'anzahlZeichen'}) { 
			my @word;  
			for (0..length($word)-1) {   
				my $tmp=substr($word,0,1);   
				push(@word,$tmp);   
				$word=substr($word,1,length($word)-1) };   
			
				for (1..@word) {   
					if ($_ % $fb::cf{'anzahlZeichen'} == 0)   {  
						$text_splitted.=$word[$_-1]." ";   
					}  
					else {   
						$text_splitted.=$word[$_-1]; 
					}
				}
		} 
		else  {
			$text_splitted.=$word;
		}
		$text_splitted.=" "; 
	} 
	
	$pruefen[0] = $text_splitted;
	
	&fb::load_language("ubbcfiles");
	
	# the first index of data is 2, 0 = nosmile, 1 = context
	my $count2 = 2;

	foreach my $pruef (@pruefen) {
	
		if ($pruef) {
			if (($fb::cf{'smileys'} == 1) && ($nosmile != 1)) { $pruef = &makesmilies($pruef); }
			
			## the following done always even if ubbc is deactivated
			
			$pruef =~ s~<br>~\n~ig;
			$pruef =~ s~\[([^\]]{0,30})\n([^\]]{0,30})\]~\[$1$2\]~g;
			$pruef =~ s~\[/([^\]]{0,30})\n([^\]]{0,30})\]~\[/$1$2\]~g;
			$pruef =~ s~(\w+://[^<>\s\n\"\]\[]+)\n([^<>\s\n\"\]\[]+)~$1\n$2~g;
			$pruef =~ s~\[\[~\{\{~g;
			$pruef =~ s~\]\]~\}\}~g;
			$pruef =~ s~\|~\&#124;~g;
			$pruef =~ s~\[br\]~\n~ig;
			
			
			if($fb::cf{'autolinkurls'} == 1) {
				if ($fb::cf{'stealthurl'}){
					$pruef =~ s~([^\w\"\=\[\]]|[\n\b]|\A)\\*(\w+)://([\w\~\.\;\:\,\$\-\+\!\*\?/\=\&\@\#\%]+\.[\w\~\;\:\$\-\+\!\*\?/\=\&\@\#\%]+[\w\~\;\:\$\-\+\!\*\?/\=\&\@\#\%])~$1<a href="$fb::gl{'script'}?action=redirectexit;prt=$2;url=$3" target="_blank">$2://$3</a>~isg;
					$pruef =~ s~([^\"\=\[\]/\:\.(\://\w+)]|[\n\b]|\[quote.*?\]|\A)\\*(www\.[^\.][\w\~\.\;\:\,\$\-\+\!\*\?/\=\&\@\#\%]+\.[\w\~\;\:\$\-\+\!\*\?/\=\&\@\#\%]+[\w\~\;\:\$\-\+\!\*\?/\=\&\@\#\%])~$1<a href="$fb::gl{'script'}?action=redirectexit;prt=http;url=$2" target="_blank">$2</a>~isg;
				} else {
					$pruef =~ s~([^\w\"\=\[\]]|[\n\b]|\A)\\*(\w+://[\w\~\.\;\:\,\$\-\+\!\*\?/\=\&\@\#\%]+\.[\w\~\;\:\$\-\+\!\*\?/\=\&\@\#\%]+[\w\~\;\:\$\-\+\!\*\?/\=\&\@\#\%])~$1<a href="$2" target="_blank">$2</a>~isg;
					$pruef =~ s~[^(?:\://\w+)]([^\"\=\[\]/\:\.]|[\n\b]|\[quote.*?\]|\A)\\*(www\.[^\.][\w\~\.\;\:\,\$\-\+\!\*\?/\=\&\@\#\%]+\.[\w\~\;\:\$\-\+\!\*\?/\=\&\@\#\%]+[\w\~\;\:\$\-\+\!\*\?/\=\&\@\#\%])~$1<a href="http://$2" target="_blank">$2</a>~isg; 
				}
			}


			if (($fb::cf{'imgres1'}) || ($fb::cf{'imgres2'})) { 
				$pruef =~ s~\[img(.*?)\][\s*\t*\n*(&nbsp;)*($char_160)*]*(http.?\:\/\/)*(.+?)[\s*\t*\n*(&nbsp;)*($char_160)*]*\[/img\]~restrictimage($1,$2.$3)~eisg;
			}
			
			## the following only done if UBBC is activated!
			if ($fb::cf{'ubbc'} != 0) {

				unless ($ubbccode_ref) {
					my $sth = $fb::dbh->prepare("SELECT * FROM $fb::cf{'db_prefix'}" . "ubbc");
					$sth->execute() or save_db_error(DBI->errstr);
					$ubbccode_ref = $sth->fetchall_arrayref;
				}

				my $i = 0;
				my @ubbcsplit;
						
				foreach (@{$ubbccode_ref}) {
					my @ubbcsplit = @{$ubbccode_ref->[$i]};

					# wenn ubbc codes fr bestimmte aktionen ausgeschlossen werden sollen
					if ($ubbcsplit[12] && $ubbcsplit[12] ne "") {
						my $noprint = 0;
						my @actions = split(/\,/, $ubbcsplit[12]);
						foreach (@actions) {
							if ($fb::gl{'action'} eq $_) { $noprint = 1; }
						}
						if ($noprint == 1) {
								$pruef =~ s~$ubbcsplit[3]~~is;
								next;
						}
					}
					
					
					my @testsplit = "";

					# ubbcsplit[3] -> Syntax layout
					my $textsplit = $ubbcsplit[3];

					$ubbcsplit[3] =~ s~\[~\\[~g;
					$ubbcsplit[3] =~ s~\]~\\]~g;
					$ubbcsplit[3] =~ s~\%optrow\%~\(\.\+\?\)~isg;
					$ubbcsplit[3] =~ s~\%opt(\d+)\%~\(\.\+\?\)~isg;
					$ubbcsplit[3] =~ s~\%lopt(\d+)\%~\\s\*\(\.\+\?\)\\s\*~isg;
					$ubbcsplit[3] =~ s~\%linkopt(\d+)\%~s\*\(\\w\+\\\:\/\/\.\+\?\)~isg;
					$ubbcsplit[3] =~ s~\%imgopt(\d+)\%~[\\s*\t*\n*(&nbsp;)*($char_160)*]*[http\\:\\\/\\\/]*(\.\+\?)[\\s*\t*\n*(&nbsp;)*($char_160)*]*~isg;
					$ubbcsplit[3] =~ s~\%digopt(\d+)\%~\(\\d\+\)~isg;
					$ubbcsplit[3] =~ s~\%emailopt(\d+)\%~\\s\*\(\\S\+\?\\\@\\S\+\?\\\.\\S\+\?\)~isg;
					my $save_split = $ubbcsplit[3];
					$ubbcsplit[3] =~ s~\%text\%~\(\.\+\?\)~isg;

					# left and right side of code
					my ($side1, $side2) = split("%text%", $save_split);
					
					# whether to run effects when effects are deactivated
					my $erlaubt = 0;
					
					if (($fb::gl{'noeffects'}) && ($ubbcsplit[0] =~ m/figbeffect/ig)) { $erlaubt = 0; next; }
					if (($context == 2) && ($ubbcsplit[17] == 1)) { $erlaubt = 1; }
					elsif (($context != 2) && ($ubbcsplit[16] == 1)) { $erlaubt = 1; }

					if ($erlaubt == 1) {

						while ($pruef =~ m~$ubbcsplit[3]~is) {

							my %val;
							my %pos;

							# %texta% und %optXa% waren Altlasten zu Bearbeitungszwecken und sind ausgegraut
							
							# liest die variablen und Werte aus $pruef =~ m~$ubbcsplit[3]~is ein
							if ($1) { $val{"1"} = $1; }
							if ($2) { $val{"2"} = $2; }
							if ($3) { $val{"3"} = $3; }
							if ($4) { $val{"4"} = $4; }
							if ($5) { $val{"5"} = $5; }
							if ($6) { $val{"6"} = $6; }
							if ($7) { $val{"7"} = $7; }
							if ($8) { $val{"8"} = $8; }
							if ($9) { $val{"9"} = $9; }
							if ($10) { $val{"10"} = $10; }
							
							#for (my $i = 1; $i < 13; ++$i){ $val{"$i"} = ${$i}; $val{"$i"."a"} = ${$i}; }
							#die($val{"1"} . " " . $val{"2"});
							my @testsplit = split(/\%/, $textsplit);
							
							my $count = 1;
							# welche Platzhalter hab ich auf welchen Positionen
							foreach (@testsplit) {
								if ($_ eq "optrow") {
									$pos{'optrow'} = $count;
									$count++;
								}
								elsif ($_ =~ m~opt(\d+)~i) {
									my $optcount = $1;
									$pos{"opt$optcount"} = $count;
									#$pos{"opt$optcount"."a"} = $count;
									$count++;
								}
								elsif ($_ eq "text") {
									$pos{'text'} = $count;
									#$pos{"text"."a"} = $count;
									$count++;
								}
							}

							# ubbcsplit4 => ziel-syntax
							my $runtest = $ubbcsplit[4];

							#$runtest =~ s~%opt(\d+)a%~%opt$pos{"opt$1"}a%~isg;
							$runtest =~ s~%opt(\d+)%~%opt$pos{"opt$1"}%~isg;
							$runtest =~ s~%opt(\w)%~%opt$pos{"opt$1"}%~isg;

							#$runtest =~ s~%texta%~%opt$pos{"text"}a%~isg;
							if ($pos{"text"}) { $runtest =~ s~%text%~%opt$pos{"text"}%~isg; }

							while ($runtest =~ m/%stealthlink(\d+)%/i) {
								my $counter = $1;
								my $check_url = $val{$pos{"opt$counter"}};
								
								if ($check_url =~ m~([^\w\"\=\[\]]|[\n\b]|\A)\\*(\w+)://~ig) {
									$check_url =~ s~([^\w\"\=\[\]]|[\n\b]|\A)\\*(\w+)://([\w\~\.\;\:\,\$\-\+\!\*\?/\=\&\@\#\%]+\.[\w\~\;\:\$\-\+\!\*\?/\=\&\@\#\%]+[\w\~\;\:\$\-\+\!\*\?/\=\&\@\#\%])~$fb::gl{'script'}?action=redirectexit;prt=$2;url=$3~isg;
								}
								else {
									$check_url =~ s~([^\"\=\[\]/\:\.(\://\w+)]|[\n\b]|\A)\\*([\w\~\.\;\:\,\$\-\+\!\*\?/\=\&\@\#\%]+\.[\w\~\;\:\$\-\+\!\*\?/\=\&\@\#\%]+[\w\~\;\:\$\-\+\!\*\?/\=\&\@\#\%])~$fb::gl{'script'}?action=redirectexit;prt=http;url=$2~isg;
								}

								$runtest =~ s~%stealthlink$counter%~$check_url~ig;
							}
							if ($runtest =~ m/%datopt2%/i) {
								my $ersdatum = &fb::formatdatum($val{$pos{'opt2'}});
								$runtest =~ s~%datopt2%~$ersdatum~ig;
							}
							if ($runtest =~ m/%nameopt1%/i) {
								my $nameopt = ($val{$pos{'opt1'}} eq "admin") ? $fb::txt{'le'}{'10'} : $fb::txt{'le'}{'11'};
								$runtest =~ s~%nameopt1%~$nameopt~ig;
							}
							if ($runtest =~ m/%icqgif%/i) {
								$runtest =~ s~%icqgif%~<a target="_blank" href="http://wwp.mirabilis.com/scripts/Search.dll?to=$val{$pos{'opt1'}}"><img src="http://web.icq.com/whitepages/online?icq=$val{$pos{'opt1'}}&amp;img=5" title="$val{$pos{'opt1'}} $fb::txt{'le'}{'8'}" alt="$val{$pos{'opt1'}} $fb::txt{'le'}{'8'}" border="0"></a>~ig;
							}
							elsif ($runtest =~ m/%aimgif%/i) {
								my $urlto;
								if ($fb::cf{'useonlinehost'} ne "") { $urlto = qq~$fb::cf{'useonlinehost'}/aim/$val{$pos{'opt1'}}~; } 
								else { $urlto = qq~$fb::fi{'bilderurlsk'}/allgemein/aim.gif~; }
								
								$runtest =~ s~%aimgif%~<a target="_blank" href="aim:goim?screenname=$val{$pos{'opt1'}}"><img src="$urlto" border="0" title="$fb::txt{'le'}{'9'} $val{$pos{'opt1'}}" alt="$fb::txt{'le'}{'9'} $val{$pos{'opt1'}}"></a>~ig;

							}
							elsif ($runtest =~ m/%msngif%/i) {
								if ($fb::cf{'useonlinehost'} ne "") { 
									$runtest =~ s~%msngif%~<A target="_blank" HREF="$fb::cf{'useonlinehost'}/message/msn/$val{$pos{'opt1'}}"><img src="$fb::cf{'useonlinehost'}/msn/$val{$pos{'opt1'}}" title="$fb::txt{'le'}{'9'} $val{$pos{'opt1'}}" alt="$fb::txt{'le'}{'9'} $val{$pos{'opt1'}}" border=0></a>\n~ig; } else { 
									$runtest =~ s~%msngif%~<img src="$fb::fi{'bilderurlsk'}/allgemein/msn.gif" title="$fb::txt{'le'}{'9'} $val{$pos{'opt1'}}" alt="$fb::txt{'le'}{'9'} $val{$pos{'opt1'}}" border=0>\n~ig; 
								}
							}
							elsif ($runtest =~ m/%yimgif%/i) {
								$runtest =~ s~%yimgif%~<a target="_blank" href="http://edit.yahoo.com/config/send_webmesg?.target=$val{$pos{'opt1'}}"><img SRC="http://opi.yahoo.com/online?u=$val{$pos{'opt1'}}&amp;m=g&amp;t=0" NOSAVE BORDER=0 title="$fb::txt{'le'}{'9'} $val{$pos{'opt1'}}" alt="$fb::txt{'le'}{'9'} $val{$pos{'opt1'}}"></a>~ig;
							}
							elsif ($runtest =~ m/%skypegif%/i) {

								if ($fb::cf{'useonlinehost'} ne "") { 
									$runtest =~ s~%skypegif%~<A target="_blank" HREF="$fb::cf{'useonlinehost'}/message/skype/$val{$pos{'opt1'}}"><img src="$fb::cf{'useonlinehost'}/skype/$val{$pos{'opt1'}}" title="$fb::txt{'le'}{'9'} $val{$pos{'opt1'}}" alt="$fb::txt{'le'}{'9'} $val{$pos{'opt1'}}" border=0></a>\n~ig; 
								} 
								else { $runtest =~ s~%skypegif%~<img src="$fb::fi{'bilderurlsk'}/allgemein/skype.gif" title="$fb::txt{'le'}{'9'} $val{$pos{'opt1'}}" alt="$fb::txt{'le'}{'9'} $val{$pos{'opt1'}}" border=0>\n~; }
							}
							elsif ($runtest =~ m/%jabbergif%/i) {

								if ($fb::cf{'useonlinehost'} ne "") { 
									$runtest =~ s~%jabbergif%~<A target="_blank" HREF="$fb::cf{'useonlinehost'}/message/jabber/$val{$pos{'opt1'}}"><img src="$fb::cf{'useonlinehost'}/jabber/$val{$pos{'opt1'}}" title="$fb::txt{'le'}{'9'} $val{$pos{'opt1'}}" alt="$fb::txt{'le'}{'9'} $val{$pos{'opt1'}}" border=0></a>\n~ig; 
								} 
								else { $runtest =~ s~%jabbergif%~<img src="$fb::fi{'bilderurlsk'}/allgemein/jabber.gif" title="$fb::txt{'le'}{'9'} $val{$pos{'opt1'}}" alt="$fb::txt{'le'}{'9'} $val{$pos{'opt1'}}" border=0>\n~; }
							}

							# Java Additions
							if ($ubbcsplit[5] && $ubbcsplit[5] ne "") {
								
								# delete-bracket
								# we are dealing with special effects which require code to be inserted
								unless (($ubbcsplit[19]) && ($val{$pos{'text'}} eq "")) {

									my $runtest1 = $ubbcsplit[5];
									my $runtest2 = $ubbcsplit[6];
									
									# counts effect use to avoid crashes
									unless ($effectused{$ubbcsplit[0]}) { $effectused{$ubbcsplit[0]} = 0; }
									$effectused{$ubbcsplit[0]}++;
									
									# javaeinf1wied -> add java code
									if ($ubbcsplit[7]) {

										unless ($counteffect{$ubbcsplit[0]}) { $counteffect{$ubbcsplit[0]} = 0; }
										$counteffect{$ubbcsplit[0]}++;

										#$runtest1 =~ s~%opt(\d+)a%~%opt$pos{"opt$1"}a%~isg;
										$runtest1 =~ s~%opt(\d+)%~%opt$pos{"opt$1"}%~isg;
										$runtest1 =~ s~%opt(\w)%~%opt$pos{"opt$1"}%~isg;
										#$runtest1 =~ s~%texta%~%opt$pos{"text"}a%~isg;
										$runtest1 =~ s~%text%~%opt$pos{"text"}%~isg;
										$runtest1 =~ s~%count%~$counteffect{$ubbcsplit[0]}~ig;
										$runtest1 =~ s~%br%~\n~ig;
										$fb::fi{'javaeffects'} .= qq~$runtest1~;

									}

									# javaeinf2wied -> add java code to page start
									if ($ubbcsplit[8]) {

										unless ($counteffectstart{$ubbcsplit[0]}) { $counteffectstart{$ubbcsplit[0]} = 0; }
										$counteffectstart{$ubbcsplit[0]}++;
										
										if ($runtest2) {
											#$runtest2 =~ s~%opt(\d+)a%~%opt$pos{"opt$1"}a%~isg;
											$runtest2 =~ s~%opt(\d+)%~%opt$pos{"opt$1"}%~isg;
											$runtest2 =~ s~%opt(\w)%~%opt$pos{"opt$1"}%~isg;
											#$runtest2 =~ s~%texta%~%opt$pos{"text"}a%~isg;
											$runtest2 =~ s~%text%~%opt$pos{"text"}%~isg;
											$runtest2 =~ s~%count%~$counteffectstart{$ubbcsplit[0]}~ig;
											$runtest2 =~ s~%br%~\n~ig;
											$fb::fi{'javaeffectsstart'} .= qq~$runtest2~;
										}


									}
									
									# insert java code -> code only needed once
									if ((!$ubbcsplit[7]) && (!$startedeffects{$ubbcsplit[0]})) {
										
										#$runtest1 =~ s~%opt(\d+)a%~%opt$pos{"opt$1"}a%~isg;
										$runtest1 =~ s~%opt(\d+)%~%opt$pos{"opt$1"}%~isg;
										$runtest1 =~ s~%opt(\w)%~%opt$pos{"opt$1"}%~isg;
										#$runtest1 =~ s~%texta%~%opt$pos{"text"}a%~isg;
										$runtest1 =~ s~%text%~%opt$pos{"text"}%~isg;
										$runtest1 =~ s~%count%~1~ig;
										$runtest1 =~ s~%br%~\n~ig;
										$fb::fi{'javaeffects'} .= qq~$runtest1~;
										$startedeffects{$ubbcsplit[0]} = 1;

									}

									# insert java code for start -> code only needed once
									if ((!$ubbcsplit[8]) && (!$startedeffects2{$ubbcsplit[0]})) {

										if ($runtest2 && $runtest2 =~ m/%allcount%/ig) {
											$runtest2 =~ s~%allcount%~$effectused{$ubbcsplit[0]}~ig;
											$runtest2 =~ s~%br%~\n~ig;
											#$runtest2 =~ s~%opt(\d+)a%~%opt$pos{"opt$1"}a%~isg;
											$runtest2 =~ s~%opt(\d+)%~%opt$pos{"opt$1"}%~isg;
											$runtest2 =~ s~%opt(\w)%~%opt$pos{"opt$1"}%~isg;
											#$runtest2 =~ s~%texta%~%opt$pos{"text"}a%~isg;
											$runtest2 =~ s~%text%~%opt$pos{"text"}%~isg;
											unless ($fb::fi{'javaeffectsstart'}) { $fb::fi{'javaeffectsstart'} = ""; }
											$fb::fi{'javaeffectsstart'} .= qq~$runtest2~;
										}
										else {
											if ($runtest2) {
												#$runtest2 =~ s~%opt(\d+)a%~%opt$pos{"opt$1"}a%~isg;
												$runtest2 =~ s~%opt(\d+)%~%opt$pos{"opt$1"}%~isg;
												$runtest2 =~ s~%opt(\w)%~%opt$pos{"opt$1"}%~isg;
												#$runtest2 =~ s~%texta%~%opt$pos{"text"}a%~isg;
												$runtest2 =~ s~%text%~%opt$pos{"text"}%~isg;
												$runtest2 =~ s~%count%~1~ig;
												$runtest2 =~ s~%br%~\n~ig;
												$fb::fi{'javaeffectsstart'} .= qq~$runtest2~;
											}
											$startedeffects2{$ubbcsplit[0]} = 1;
										}
									}
								}
								$runtest =~ s~%count%~$effectused{$ubbcsplit[0]}~ig;

							}
							
							# effekt-gewaehlt -> chosen effect -> these effects are predfined
							# roller coaster text 
							if ($ubbcsplit[14]) {
							
								if ($ubbcsplit[14] eq "updown") {

									my @ersetzeffect = split(//, $val{"$pos{'text'}"});
									my $runa = 1;
									my $nowplus = 1;

									$val{"$pos{'text'}"} = "";
									foreach (@ersetzeffect) {
										
										my $px = 0;

										if ($runa == 1) { $px = 10;  }
										if ($runa == 2) { $px = 12;  }
										if ($runa == 3) { $px = 15;  }
										if ($runa == 4) { $px = 18;  }
										if ($runa == 5) { $px = 21;  }
										if ($runa == 6) { $px = 27;  }

										$val{"$pos{'text'}"} .= qq~<font STYLE="font-size: $px">$_</font>~;
										if ($runa == 6) { $nowplus = 0;  }
										if ($runa == 1) { $nowplus = 1;  }
										if ($nowplus == 1) { $runa++;  }
										else { $runa--; }

									 }

								}
								elsif ($ubbcsplit[14] eq "glow") { # glowing text
									
									if ($val{$pos{"text"}} =~ m~$side1~is) { 
										$val{$pos{"text"}} =~ s~$side1~~i;
										$val{$pos{"text"}} =~ s~$side2~~i;
									}
									my $laenge = length($val{$pos{"text"}});
									$val{$pos{"text"}} = &makeGlow($val{$pos{"text"}},$val{$pos{"opt1"}},$laenge,$val{$pos{"opt2"}});
								}
								elsif ($ubbcsplit[14] eq "shadow") { # shadow effect

									if ($val{$pos{"text"}} =~ m~$side1~is) { 
											$val{$pos{"text"}} =~ s~$side1~~i;
											$val{$pos{"text"}} =~ s~$side2~~i;
									}
									my $laenge = length($val{$pos{"text"}});
									$val{$pos{"text"}} = &makeShadow($val{$pos{"text"}},$val{$pos{"opt1"}},$laenge,$val{$pos{"opt2"}});
								}
							}

							# maximal dimensions - needed for e.g. flash
							if ($ubbcsplit[9] && ($ubbcsplit[9] ne "") && ($ubbcsplit[9] ne ",") ) {
								my ($width, $height) = split(/\,/, $ubbcsplit[9]);
								if ($val{$pos{"opt1"}} > $width) { $val{$pos{"opt1"}} = $width; }
								if ($val{$pos{"opt2"}} > $height) { $val{$pos{"opt2"}} = $height; }
							}

							# list replacement 
							if ($ubbcsplit[10] && ($ubbcsplit[10] ne "") && ($ubbcsplit[10] ne "")) {
								
								my ($incode, $inreal) = split(/\/, $ubbcsplit[10]);
								$incode = quotemeta($incode);
								
								$val{$pos{'optrow'}} =~ s~$incode~$inreal~ig;

							}
							
							# maximal size for an option platzhalter
							if ($ubbcsplit[11] && $ubbcsplit[11] ne "" && $ubbcsplit[11] ne "*") {
								
								my($string, $laenge) = split(/\*/, $ubbcsplit[11]);
								
								my $laenge2 = $laenge - 5;

								if (length($val{$pos{$string}}) > $laenge) {
									$val{$pos{$string}} = substr($val{$pos{$string}}, 0, $laenge2);
									$val{$pos{$string}} .= qq~...~;
								}

							}
							
							# restriction to allowed values
							if ($ubbcsplit[21] && $ubbcsplit[21] ne "") {

								my @splitties = split(/\$/, $ubbcsplit[21]);
								
								my $count = 1;
								foreach (@splitties) {
									
									my @splitties2 = split(/\*/, $_);

									my $foundvalue = 0;
									
									my $changespl = "";

									foreach my $value (@splitties2) {
										if (uc($value) eq uc($val{$pos{"opt$count"}})) { $foundvalue = 1;	}
										else { $changespl = $value; }
									}
									unless ($foundvalue) { $val{$pos{"opt$count"}} = $changespl;		}
									$count++;
								}

							}
							# replace pipe |
							if ($ubbcsplit[18]) {
								$val{$pos{'text'}} =~ s~\|~&#124;~ig;
							}
							# replace <>
							if ($ubbcsplit[19]) {
								$val{$pos{'text'}} =~ s~\<(.*?)\>~~ig;
							}
							# replace new lines
							if ($ubbcsplit[20]) {
								$val{$pos{'text'}} =~ s~\n~~ig;
							}
							
							# use effect for each single word -> must for shadow effect
							if ($ubbcsplit[13]) {
									
									my $addinsert = "";

									my @w2=split(/ /,$val{$pos{"text"}});
									$pruef =~ s~$ubbcsplit[3]~q^<qqqqqinsert>^~eis; 
									
									foreach my $word (@w2) {
										$val{$pos{"text"}} = $word;
										my $runtest4 = $runtest;
										$runtest4 =~ s~%opt(.*?)%~$val{$1}~isg;
										$addinsert .= qq~$runtest4 ~;
									}
									
									$pruef =~ s~<qqqqqinsert>~$addinsert~eisg; 
							}
							else {
								# checks if there is text left to display
								if (($ubbcsplit[19]) && ($val{$pos{'text'}} eq "")) {
									$pruef =~ s~$ubbcsplit[3]~~is;
								}
								else {
									# final replacement
									$pruef =~ s~$ubbcsplit[3]~$runtest~is;
									if ($pos{'optrow'}) { $pruef =~ s~%optrow%~$val{$pos{'optrow'}}~isg; }
									$pruef =~ s~%opt(.*?)%~$val{$1}~isg;
								}
							}
							if ($fb::fi{'javaeffectsstart'}) {
								if ($pos{'optrow'}) { $fb::fi{'javaeffectsstart'} =~ s~%optrow%~$val{$pos{'optrow'}}~isg; }
								$fb::fi{'javaeffectsstart'} =~ s~%opt(.*?)%~$val{$1}~isg;
							}
							if ($fb::fi{'javaeffects'}) {
								if ($pos{'optrow'}) { $fb::fi{'javaeffects'} =~ s~%optrow%~$val{$pos{'optrow'}}~isg; }
								$fb::fi{'javaeffects'} =~ s~%opt(.*?)%~$val{$1}~isg;
							}

						}
					}

					$i++;

				}

				$pruef =~ s~\{\{~\[~g;
				$pruef =~ s~\}\}~\]~g;

				while( $pruef =~ s~<a([^>]*?)\n([^>]*)>~<a$1$2>~ ) {}
				while( $pruef =~ s~<a([^>]*)>([^<]*?)\n([^<]*)</a>~<a$1>$2$3</a>~ ) {}
				while( $pruef =~ s~<a([^>]*?)&amp;([^>]*)>~<a$1&$2>~ ) {}
				while( $pruef =~ s~<img([^>]*?)\n([^>]*)>~<img$1$2>~ ) {}
				while( $pruef =~ s~<img([^>]*?)&amp;([^>]*)>~<img$1&$2>~ ) {}
				$pruef =~ s~\</table\>~\n\</table\>~ig; 

			}
			elsif ($pruef =~ m/\[edit/i) {
						
				$pruef =~ m/\[edit (.+?)\](.+?)\[\/edit\]/i;
				my $nameopt = $1;
				my $dateformat = $2;

				$dateformat = &fb::formatdatum($dateformat);
			 
				if ($nameopt eq "admin") { $nameopt = $fb::txt{'le'}{'10'};	}
				else { $nameopt = $fb::txt{'le'}{'11'}; }


				$pruef =~ s/\[edit (.+?)\](.+?)\[\/edit\]/\<br\>\<font size=1\>\<div align=right\>\ \<txt\_ub 43\> $dateformat \<txt\_ub 44\> $nameopt \\<\/div\>\<\/font\>/ig;
				  
			}
		  
			$pruef =~ s~\n~<br>~g;
			$pruef =~ s~%br%~\n~ig;

			if ($fb::cf{'tabletags'} == 1) {
				if( $pruef =~ m~\[table\]~i ) {
					$pruef =~ s~\n{0,1}\[table\]\n*(.+?)\n*\[/table\]\n{0,1}~<table>$1</table>~isg;
					while( $pruef =~ s~\<table\>(.*?)\n*\[tr\]\n*(.*?)\n*\[/tr\]\n*(.*?)\</table\>~<table>$1<tr>$2</tr>$3</table>~is ) {}
					while( $pruef =~ s~\<tr\>(.*?)\n*\[td\]\n{0,1}(.*?)\n{0,1}\[/td\]\n*(.*?)\</tr\>~<tr>$1<td>$2</td>$3</tr>~is ) {}
				}
			} 
			
			$pruef =~ s/&#124;/\|/g;
			$pruef =~ s/&amp;/&/g;
			$pruef =~ s/&#059;/;/g;
			
			# write data back to referenced string
			${$_[$count2]} = $pruef;

			$count2++;
		}
	}



}
sub restrictimage {
	my($tmpstuff,$s) = @_;

	my %parameter;

	foreach (split(/ /, $tmpstuff)) {
		my ($key, $value) = split(/=/,$_);
		$parameter{$key} = $value;
	}
	if ($parameter{'width'}) { $parameter{'width'} =~ s~\D~~g; 	}
	else { $parameter{'width'} = ""; }
	if ($parameter{'height'}) { $parameter{'height'} =~ s~\D~~g; 	}
	else { $parameter{'height'} = ""; }

	unless ($parameter{'align'}) { $parameter{'align'} = ""; }

	my $showtext = $fb::txt{'le'}{'12'} || "";

	return qq~<script language="JavaScript1.2" type="text/javascript">resize_img("$s","$parameter{'width'}","$parameter{'height'}","$parameter{'align'}","$showtext")</script>~;
}
sub gradient {
	
	# text colour
	my $hex2 = $_[0];

	my $steps = $_[1];
	
	unless ($fb::loaded{'file_getcolors'}) {
		require "$fb::gl{'subsdir'}/getcolors.pl"; 
	}

	unless (%css_info) {
		%css_info = &fb::getcolors();
	}
	# hole Farben zum bergang auf Hintergrund
	
	# background
	my $hex1 = $css_info{'background-color'}{'fb2'} || "FFFFFF";
	if ($hex1 eq "transparent") { $hex1 = "FFFFFF"; }
	
	if($steps < 2) { $steps = 2; }
	if($steps > 7) { $steps = 7; }

	my @fromcol=();
	my @tocol=();
	my @color=();
	my @color1=();
	my @diff=();

	my $glowcolours = "";

	$fromcol[0]=sprintf("%d", hex(substr($hex1,1,2)));
	$fromcol[1]=sprintf("%d", hex(substr($hex1,3,2)));
	$fromcol[2]=sprintf("%d", hex(substr($hex1,5,2)));
	$tocol[0]=sprintf("%d", hex(substr($hex2,1,2)));
	$tocol[1]=sprintf("%d", hex(substr($hex2,3,2)));
	$tocol[2]=sprintf("%d", hex(substr($hex2,5,2)));

	my $difdiv = $steps - 1;
	$difdiv = ($difdiv == 0) ? "1" : $difdiv;

	for(my $i=0; $i<3; $i++) {
		$diff[$i] = $fromcol[$i] - $tocol[$i];
		$diff[$i] = sprintf("%d", ($diff[$i] / $difdiv));
		$color[$i] = $fromcol[$i];
		$color1[$i] = 0;
	}
	for(my $i=0; $i<$steps; $i++) {
		
		$glowcolours .= qq~#~;
		for(my $x=0; $x<3; $x++) {

			if($color[$x] > 255) { $color[$x] = 255; }
			if($color[$x] < 0) { $color[$x] = 0; }
			$color1[$x] = sprintf("%02X", $color[$x]);
			$glowcolours .= "$color1[$x]";
			$color[$x] -= $diff[$x];

		}
		$glowcolours .= qq~|~;

	}
	$glowcolours = substr($glowcolours, 0, -1);

	return $glowcolours;
}
sub convColor {
	
	my $gloColor = $_[0];
	my $gloDeep = $_[1];
	
	# convert standard colour codes
	$gloColor =~ s~black~\#000000~i;
	$gloColor =~ s~gray~\#808080~i;
	$gloColor =~ s~red~\#FF0000~i;
	$gloColor =~ s~yellow~\#FFFF00~i;
	$gloColor =~ s~pink~\#FFC0CB~i;
	$gloColor =~ s~green~\#008000~i;
	$gloColor =~ s~orange~\#FFA500~i;
	$gloColor =~ s~purple~\#800080~i;
	$gloColor =~ s~blue~\#0000FF~i;
	$gloColor =~ s~beige~\#F5F5DC~i;
	$gloColor =~ s~brown~\#A52A2A~i;
	$gloColor =~ s~teal~\#008080~i;
	$gloColor =~ s~navy~\#000080~i;
	$gloColor =~ s~maroon~\#800000~i;
	$gloColor =~ s~limeGreen~\#32CD32~i;
	$gloColor =~ s~aqua~\#00FFFF~i;

	my $gloColors = &gradient($gloColor, $gloDeep);
	return $gloColors;

}
sub makeGlow {
	
	my $text = $_[0];
	my $gldeep = $_[3];

	if($gldeep > 7) { $gldeep = 7 }
	
	my $gloColorstr = &convColor($_[1], $gldeep);

	my @glowColor = split(/\|/, $gloColorstr);

	my $glowwidth = ($gldeep*2) + $_[2]*9;
	my $glowmargin = $gldeep;
	
	my $glowtext = "";
	my $tiefe = $gldeep;
	my $ttiefe = $tiefe;
	my $px = "px";
	$glowtext = qq~<div style="position: relative; display: inline; left: 0px; margin: $glowmargin$px;">~;
	
	my $i = 0; # need it lateron
	my ($gtop, $gbottom, $gleft, $gright);

	for($i=0;$i<$ttiefe;$i++) {
		$gleft = 0 - $tiefe; 
		$gright = $tiefe;  
		$gtop = 0; 
		$gbottom = 0;
		for(my $z=0;$z<$tiefe;$z++) {
			$gtop--; $gbottom++;
			$glowtext .= qq~<span style="position: absolute; top: $gtop$px; left: $gright$px; float: left; color: $glowColor[$i];">$text</span>~;
			$glowtext .= qq~<span style="position: absolute; top: $gtop$px; left: $gleft$px; float: left; color: $glowColor[$i];">$text</span>~;
			$glowtext .= qq~<span style="position: absolute; top: $gbottom$px; left: $gright$px; float: left; color: $glowColor[$i];">$text</span>~;
			$glowtext .= qq~<span style="position: absolute; top: $gbottom$px; left: $gleft$px; float: left; color: $glowColor[$i];">$text</span>~;
			$gleft++; 
			$gright--;
		}
		$tiefe--;
	}
	$i--;
	$gtop++; 
	$gbottom--;

	$glowtext .= qq~<span style="position: absolute; top: $gtop$px; left: $gright$px; float: left; color: $glowColor[$i];">$text</span>~;
	$glowtext .= qq~<span style="position: absolute; top: $gtop$px; left: $gleft$px; float: left; color: $glowColor[$i];">$text</span>~;
	$glowtext .= qq~<span style="position: absolute; top: $gbottom$px; left: $gright$px; float: left; color: $glowColor[$i];">$text</span>~;
	$glowtext .= qq~<span style="position: absolute; top: $gbottom$px; left: $gleft$px; float: left; color: $glowColor[$i];">$text</span>~;

	$glowtext .= qq~<span style="position: absolute; top: 0px; left: 0px; float: left;">$text</span>~;
	$glowtext .= qq~$text</div>~;
	
	return $glowtext;

}

sub makeShadow {
	
	my $text = $_[0];
	my $shadColorstr = &convColor($_[1], 5);
	
	my @shadowcolor = split(/\|/, $shadColorstr);
	my $shadowwidth = $_[2]*9 + 5;
	
	my $shadowdir = $_[3];

	$shadowdir =~ s~topright~-5|5|-4|4|-3|3|-2|2|-1|1~ig;
	$shadowdir =~ s~bottomright~5|5|4|4|3|3|2|2|1|1~ig;
	$shadowdir =~ s~bottomleft~5|-5|4|-4|3|-3|2|-2|1|-1~ig;
	$shadowdir =~ s~topleft~-5|-5|-4|-4|-3|-3|-2|-2|-1|-1~ig;
	$shadowdir =~ s~left~0|-5|0|-4|0|-3|0|-2|0|-1~ig;
	$shadowdir =~ s~right~0|5|0|4|0|3|0|2|0|1~ig;
	$shadowdir =~ s~top~-5|0|-4|0|-3|0|-2|0|-1|0~ig;
	$shadowdir =~ s~bottom~5|0|4|0|3|0|2|0|1|0~ig;
	
	my ($shadowdir1, $shadowdir2, $shadowdir3, $shadowdir4, $shadowdir5, $shadowdir6, $shadowdir7, $shadowdir8, $shadowdir9, $shadowdir10) = split(/\|/, $shadowdir);

	my $shadowst = "px";
	my $shadowtext = "";
	$shadowtext = qq~<div style="position: relative; display: inline; left: 0px; margin: 2px;">~;
	$shadowtext .= qq~<span style="position: absolute; top: $shadowdir1$shadowst; left: $shadowdir2$shadowst; float: left; color: $shadowcolor[0];">$text</span>~;
	$shadowtext .= qq~<span style="position: absolute; top: $shadowdir3$shadowst; left: $shadowdir4$shadowst; float: left; color: $shadowcolor[1];">$text</span>~;
	$shadowtext .= qq~<span style="position: absolute; top: $shadowdir5$shadowst; left: $shadowdir6$shadowst; float: left; color: $shadowcolor[2];">$text</span>~;
	$shadowtext .= qq~<span style="position: absolute; top: $shadowdir7$shadowst; left: $shadowdir8$shadowst; float: left; color: $shadowcolor[3];">$text</span>~;
	$shadowtext .= qq~<span style="position: absolute; top: $shadowdir9$shadowst; left: $shadowdir10$shadowst; float: left; color: $shadowcolor[4];">$text</span>~;
	$shadowtext .= qq~<span style="position: absolute; top: 0px; left: 0px; float: left;">$text</span>~;
	$shadowtext .= qq~$text</div>~;

	return $shadowtext;

}
sub dobadwords {

	my $string = $_[0];

	unless ($loaded_badwords) {

		$loaded_badwords = 1;

		my $badwords = $fb::dbh->selectrow_array("SELECT data FROM $fb::cf{'db_prefix'}" . "extsettings WHERE type = 'badwords'", undef);
		
		if ($badwords) {

			my @badwords = split(/\n/, $badwords);

			foreach (@badwords) {
					my ($tmpa,$tmpb,$tmpc);
					if ($_ =~ m/\~/) {
						($tmpa,$tmpb) = split(/\~/,$_);
						$tmpc = 0;
					} else {
						($tmpa,$tmpb) = split(/=/,$_);
						$tmpc = 1;
					}
					push(@censored_badwords,[$tmpa,$tmpb,$tmpc]);
			}
		
			foreach (@censored_badwords) {
				my ($tmpa,$tmpb,$tmpc) = @{$_};
				if ($tmpc) {
					$string =~ s~(^|\W|_)\Q$tmpa\E(?=$|\W|_)~$1$tmpb~gi;
				} else {
					$string =~ s~\Q$tmpa\E~$tmpb~gi;
				}
			}
		
		}

	}

	return $string;
}
sub makesmilies {

	my $pruef = $_[0];
	my $smilies_skin = ($fb::gl{'skin'} eq "admin") ? $fb::cf{'skinchosen'} : $fb::gl{'skin'};
	
	my @smilies = &fb::load_smilies;

	foreach (@smilies) {
		chomp $_;
		my ($adresse, $beschr, $kuerz) = split(/\|/, $_);
		if ($kuerz ne "") {
			my $kuerzel = quotemeta($kuerz);
			$kuerzel =~ s/\*/\&\#42\;/g;
			if (-e "$fb::cf{'bilderdir'}/skins/$smilies_skin/postsmilies/$adresse") {
				$pruef =~ s/(\W|\A)$kuerzel\E/$1\<img border=0 src=$fb::cf{'bilderurl'}\/skins\/$smilies_skin\/postsmilies\/$adresse\>/g; 
			}
		}
	}

	return $pruef;

}
if (($loaded_printimgres == 0) && (($fb::cf{'imgres1'}) || ($fb::cf{'imgres2'}))) {
	$loaded_printimgres = 1;
$fb::fi{'otherjava'} .= qq~<script language="JavaScript1.2" type="text/javascript">
<!--
function resize_img2(imgid, imgsrc, specwidth, specheight, align, text, siz1, siz2, imglink, tries) {
		var tmp_image = new Image;
		tmp_image.src = imgsrc;
		var zwsave=tmp_image.width;
		var zwsave2=tmp_image.height;
		var maxwidth = $fb::cf{'imgres1'};
		var maxheight = $fb::cf{'imgres2'};
		if (siz1 > 1) { maxwidth = siz1; }
		if (siz2 > 1) { maxheight = siz2; }

		if (align != '' ) {align = ' align="'+align+'"';}
		else { align = ''; }		
		
		if (specwidth != '' && specheight != '') {
			tmp_image.width = specwidth;
			tmp_image.height = specheight;
		}
		if (!tmp_image.width && !tmp_image.width) {
			tries = tries + 1;
			if (tries < 30) {
				setTimeout("resize_img2('"+imgid+"','"+imgsrc+"','"+specwidth+"','"+specheight+"','"+align+"','"+text+"','"+siz1+"','"+siz2+"','"+imglink+"','"+tries+"');", 400);
			}
			else {
				saveToImg = "<img src='$fb::fi{'bilderurlsk'}/allgemein/notfound.gif' alt='$fb::txt{'le'}{'29'}' title='$fb::txt{'le'}{'29'}'>";
				document.getElementById(imgid).innerHTML = saveToImg;
			}
			
		}
		else {
			if (specwidth != '' && specheight == '') {
				tmp_image.height = (tmp_image.height * specwidth / tmp_image.width);
				tmp_image.width = specwidth;
			}
			if (specwidth == '' && specheight != '') {
				tmp_image.width = (tmp_image.width * specheight / tmp_image.height);
				tmp_image.height = specheight;
			}
			if (maxwidth != 0 && tmp_image.width > maxwidth) {
				tmp_image.height = (tmp_image.height * maxwidth / tmp_image.width);
				tmp_image.width = maxwidth;
			}
			if (maxheight != 0 && tmp_image.height > maxheight) {
				tmp_image.width = tmp_image.width * maxheight / tmp_image.height;
				tmp_image.height = maxheight;
			}

			var widthpr
			var heightpr

			if (tmp_image.width == 0) { widthpr = ''; }
			else { widthpr = ' width="'+tmp_image.width+'"'; }
			if (tmp_image.height == 0) { heightpr = ''; }
			else { heightpr = ' height="'+tmp_image.height+'"'; }
			if (siz1 > 0) {
				if (zwsave > 0) {
						var link1 = '<a href="javascript:void(0)" onClick="bildpopup(\\''+ imgsrc +'\\', \\''+text+'\\',\\''+ zwsave +'\\',\\''+ zwsave2 +'\\')">';
				}
				else {
					var link1 = '<a href="'+ imgsrc +'" target=_blank>';
				}
				var link2 ='</a>';
			}

			var saveToImg = "";

			if (siz1 > 0) {
				if (imglink == 1) {
					saveToImg += link1 + '<img src="' + imgsrc + '"' + widthpr + heightpr + align + ' alt="'+text+'" border="0">' + link2;
				}
				else { 
					saveToImg += '<table border=0 cellspacing=0 cellpadding=1><tr><td><img src="$fb::fi{'bilderurlsk'}/allgemein/heftkl.gif" border=0 alt="<txt_gl 73>: '+ text + '"></td><td>' + link1 + '<b>'+text+'</b>' + link2 + '</td></tr></table>'; 
				}
			}
			else {
				saveToImg += '<img src="' + imgsrc + '"' + widthpr + heightpr + align + ' alt="'+text+'" border="0">';
			}
			document.getElementById(imgid).innerHTML = saveToImg;

		}

}
function resize_img(imgsrc, specwidth, specheight, align, text, siz1, siz2, imglink) {

		var printheight;
		var printwidth;
		var maxwidth = $fb::cf{'imgres1'};
		var maxheight = $fb::cf{'imgres2'};
		if (siz1 > 1) { maxwidth = siz1; }
		if (siz2 > 1) { maxheight = siz2; }
		
		if (specwidth != '' && specheight != '') {
			printwidth = specwidth;
			printheight = specheight;
		}
		if (maxwidth != 0 && printwidth > maxwidth) {
			printwidth = 0;
			printheight = 0;
		}
		if (maxheight != 0 && printheight > maxheight) {
			printwidth = 0;
			printheight = 0;
		}

		var widthpr
		var heightpr

		if (printwidth == 0) { widthpr = ''; }
		else { widthpr = ' width="'+printwidth+'"'; }
		if (printheight == 0) { heightpr = ''; }
		else { heightpr = ' height="'+printheight+'"'; }
		if (siz1 > 0) {
			if (zwsave > 0) {
					var link1 = '<a href="javascript:void(0)" onClick="bildpopup(\\''+ imgsrc +'\\', \\''+text+'\\',\\''+ zwsave +'\\',\\''+ zwsave2 +'\\')">';
			}
			else {
				var link1 = '<a href="'+ imgsrc +'" target=_blank>';
			}
			var link2 ='</a>';
		}

		if (align != '' ) {align = ' align="'+align+'"';}
		else { align = ''; }	

		var randomNr = Math.floor(Math.random()*9999999);

		var saveToImg = "";

		if (siz1 > 0) {
			if (imglink == 1) {
				saveToImg += link1 + '<img src="' + imgsrc + '"' + widthpr + heightpr + align + ' alt="'+text+'" border="0">' + link2;
			}
			else { 
				saveToImg += '<table border=0 cellspacing=0 cellpadding=1><tr><td><img src="$fb::fi{'bilderurlsk'}/allgemein/heftkl.gif" border=0 alt="<txt_gl 73>: '+ text + '"></td><td>' + link1 + '<b>'+text+'</b>' + link2 + '</td></tr></table>'; 
			}
		}
		else {
			saveToImg += '<img src="' + imgsrc + '"' + widthpr + heightpr + align + ' alt="'+text+'" border="0">';
		}

		document.write("<div id='img"+randomNr+"'>"+saveToImg+"</div>");		
		resize_img2('img'+randomNr,imgsrc,specwidth,specheight,align,text,siz1,siz2,imglink,'1');
}
// -->
</script>~;
}
1;
