####################### [Firebook] - guestbook ################################
# upload.pl  		                                                          #
###############################################################################

package upload;

use strict;
use warnings;
#use diagnostics;

# stores the complete path for the new file
my $write_file;

# stores the file name of the new uploaded file
my $fixfile;

&fb::load_language("upload");

sub check_existence {
	
	my ($dir,$filename2,$newnum) = @_;
	
	unless($newnum){ $newnum = 0;}

	my @existing_files = &fb::opendirectory("$dir");
	
	my $exists = 0;
	foreach(@existing_files){
		if($_ eq $filename2){	$exists = 1;	}
	}
	if($exists){
		$newnum++;
		my @file_type  = split(/\./, $filename2);
		my $name_noext = $file_type[0];
		my $file_type   = $file_type[$#file_type]; 
		$name_noext =~ s/\d+$//ig;
		$filename2 = $name_noext . $newnum . '.' . $file_type;

		$filename2 = &check_existence($dir,$filename2,$newnum);
	}
	else {
		return ($filename2);
	}
}
sub make_filename {
		
		my $upload_dir = $_[0];
		my $filename_test = $_[1] || $fb::gl{'fixfile2'};
		

		$fixfile = $filename_test;
		$fixfile =~ s/.+\\([^\\]+)$|.+\/([^\/]+)$/$1/;
		$fixfile =~ s/[\(\)\$#%+,\/:?"<>'\*\;|@^!]//g;
		$fixfile =~ s/ /_/g;

		# remove special characters.
		my $fixfile_sonder = "";
		foreach (split(//, $fixfile)) {
			if ($_ =~ m/[a-zA-Z0-9\.\_]/) {
				$fixfile_sonder .= $_;
			}
		}
		$fixfile = $fixfile_sonder;

		$fixfile = check_existence($upload_dir,$fixfile);

		return $fixfile;

}
sub uploadcheck {

	my $upload_dir = $_[0];
	my $checkext = $_[1];
	my $ext_ref = $_[2];
	my $changed_filename = $_[3] || "";

	my @ext = "";
	if ($ext_ref) {
		@ext = @{$ext_ref};
	}
	# passed all checks?
	my $upload_okay = 0;

	if ($fb::FORM{'file'}) {

		$fixfile = make_filename($upload_dir,$fb::gl{'fixfile2'});

		# file extension check
		my $match = 0;

		unless ($checkext) { $match = 1; } 
		else {
			
			foreach my $ext(@ext){
				chomp ($ext);
				if (grep /$ext$/i,$fixfile){$match=1; last;}
			}
		}
		if ($match) { $upload_okay = 1; }
		unless ($upload_okay == 1) { &fb::fatal_error("$fb::txt{'up'}{'1'} @ext"); }

		if (($fb::gl{'action'} eq "message2") || ($fb::gl{'action'} eq "edit2")) {

				my $mylimit = 1024 * $fb::cf{'limit'};
				my $mydirlimit = 1024 * $fb::cf{'dirlimit'};

				my ($spaceleft,$kbspaceleft);

				if ($mydirlimit > 0) {
					use File::Find;
					my $dirsize;
					&find ( sub { $dirsize += -s }, $upload_dir );
					my $used_space = int ($dirsize / 1024);
					$spaceleft = ($mydirlimit - $dirsize);
					$kbspaceleft = ($fb::cf{'dirlimit'} - $used_space);
				}

				my $filesize = $ENV{'CONTENT_LENGTH'} - $fb::gl{'postsize'};
				my $filesizekb = int ($filesize/1024);
				if ($filesize > $mylimit && $mylimit != 0) {
					my $filesizediff = $filesizekb - $fb::cf{'limit'};
					&fb::fatal_error("$fb::txt{'up'}{'2'}  $filesizediff KB $fb::txt{'up'}{'3'}");
				} 
				elsif ($filesize > $spaceleft && $mydirlimit != 0) {	
					my $filesizediff = $filesizekb - $kbspaceleft;
					&fb::fatal_error("$fb::txt{'up'}{'4'} $filesizediff KB $fb::txt{'up'}{'5'}");
				}

		}
		
		$write_file = "$upload_dir/$fixfile";

		if ($changed_filename ne "") {
			$write_file = "$upload_dir/$changed_filename";
			$fixfile = $changed_filename;
		}
		
	}

	if ($upload_okay) { $fb::gl{'valid_upload'} = 1; }
	else { $fb::gl{'valid_upload'} = 0; }

	return $write_file;
}
sub doupload {

	my $final_write_file = $_[0] || $write_file;

	if ($fb::FORM{'file'}) {
		if ($fb::gl{'valid_upload'} == 1) {

			my $FILE = *FILEHANDLE;
			my $buffer;

			if(fb::fopen($FILE, ">$final_write_file")){
				my $isWIN;
				if($^O =~ /win/i) { $isWIN = 1; }
				if($isWIN){binmode $FILE;}
				while (read($fb::gl{'fixfile2'}, $buffer, 1024)){ print $FILE $buffer; }
				fb::fclose ($FILE);
			} 
			else { &fb::fatal_error("$fb::txt{'up'}{'6'} $final_write_file!"); }
		}
		if(-s "$final_write_file"){
			chmod (0666, "$final_write_file");
		} else {
			&fb::dounlink("$final_write_file");
			&fb::fatal_error("$fb::txt{'up'}{'7'}");
		}
		&fb::clear_temp;
	}

	return $fixfile;

}
1;