####################### [Firebook] - guestbook ################################
# validate.pl     		                                                      #
###############################################################################

package fb;

use strict;
use warnings;
#use diagnostics;


# $OUTPUT_AUTOFLUSH   Ausgaben mit print nicht gepuffert, sondern erfolgen in dem Augenblick, wo die print-Anweisung interpretiert wird.
$| = 1;

sub validate {

	my %css_info;

	unless ($fb::loaded{'file_getcolors'}) {
		require "$fb::gl{'subsdir'}/getcolors.pl"; 
		%css_info = &getcolors;
	}
	

	my $background = $css_info{'background-color'}{"fb2"} || "";
	my $textcolor = $css_info{'color'}{"fb2"} || "";
	
	if (($background eq "transparent") || ($background eq "")) {
		$background = "#FFFFFF";
	}
	if (($textcolor eq "transparent") || ($textcolor eq "")) {
		$textcolor = "#FFFFFF";
	}

	# divide background and foreground color
	my $back1 = substr($background,1,2);
	my $back2 = substr($background,3,2);
	my $back3 = substr($background,5,2);
	my $tack1 = substr($textcolor,1,2);
	my $tack2 = substr($textcolor,3,2);
	my $tack3 = substr($textcolor,5,2);
	
	# convert colours to other type
	my $backcolor = chr(hex "$back1") . chr(hex "$back2") . chr(hex "$back3");
	my $highcolor = chr(hex "$tack1") . chr(hex "$tack2") . chr(hex "$tack3");
	my $shadecolor = "\x99\x99\x99";

	my $display_text = &fb::get_validation_code;	
	#$display_text = "abcdefghijklmnopqrstuvwxyz1234567890";

	# we create a transparent image
	my $transparent_indicator = "\0";

	my $bitsppix = 7;
	
	# colours in use
	my $palette = "$backcolor";
	$palette .= "$shadecolor";
	$palette .= "$highcolor";

	my $pt_width = 3;
	my $pt_height = 3;

	my $chr_width = 7;
	my $chr_height = 9;

my $pt = qq~
\0\1\0
\1\2\1
\0\1\0
~;
my $nopt = qq~
\0\0\0
\0\0\0
\0\0\0
~;

my %alphabet;

$alphabet{'0'} = qq~
.XXXX..
XX...X.
XX..XX.
XXXX.X.
XX...X.
XX...X.
.XXXX..
.......
.......
~;
$alphabet{'1'} = qq~
..XX...
.XXX...
..XX...
..XX...
..XX...
..XX...
.XXXX..
.......
.......
~; 
$alphabet{'2'} = qq~
.XXXX..
X...XX.
....XX.
....X..
..XX...
.X.....
XXXXXX.
.......
.......
~; 
$alphabet{'3'} = qq~
XXXXXX.
....XX.
...X...
....X..
....XX.
X...XX.
.XXXX..
.......
.......
~;
$alphabet{'4'} = qq~
...XX..
..XXX..
.X.XX..
X..XX..
XXXXXX.
...XX..
...XX..
.......
.......
~;
$alphabet{'5'} = qq~
XXXXXX.
XX.....
XXXXX..
.....X.
.....X.
X....X.
.XXXX..
.......
.......
~;
$alphabet{'6'} = qq~
.XXXX..
XX...X.
XX.....
XXXXX..
XX...X.
XX...X.
.XXXX..
.......
......
~; 
$alphabet{'7'} = qq~
XXXXXX.
....XX.
....X..
..XX...
.XX....
.XX....
.XX....
.......
.......
~;
$alphabet{'8'} = qq~
.XXXX..
XX...X.
XX...X.
.XXXX..
XX...X.
XX...X.
.XXXX..
.......
.......
~;
$alphabet{'9'} = qq~
.XXXX..
X...XX.
X...XX.
.XXXXX.
....XX.
X...XX.
.XXXX..
.......
.......
~; 
$alphabet{'a'} = qq~
.......
.......
.XXXX..
.....X.
.XXXXX.
X...XX.
.XXXXX.
.......
.......
~; 
$alphabet{'b'} = qq~
XX.....
XX.....
XXXXX..
XX...X.
XX...X.
XX...X.
XXXXX..
.......
.......
~;
$alphabet{'c'} = qq~
.......
.......
.XXXXX.
XX.....
XX.....
XX.....
.XXXXX.
.......
.......
~;
$alphabet{'d'} = qq~
....XX.
....XX.
.XXXXX.
X...XX.
X...XX.
X...XX.
.XXXXX.
.......
.......
~;
$alphabet{'e'} = qq~
.......
.......
.XXXX..
XX...X.
XXXXXX.
XX.....
.XXXXX.
.......
.......
~;
$alphabet{'f'} = qq~
...XX..
..XX...
.XXXX..
..XX...
..XX...
..XX...
.XXXX..
.......
.......
~;
$alphabet{'g'} = qq~
.......
.......
.XXXXX.
X...XX.
X...XX.
X...XX.
.XXXXX.
....XX.
XXXXX..
~;
$alphabet{'h'} = qq~
XX.....
XX.....
XXXXX..
XX...X.
XX...X.
XX...X.
XX...X.
.......
.......
~; 
$alphabet{'i'} = qq~
..XX...
.......
.XXX...
..XX...
..XX...
..XX...
.XXXX..
.......
.......
~;
$alphabet{'j'} = qq~
..XX...
.......
.XXX...
..XX...
..XX...
..XX...
..XX...
..XX...
XXX....
~;
$alphabet{'k'} = qq~
XX.....
XX.....
XX...X.
XX..X..
XXXX...
XX..X..
XX...X.
.......
.......
~;
$alphabet{'l'} = qq~
..XX...
..XX...
..XX...
..XX...
..XX...
..XX...
..XXX..
.......
.......
~; 
$alphabet{'m'} = qq~
.......
.......
XXXXX..
XX.X.X.
XX.X.X.
XX.X.X.
XX.X.X.
.......
.......
~;
$alphabet{'n'} = qq~
.......
.......
XXXXX..
XX...X.
XX...X.
XX...X.
XX...X.
.......
.......
~; 
$alphabet{'o'} = qq~
.......
.......
.XXXX..
XX...X.
XX...X.
XX...X.
.XXXX..
.......
.......
~;
$alphabet{'p'} = qq~
.......
.......
XXXXX..
XX...X.
XX...X.
XX...X.
XXXXX..
XX.....
XX.....
~;
$alphabet{'q'} = qq~
.......
.......
.XXXXX.
X...XX.
X...XX.
X...XX.
.XXXXX.
....XX.
....XX.
~;
$alphabet{'r'} = qq~
.......
.......
XX.XX..
XXX..X.
XX.....
XX.....
XX.....
.......
.......
~;
$alphabet{'s'} = qq~
.......
.......
.XXXXX.
X......
.XXXX..
.....X.
XXXXX..
.......
.......
~;
$alphabet{'t'} = qq~
..XX...
..XX...
.XXXX..
..XX...
..XX...
..XX...
...XX..
.......
.......
~; 
$alphabet{'u'} = qq~
.......
.......
X...XX.
X...XX.
X...XX.
X..XXX.
.XX.XX.
.......
.......
~;
$alphabet{'v'} = qq~
.......
.......
XX..XX.
XX..XX.
XX..XX.
.X..X..
..XX...
.......
.......
~;
$alphabet{'w'} = qq~
.......
.......
X....X.
X.XX.X.
X.XX.X.
.XXXX..
.X..X..
.......
.......
~;
$alphabet{'x'} = qq~
.......
.......
XX..XX.
.X..X..
..XX...
.X..X..
XX..XX.
.......
.......
~;
$alphabet{'y'} = qq~
.......
.......
X...XX.
X...XX.
X...XX.
X...XX.
.XXXXX.
....XX.
.XXXX..
~;
$alphabet{'z'} = qq~
.......
.......
XXXXXX.
...XX..
..XX...
.XX....
XXXXXX.
.......
.......
~; 


my $nl = length qq~
~;

	my $len = length $display_text;
	my $w = $len * $chr_width * $pt_width;
	my $h = $chr_height * $pt_height;
	my $block_lim = 2**$bitsppix - 3;

	print 'Content-type: image/gif', "\n\n";

	print $transparent_indicator ? 'GIF89a' : 'GIF87a';

	print pack 'v2', $w, $h; 
	print pack 'C1', 0xF0 + $bitsppix - 1;
	print "\0";
	print "\0";
	print $palette;
	print "\0" x ((2**$bitsppix * 3) - length $palette);

	if ($transparent_indicator) {
	  print "\x21";
	  print "\xF9";
	  print "\x04";
	  print "\x01";
	  print "\0\0";
	  print $transparent_indicator;
	  print "\0";
	}

	print ',';
	print "\0\0\0\0";
	print pack 'v2', $w, $h;
	print "\0";

	print pack 'C1', $bitsppix;

	my $togo = $w * $h;
	
	print pack 'C1', (($togo > $block_lim) ? $block_lim : $togo) + 1;


	my $cnt = 0;
	for (my $i = 0; $i < $h; $i++) {
	  
	  my $cy = int($i / $pt_height);

	  for (my $j = 0; $j < $w; $j++) {
		
		my $cx = int($j / $pt_width) % $chr_width;
		my $msgi = int($j / $pt_width / $chr_width);
		my $tmp = substr $display_text, $msgi, 1;
		my $tmp2 = substr $alphabet{$tmp}, $cy * ($chr_width + $nl) + $cx + $nl, 1;
		my $dx = $j % $pt_width;
		my $dy = $i % $pt_height;
		my $di = ($tmp2 eq 'X') ? $pt : $nopt;
		print substr $di, $dy * ($pt_width + $nl) + $dx + $nl, 1;
		
		$cnt++;
		$togo--;
		
		if ($cnt >= $block_lim) {
		  print pack 'C1', 2**$bitsppix;
		  $cnt = 0;
		  print pack 'C1', (($togo > $block_lim) ? $block_lim : $togo) + 1;
		}

	  }
	}
	print pack 'C1', 2**$bitsppix + 1;
	print "\0";
	print ';';

	&database_disconnect;

}

1;