#!/usr/bin/perl -w
################################ FIREBOOK #####################################
# firebook.cgi																  #
###############################################################################
# [Firebook] - guestbook                                                      #
# - see licence at http://www.firebook.de/licence  -                          #
#                                                                             #
# =========================================================================== #
#                                                                             #
# Version:                              6.0                                   #
# Release:                              01.06.2009                            #
# Author:                               Karl Tschetschonig                    #
# URL:                                  http://www.firebook.de                #
# E-Mail:                               support\@firebook.de                  #
#                                                                             #
###############################################################################

use strict;

#use CGI::Carp qw(fatalsToBrowser);
use Time::Local;
use DBI;
use warnings;
#use diagnostics;
alarm(40);

package fb;

## first of all we have to determine the system paths for the inclusion of additional modules and further documents
BEGIN {

######## EDIT THESE PATHS FOR MANUAL CONFIGURATION
### EXAMPLE
### $configpath = qq~/usr/home/dir/cgi-bin/firebook/config.pl~;
### $fb::gl{'datadirpath'} = qq~/usr/home/dir/cgi-bin/firebook/data~;
my $configpath = qq~/usr/home/dir/cgi-bin/firebook/config.pl~;
$fb::gl{'datadirpath'} = qq~/usr/home/dir/cgi-bin/firebook/data~;
####### EDIT THESE PATHS FOR MANUAL CONFIGURATION

	# determine actual directory

	if ($0=~m#^(.*)\\#) {
		$fb::gl{'cgi_dir'} = "$1";
	} elsif ($0=~m#^(.*)/# ) {
		$fb::gl{'cgi_dir'} = "$1";
	} else  {`pwd` =~ /(.*)/;
		$fb::gl{'cgi_dir'} = "$1";
	}
		$fb::gl{'cgi_dir'} =~ s/\\/\//ig;
		$fb::gl{'cgi_dir'} =~ s/^.:(.+?)/$1/ig;

	# add config file
	if (-e "$configpath") {  }
	elsif (-e "$fb::gl{'cgi_dir'}/config.pl") { $configpath = "$fb::gl{'cgi_dir'}/config.pl"; }
	elsif (-e "config.pl") { $configpath = "config.pl"; }
	else { die "unable to open config file: config.pl"; }
	
	require $configpath;

	# define important folders
	if (-d "$fb::gl{'datadirpath'}") { $fb::gl{'datadir'} = $fb::gl{'datadirpath'}; }
	elsif (-d "$fb::cf{'ordnerdir'}/data") { $fb::gl{'datadir'} = "$fb::cf{'ordnerdir'}/data"; }
	elsif (-d "$fb::gl{'cgi_dir'}/data") { $fb::gl{'datadir'} = "$fb::gl{'cgi_dir'}/data"; }
	elsif (-d "data") { $fb::gl{'datadir'} = "data"; }
	else { die "unable to find data dir"; }

}


package fb;

if (@ARGV && $ARGV[0] eq "cronaction") { $fb::gl{'run_from_cron'} = 1; }

$fb::gl{'thisscriptcode'} = qq~firebook~;
$fb::gl{'thisversion'} = qq~6.0.2~;

my $tempurl = "";

if ($ENV{HTTP_REFERER}){ $tempurl = $ENV{HTTP_REFERER}; } 
elsif($ENV{HTTP_HOST} && $ENV{REQUEST_URI}){	$tempurl = qq~http://$ENV{HTTP_HOST}$ENV{REQUEST_URI}~; }
elsif($ENV{HTTP_HOST} && $ENV{SCRIPT_NAME}){	$tempurl = qq~http://$ENV{HTTP_HOST}$ENV{SCRIPT_NAME}~; }

my $lastslash = rindex($tempurl,"/");
$fb::gl{'foundurl'} = substr($tempurl,0,$lastslash);

use lib ($fb::gl{'datadir'}. '/modules');



# output in case of error

$SIG{"__WARN__"} = \&catch_warning;

$SIG{"__DIE__"} =  \&catch_error;

sub catch_warning {
  my $error = shift;
  chomp $error;
  $error =~ s/\n/<BR>\n/gs;

  #print $error, return unless defined $ENV{GATEWAY_INTERFACE};
  
  print $error . "<br>";
  #&format_die("Warning", $fb::gl{'error'});

}
sub catch_error {
  my $error = shift;
  chomp $error;
  $error =~ s/\n/<BR>\n/gs;

  print $error, return unless defined $ENV{GATEWAY_INTERFACE};
  
  &format_die("Error", $error);


}
sub format_die {

  my $type = $_[0];
  my $error = $_[1];

  my $servername     = $ENV{SERVER_NAME}  || 'not found';
  my $referer     = $ENV{HTTP_REFERER} || 'none';
  my $remote_user = $ENV{REMOTE_USER}  || 'not found';
  my $query_string = $ENV{QUERY_STRING}  || 'none';
  my $cookies = $ENV{HTTP_COOKIE}  || 'none';
  my $formular = $ENV{REQUEST_METHOD}  || 'none';
  my $serversoftware     = $ENV{SERVER_SOFTWARE}  || 'not found';
  print header(-status=>"200 OK");
  print qq~
        <HTML>
        <HEAD>
          <TITLE>Error Occured!</TITLE>
	<style type="text/css">
<!--
A:link {color: #455588; background-color: transparent; text-decoration: none; }
A:visited {color: #455588; background-color: transparent; text-decoration: none; }
A:hover {color: #000000; text-decoration: none; background-color: transparent; }
BODY {color: #000000; background-color: #EFF1FD; font-size: 12px; font-family: Arial, Verdana, Helvetica; margin: 0px; padding: 0px; scrollbar-face-color: #F8F8F8; scrollbar-shadow-color: #FFFFFF; scrollbar-highlight-color: #FFFFFF; scrollbar-3dlight-color: #000000; scrollbar-darkshadow-color: #000000; scrollbar-track-color: #F8F8F8; scrollbar-arrow-color: #000000; }
.fb1 {color: #000000; background-color: #F3F3F9;}
.fb2 {color: #000000; background-color: #F8F8F8;}
td {color: #000000; background-color: none; font-size: 12px;  font-family: Arial, Verdana, Helvetica; }
.fbborder {color: #FFFFFF; background-color: #000000; font-size: 12px; }
-->
</style>
        </HEAD>
        <BODY BGCOLOR="white">
<table width="100%" height="100%" border=0 cellspacing=0 cellpadding=0 align=center><tr><td colspan=2>
<table width="600" border=0 cellspacing=1 cellpadding=1 class=fbborder align=center><tr><td class=fb1 align=center>
<b>$type!</b></td></tr><tr><td class=fb2 align=center>
<table border=0 cellspacing=0 cellpadding=2 width=100%><tr><td width=110 align=center><b>$type Message</b></td><td>
<b>$error</b></td></tr></table>
</td></tr><tr><td class=fb2>
<table border=0 cellspacing=0 cellpadding=2 width=100%><tr><td colspan=2><i>helpful information:</i></td></tr>
<tr><td valign=top>running system</td><td>$serversoftware </td></tr>
<tr><td valign=top>perl version</td><td>$]</td></tr>
<tr><td width=110 valign=top>script path</td><td>$fb::gl{'cgi_dir'}/firebook.cgi|pl</td></tr>
<tr><td valign=top>script url</td><td>$fb::gl{'foundurl'}</td></tr>
<tr><td valign=top>http referer</td><td>$referer</td></tr>
<tr><td valign=top>remote user</td><td>$remote_user</td></tr>
<tr><td valign=top>method</td><td>$formular</td></tr>
<tr><td valign=top>query string</td><td>$query_string</td></tr>
<tr><td valign=top>cookies</td><td>$cookies</td></tr>
</table>

</td></tr><tr><td class=fb2 align=center>You may contact the programmers on firebook.de for help.<br>
	<b>&raquo; <a target=_blank href="http://www.firebook.de/forums">Firebook support forums</a></b>
	
</td></tr>
	
</table></td></tR></table>

          </BODY>  
        </HTML>~;
exit 0;  

}



if (-e "$fb::cf{'ordnerdir'}/firebook.pl") { $fb::gl{'ext'} = "pl"; }
else { $fb::gl{'ext'} = "cgi"; }

$fb::gl{'subsdir'} = qq~$fb::gl{'datadir'}/subs~;

our(%INFO, %FORM);

require "$fb::gl{'datadir'}/admdat/extconfig.pl";
require "$fb::gl{'subsdir'}/important.pl";

## only defined in config must be made globally available
$fb::fi{'bilderurl'} = $fb::cf{'bilderurl'};
$fb::fi{'fbname'} = $fb::cf{'fbname'};
$fb::fi{'homepage'} = $fb::cf{'homepage'};

&database_connect;
&readform;
$fb::gl{'script'} = "$fb::cf{'ordnerurl'}/firebook.$fb::gl{'ext'}"; 

# session id checking
&check_sessions;

unless ($fb::cf{'skinchosen'}) { $fb::cf{'skinchosen'} = "standard"; }

unless ($fb::INFO{'skin'}) { $fb::gl{'skin'} = $fb::cf{'skinchosen'}; }
else { 
	$fb::INFO{'skin'} =~ /^(\w+)$/;
    $fb::INFO{'skin'} = $1;
	$fb::gl{'skin'} = $fb::INFO{'skin'}; 	
}
unless ($fb::INFO{'requskin'}) {
	unless (-e "$fb::gl{'datadir'}/skins/$fb::gl{'skin'}/config.pl") { $fb::gl{'skin'} = $fb::cf{'skinchosen'}; $fb::INFO{'skin'} = $fb::cf{'skinchosen'}; }
	require "$fb::gl{'datadir'}/skins/$fb::gl{'skin'}/config.pl";
}
else {
	$fb::INFO{'requskin'} =~ /^(\w+)$/;
    $fb::INFO{'requskin'} = $1;
	unless (-e "$fb::gl{'datadir'}/skins/$fb::INFO{'requskin'}/config.pl") { $fb::gl{'skin'} = $fb::cf{'skinchosen'}; $fb::INFO{'skin'} = $fb::cf{'skinchosen'}; $fb::INFO{'requskin'} = $fb::cf{'skinchosen'}; }
	require "$fb::gl{'datadir'}/skins/$fb::INFO{'requskin'}/config.pl";
}


# define skin url
$fb::fi{'bilderurlsk'} = qq~$fb::cf{'bilderurl'}/skins/$fb::gl{'skin'}~;
$fb::fi{'bilderurlsk_noadmin'} = ($fb::gl{'skin'} eq "admin") ? "$fb::cf{'bilderurl'}/skins/$fb::cf{'skinchosen'}" : "$fb::cf{'bilderurl'}/skins/$fb::cf{'skinchosen'}";

if ($fb::cf{'browserlanguage'} == 1) {
	my $acceptedlanguage = $ENV{'HTTP_ACCEPT_LANGUAGE'} || "de-AT";
	my($reallanguage, $dummy);
	($reallanguage, $dummy) = split(/\-/, $acceptedlanguage);
	my @language_contents = &opendirectory("$fb::gl{'datadir'}/language");

		foreach (@language_contents){
			if (($_ ne ".") && ($_ ne "..")){
				my $cutsprache = substr($_, 0, 2);
				if ($cutsprache eq "$reallanguage") {
					unless ($fb::INFO{'lang'}) { $fb::INFO{'lang'} = $_; }
				}
			}
		}
}

if ($fb::cf{'sprache'} ne "") { 
	if ($fb::INFO{'lang'}) { 
		$fb::INFO{'lang'} =~ /^(\w+)$/;
        $fb::INFO{'lang'} = $1;
		require "$fb::gl{'datadir'}/language/$fb::INFO{'lang'}/global.lng"; $fb::gl{'sprache2'} = "$fb::INFO{'lang'}"; 
	}
	else {  require "$fb::gl{'datadir'}/language/$fb::cf{'sprache'}/global.lng"; $fb::gl{'sprache2'} = "$fb::cf{'sprache'}";  }
}
else { require "$fb::gl{'datadir'}/language/english/global.lng"; $fb::gl{'sprache2'} = "english"; }


require "$fb::gl{'subsdir'}/always.pl";



## has to be defined -> compatibility with host version
$fb::gl{'smiliespath'} = "$fb::gl{'datadir'}/language/$fb::gl{'sprache2'}/smilies.txt";
$fb::gl{'headsmiliespath'} = "$fb::gl{'datadir'}/language/$fb::gl{'sprache2'}/smilieshead.txt";
$fb::gl{'mailpath'} = "$fb::gl{'datadir'}/language/$fb::gl{'sprache2'}";

unless ($fb::INFO{'skin'}) { $fb::INFO{'skin'} = ""; }

my $add_session = "";
unless ($fb::gl{'cookie_session'}) {
	$add_session = "fisession=$fb::gl{'fisession'};";
}

$fb::gl{'scriptactions'} = "lang=$fb::gl{'sprache2'};skin=$fb::INFO{'skin'};" . $add_session . "action";
$fb::gl{'scriptactionsnosk'} = "lang=$fb::gl{'sprache2'};" . $add_session . "action";
$fb::gl{'scriptactions2'} = $add_session . "action";


if ($fb::INFO{'preview'}) {
	$fb::gl{'scriptactions'} = "preview=1;".$fb::gl{'scriptactions'};
	$fb::gl{'scriptactionsnosk'} = "preview=1;".$fb::gl{'scriptactions'};
}
my $impl_url = "";
if ($fb::cf{'ordnerurl'} eq "") { 
	$impl_url = "$ENV{'SCRIPT_NAME'}";
} 
else {
	$impl_url = "$fb::cf{'ordnerurl'}/firebook.$fb::gl{'ext'}";
}

$fb::gl{'script'} = $fb::fi{'script'} = $impl_url; 
$fb::gl{'script2'} = $fb::fi{'script2'} = $impl_url; 
$fb::gl{'scriptac'} = $fb::fi{'scriptac'} = "$impl_url?$fb::gl{'scriptactions'}";
$fb::gl{'scriptac2'} = "$impl_url?$fb::gl{'scriptactions2'}";
$fb::fi{'scriptacnoskin'} = "$impl_url?$fb::gl{'scriptactionsnosk'}"; 

	# TBD: what for?
#if ($fb::INFO{'inc'} || $fb::FORM{'inc'}) { $fb::gl{'script'} = $fb::cf{'url_ssi'}; }

$fb::fi{'scriptpr'} = qq~$fb::gl{'script'}?skin=print;lang=$fb::gl{'sprache2'}~;
$fb::gl{'hiddenscro'} = qq~<input type=hidden name=lang value=$fb::gl{'sprache2'}><input type=hidden name=skin value=$fb::INFO{'skin'}><input type=hidden name=fisession value="$fb::gl{'fisession'}">~;
$fb::gl{'hiddenscro2'} = ($fb::gl{'cookie_session'}) ? "" : "<input type=hidden name=fisession value=\"$fb::gl{'fisession'}\">";


# error for message exceeding maximum size
if ($fb::gl{'error_maxsize'}) {	
		my $limit2 = $fb::cf{'limit'} + 700;
		&fatal_error("$fb::txt{'gl'}{'16'} $limit2 $fb::txt{'gl'}{'17'}");
}


# adms = Admin settings, admp = other admin page, user = user page
my %director=(
'activation' => [\&activation, "activation", "admp"],
'activation2' => [\&activation2, "activation", "admp"],
'admin' => [\&admin, "admin", "admp"],
'autosett' => [\&autosett, "autosett", "adms"],
'automove' => [\&automove, "message2", "user"],
'badwords' => [\&badwords, "protection", "admp"],
'badwords2' => [\&badwords2, "protection", "admp"],
'bann' => [\&bann, "protection", "admp"],
'bann2' => [\&bann2, "protection", "admp"],
'bestseite' => [\&bestseite, "message", "user"],
'cook' => [\&cook, "login", "user"],
'deleteit' => [\&deleteit, "edit", "admp"],
'delete_module' => [\&delete_module, "modules", "admp"],
'editall' => [\&editall, "editall", "admp"],
'editall2' => [\&editall2, "editall", "admp"],
'editentries' => [\&editentries, "editsum", "admp"],
'editentries2' => [\&editentries2, "editsum", "admp"],
'customlogin' => [\&customlogin, "login", "user"],
'edit' => [\&edit, "edit", "admp"],
'edit2' => [\&edit2, "edit", "admp"],
'einst' => [\&einst, "settings", "adms"],
'einst2' => [\&einst2, "settings2", "adms"],
'einstattach' => [\&einstattach, "attachcontrol", "adms"],
'fileexplorer' => [\&fileexplorer, "fileexplorer", "admp"],
'showmessage' => [\&showmessage, "messageothers", "admp"],
'help' => [\&help, "help", "user"],
'idreams' => [\&idreams, "admin", "user"],
'licencemanagement' => [\&licencemanagement, "modules", "adms"],
'login' => [\&login, "login", "user"],
'mail' => [\&mail, "mailer", "admp"],
'mail2' => [\&mail2, "mailer", "admp"],
'message' => [\&message, "message", "user"],
'message2' => [\&message2, "message2", "user"],
'messageindex' => [\&messageindex, "messageindex", "user"],
'mod_install' => [\&mod_install, "modules", "adms"],
'modules' => [\&modules, "modules", "admp"],
'modules_activation' => [\&modules_activation, "modules", "admp"],
'interf_modules' => [\&interf_modules, "modules", "admp"],
'newadmin' => [\&newadmin, "login", "admp"],
'newadmin2' => [\&newadmin2, "login", "admp"],
'newskin' => [\&newskin, "skinsystem", "admp"],
'privatn' => [\&privatn, "privatn", "admp"],
'redirectexit' => [\&redirectexit, "always", "user"],
'save_gb_id' => [\&save_gb_id, "modules", "admp"],
'smilies' => [\&smilies, "smilies", "admp"],
'smilies2' => [\&smilies2, "smilies", "admp"],
'sprach' => [\&sprach, "language", "admp"],
'sprach2' => [\&sprach2, "language", "admp"],
'sprach3' => [\&sprach3, "language", "admp"],
'such' => [\&such, "search", "admp"],
'such2' => [\&such2, "search", "admp"],
'skinsystem' => [\&skinsystem, "skinsystem", "adms"],
'skineinst' => [\&skineinst, "skinsystem", "adms"],
'skincss' => [\&skincss, "skinsystem", "admp"],
'skintemplates' => [\&skintemplates, "skinsystem", "admp"],
'skinsystem2' => [\&skinsystem2, "skinsystem2", "adms"],
'syntaxh' => [\&syntaxh, "skinsystem", "admp"],
'topentrys' => [\&topentrys, "topentrys", "user"],
'uploadmanager' => [\&uploadmanager, "attachcontrol", "admp"],
'validate' => [\&validate, "validate", "user"],
);


# loads director and settings and language files for modules
require "$fb::gl{'datadir'}/admdat/modules_config.pl";


my $load_from = 0;

unless ($fb::cf{'wartung'} == 1 and ($fb::gl{'action'} eq '') || ($fb::gl{'action'} eq 'message') || ($fb::gl{'action'} eq 'message2')) {
	
	if ($fb::gl{'action'} && $director{$fb::gl{'action'}} && ($director{$fb::gl{'action'}}[1] ne "always")) { 
		
		require "$fb::gl{'subsdir'}/$director{$fb::gl{'action'}}[1].pl"; 
		if (-e "$fb::gl{'datadir'}/language/$fb::gl{'sprache2'}/$director{$fb::gl{'action'}}[1].lng") {
			&fb::load_language($director{$fb::gl{'action'}}[1]);
			#require "$fb::gl{'datadir'}/language/$fb::gl{'sprache2'}/$director{$fb::gl{'action'}}[1].lng";
		}
		$load_from = 1;
	}
	elsif ($fb::gl{'action'} && $fb::mod{'module_director'}{$fb::gl{'action'}}) { 
		## addon for module director
		my $modulecode = $fb::mod{'module_director'}{$fb::gl{'action'}}[3];
		my $modulesubsfile = $fb::mod{'module_director'}{$fb::gl{'action'}}[1];;
		
		if ($fb::mod{'modules_info'}{$modulecode}[0] == 1) {
			require "$fb::gl{'subsdir'}/$modulesubsfile.pl"; 
		}
		
		if (-e "$fb::gl{'datadir'}/language/$fb::gl{'sprache2'}/$modulesubsfile.lng") {
			&fb::load_language($modulesubsfile);
		}
		$load_from = 2;
	}
	else { 
		require "$fb::gl{'subsdir'}/messageindex.pl"; 
	}
}

&banning;

if (($fb::cf{'astats'} == 1) && ($fb::gl{'action'} eq "admin")) { 
	require "$fb::gl{'subsdir'}/astats.pl";
	&astats; 
}

if (-e "$fb::cf{'ordnerdir'}/stop.lock") {  
	my $letzter_zugriff = (stat("$fb::cf{'ordnerdir'}/stop.lock"))[9];
	
	if ((time - $letzter_zugriff) > 600) {
		&dounlink("$fb::cf{'ordnerdir'}/stop.lock");
	}
	else {
		$fb::cf{'wartung'} = 1;
	}
}

if ($fb::cf{'adminlink'} == 1) { $fb::fi{'admin'} = qq~<a target="_blank" href="$fb::gl{'scriptac'}=login">$fb::txt{'gl'}{'2'}</a>~; }
else { $fb::fi{'admin'} = ""; }

# options for add-on start pages
if ($fb::mod{'action_modules'}{'startroutines'}) {
	foreach my $mod (@{$fb::mod{'action_modules'}{'startroutines'}}) {
		if ($fb::mod{'modules_info'}{$mod->[0]}[0] == 1) {
			unless ($fb::loaded{$mod->[1]}) {
				require "$fb::gl{'subsdir'}/$mod->[1].pl";
				$fb::loaded{$mod->[1]} = 1;
			}
			my $check = $mod->[2]->();
		}
	}
}

if (%FORM) { &refcheck; }

# init code for modules
require "$fb::gl{'datadir'}/admdat/modules_init.pl";

if ($fb::cf{'wartung'} == 1 and ($fb::gl{'action'} eq '') || ($fb::gl{'action'} eq 'message') || ($fb::gl{'action'} eq 'message2')) {
	require "$fb::gl{'subsdir'}/maintenance.pl"; 
	&wartung;
}


if ($fb::gl{'action'} eq "message") { $fb::fi{'addmsg'} = qq~$fb::txt{'gl'}{'3'}~;	}
else { $fb::fi{'addmsg'} = qq~<a href="$fb::gl{'scriptac'}=message">$fb::txt{'gl'}{'3'}</a>~; }
if (($fb::gl{'action'} eq "") && (!$fb::INFO{'suche'} || $fb::INFO{'suche'} eq "")&& (!$fb::INFO{'start'})) { 
	$fb::fi{'showentrys'} = qq~$fb::txt{'gl'}{'1'}~;	
}
else { $fb::fi{'showentrys'} = qq~<a href="$fb::gl{'scriptac'}=">$fb::txt{'gl'}{'1'}</a>~; }

$fb::fi{'helplink'} = qq~<a href="javascript:popUp('$fb::gl{'scriptac'}=help',$fb::cf{'pophelp1'},$fb::cf{'pophelp2'})">$fb::txt{'gl'}{'15'}</a>~;

if ($fb::gl{'action'} ne "") {  &viewpages; }
unless ($fb::fi{'pages'}) { $fb::fi{'pages'} = qq~<a href="$fb::gl{'scriptac'}="><B><U>1</U></B></a>~; }
$fb::fi{'menu'} = "[ $fb::fi{'addmsg'} ]  &nbsp; [ $fb::fi{'showentrys'} | $fb::txt{'gl'}{'4'} : $fb::fi{'pages'}] $fb::fi{'admin'}";

if ($fb::gl{'action'} eq '') { &messageindex;}
else { 
	
	if (($director{$fb::gl{'action'}}[2] && $director{$fb::gl{'action'}}[2] eq "adms") || ($fb::mod{'module_director'}{$fb::gl{'action'}}[2] && $fb::mod{'module_director'}{$fb::gl{'action'}}[2] eq "adms")) {

		@{$fb::cf{'getvar_autosett'}} = qw/file1 file2 bigger1 bigger2 older1 deldays/;
		@{$fb::cf{'onoff_einstwicht'}} = qw/act_sprachw wartung browserlanguage usetempfile faketruncation/;		
		@{$fb::cf{'getvar_einstwicht'}} = qw/fbname homepage sprache gzcomp ordnerurl ordnerdir bilderurl bilderdir setofdatum sessionidtime timeout use_flock db_host db_name db_user db_password db_driver db_prefix db_port/;
		@{$fb::cf{'onoff_einstmail'}} = qw/mailusrwahl smtp_auth_required emailact emailact2 emailact10/;																																																																								
		@{$fb::cf{'getvar_einstmail'}} = qw/admmail admname admmail2 mailprog mailtype sendmvia authuser authpass/;
		@{$fb::cf{'onoff_einstlayout'}} = qw/htmlredir verkehrt ebestseite allp editicon adminlink markpflicht popup_act/;
		@{$fb::cf{'getvar_einstlayout'}} = qw/maximumbei2 vorzdatum vorzdatum2 maxindex getnpages pophelp1 pophelp2 uplpop1 uplpop2/;
		@{$fb::cf{'onoff_einstsonst'}} = qw/astats cookbeitr versioncheckdeact/;	
		@{$fb::cf{'getvar_einstsonst'}} = qw/url_ssi browser_access/;
		@{$fb::cf{'onoff_einstmessage'}} = qw/smileys headsmilies ubbc activation message_val_check privatna addeditadm mark_new/;	
		@{$fb::cf{'getvar_einstmessage'}} = qw/bildermax anzahlZeichen/;
		@{$fb::cf{'onoff_einstfields'}} = qw/versteckm actjavacheck sndcheck wicht_jabber wicht_url wicht_ort wicht_file wicht_icq wicht_aim wicht_yim wicht_msn wicht_skype wicht_state wicht_bewertung wicht_betreff wicht_name wicht_email f_betreff f_state f_icq f_aim f_yim f_msn f_skype f_jabber f_bewertung f_name f_email f_url f_ort f_hidemail/;

		@{$fb::cf{'getvar_einstfields'}} = qw/maximumbei zeich_betreff zeich_name zeich_message zeich_email zeich_url zeich_ort zeich_icq zeich_aim zeich_yim zeich_msn zeich_skype zeich_jabber mzeich_betreff mzeich_name mzeich_email mzeich_url mzeich_ort mzeich_icq mzeich_aim mzeich_yim mzeich_msn mzeich_skype mzeich_jabber/;
		@{$fb::cf{'onoff_einstattach'}} = qw/attachakt attachzusatz showattached/;
		
		@{$fb::cf{'getvar_einstattach'}} = qw/stwidth stheight limit dirlimit filetypes/;
		@{$fb::cf{'getvar_skinsystem'}} = qw/skinchosen/;

		@{$fb::cf{'getvar_modules'}} = qw/modules_gb_id modules_gb_passphrase modules_gb_encrypted/;

		@{$fb::cf{'getvar_licencemanagement'}} = qw/licence/;

		@{$fb::cf{'getvar_all'}} = (@{$fb::cf{'getvar_licencemanagement'}}, @{$fb::cf{'getvar_autosett'}}, @{$fb::cf{'getvar_modules'}}, @{$fb::cf{'getvar_einstfields'}}, @{$fb::cf{'getvar_einstwicht'}}, @{$fb::cf{'getvar_einstmail'}}, @{$fb::cf{'getvar_einstlayout'}}, @{$fb::cf{'getvar_einstsonst'}}, @{$fb::cf{'getvar_einstmessage'}}, @{$fb::cf{'getvar_einstattach'}}, @{$fb::cf{'getvar_skinsystem'}});
		@{$fb::cf{'onoff_all'}} = (@{$fb::cf{'onoff_einstfields'}}, @{$fb::cf{'onoff_einstwicht'}}, @{$fb::cf{'onoff_einstmail'}}, @{$fb::cf{'onoff_einstlayout'}}, @{$fb::cf{'onoff_einstsonst'}}, @{$fb::cf{'onoff_einstmessage'}}, @{$fb::cf{'onoff_einstattach'}});

		@{$fb::cf{'onoff_skineinst'}} = qw/bewgraphics/;
		@{$fb::cf{'getvar_skineinst'}} = qw/smiliesrow bimage logourl logolink useonlinehost/;

		# loads admincenter settings for mods
		require "$fb::gl{'datadir'}/admdat/modules_config_admsett.pl";

	}
	
	# no need to load single modules -> all info must be in general file too
	# load custom config files for modules (containing admincenter addons, setting addons
	#foreach my $value (keys %{$fb::mod{'active_modules'}}) {
	#	if ($fb::mod{'active_modules'}{$value} == 1) {
	#		my $require_path = "$fb::gl{'subsdir'}/modules/$value" . "_config.pl";
	#		require $require_path;
	#	}
	#}


	package fb;
	
	if ($load_from == 2) {
		my $check = $fb::mod{'module_director'}{$fb::gl{'action'}}[0]->(); 
	}
	else {
		my $check = $director{$fb::gl{'action'}}[0]->(); 
	}
	
} 

1;