/* 
	FIREBOOK_ is used as db prefix here
	you may want to replace FIREBOOK_ with your desired name as table prefix
	FB_DATABASE is the name of the database used here - you may change this name.

	FIREBOOK_ wird hier als Datenbank Prefix verwendet
	Du kannst FIREBOOK_ gerne in deinen Wunschprefix ändern
	FB_DATABASE ist der Datenbank Name hier - du kannst diesen Namen gerne anpassen.
*/

SET NAMES 'latin1';

CREATE DATABASE if not exists FB_DATABASE;

ALTER DATABASE `FB_DATABASE` DEFAULT CHARACTER SET latin1 COLLATE latin1_general_ci;

USE `FB_DATABASE`;

/*Table structure for table `FIREBOOK_admin_log` */

DROP TABLE IF EXISTS `FIREBOOK_admin_log`;

CREATE TABLE `FIREBOOK_admin_log` (
  `access_admin_ip` varchar(250) default NULL,
  `access_admin_host` varchar(255) default NULL,
  `access_admin_date` int(10) default NULL,
  `access_admin_agent` varchar(255) default NULL,
  `access_admin_referer` varchar(255) default NULL
) ENGINE=MyISAM;


/*Table structure for table `FIREBOOK_checkdat` */

DROP TABLE IF EXISTS `FIREBOOK_checkdat`;

CREATE TABLE `FIREBOOK_checkdat` (
  `time` int(10) NOT NULL,
  `confcode` varchar(50) NOT NULL,
  `checkname` varchar(80) NOT NULL,
  `checkmail` varchar(50) NOT NULL,
  `checkpw` varchar(30) default NULL,
  `code` varchar(30) NOT NULL,
  PRIMARY KEY  (`time`)
) ENGINE=MyISAM COMMENT='stores pre-registration informations from gb accounts';


/*Table structure for table `FIREBOOK_clicklog` */

DROP TABLE IF EXISTS `FIREBOOK_clicklog`;

CREATE TABLE `FIREBOOK_clicklog` (
  `user_ip` varchar(250) NOT NULL default '',
  `currtime` int(10) NOT NULL default '0',
  `referer` varchar(255) default NULL,
  `agent` varchar(255) default NULL
) ENGINE=MyISAM;


/*Table structure for table `FIREBOOK_databak` */

DROP TABLE IF EXISTS `FIREBOOK_databak`;

CREATE TABLE `FIREBOOK_databak` (
  `id` int(11) NOT NULL,
  `datum` int(10) default NULL COMMENT 'date',
  `name` varchar(80) default NULL,
  `icon` varchar(20) default NULL,
  `email` varchar(50) default NULL,
  `url` varchar(255) default NULL,
  `ip` varchar(250) default NULL,
  `icq` varchar(20) default NULL,
  `aim` varchar(20) default NULL,
  `msn` varchar(40) default NULL,
  `skype` varchar(50) default NULL,
  `yim` varchar(20) default NULL,
  `message` text NOT NULL,
  `feedback` text,
  `bewertung` varchar(10) default NULL COMMENT 'rating',
  `ort` varchar(40) default NULL COMMENT 'location',
  `nosmile` tinyint(1) default NULL,
  `frei` tinyint(1) NOT NULL COMMENT 'revision',
  `msf` varchar(200) default NULL COMMENT 'attachment',
  `hideown` tinyint(1) NOT NULL,
  `savedinput` varchar(255) default NULL COMMENT 'own fields',
  `privatn` tinyint(1) NOT NULL COMMENT 'private message',
  `pinned` tinyint(1) NOT NULL,
  `betreff` varchar(100) default NULL COMMENT 'topic',
  `jabber` varchar(20) default NULL,
  `state` varchar(40) default NULL,
  `sprchosen` varchar(20) default NULL COMMENT 'language',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM COMMENT='stores all the gb entries of the archive';


/*Table structure for table `FIREBOOK_datacomm` */

DROP TABLE IF EXISTS `FIREBOOK_datacomm`;

CREATE TABLE `FIREBOOK_datacomm` (
  `id` int(11) NOT NULL,
  `nr` int(11) NOT NULL COMMENT 'identifies a comment',
  `datum` int(10) default NULL COMMENT 'date',
  `name` varchar(80) default NULL,
  `email` varchar(50) default NULL,
  `ip` varchar(250) default NULL,
  `message` text NOT NULL,
  `nosmile` tinyint(1) default NULL,
  `hideown` tinyint(1) NOT NULL COMMENT 'revision',
  `savedinput` varchar(255) default NULL,
  `frei` tinyint(1) default NULL COMMENT 'own fields',
  PRIMARY KEY  (`id`,`nr`)
) ENGINE=MyISAM COMMENT='stores all the gb comments on entries';


/*Table structure for table `FIREBOOK_datainc` */

DROP TABLE IF EXISTS `FIREBOOK_datainc`;

CREATE TABLE `FIREBOOK_datainc` (
  `id` int(11) NOT NULL,
  `datum` int(10) default NULL COMMENT 'date',
  `name` varchar(80) default NULL,
  `icon` varchar(20) default NULL,
  `email` varchar(50) default NULL,
  `url` varchar(255) default NULL,
  `ip` varchar(250) default NULL,
  `icq` varchar(20) default NULL,
  `aim` varchar(20) default NULL,
  `msn` varchar(40) default NULL,
  `skype` varchar(50) default NULL,
  `yim` varchar(20) default NULL,
  `message` text NOT NULL,
  `feedback` text,
  `bewertung` tinyint(4) default NULL COMMENT 'rating',
  `ort` varchar(40) default NULL COMMENT 'location',
  `nosmile` tinyint(1) default NULL,
  `frei` tinyint(1) NOT NULL COMMENT 'revision',
  `msf` varchar(200) default NULL COMMENT 'attachment',
  `hideown` tinyint(1) NOT NULL,
  `savedinput` varchar(255) default NULL COMMENT 'own fields',
  `privatn` tinyint(1) NOT NULL COMMENT 'private message',
  `pinned` tinyint(1) NOT NULL,
  `betreff` varchar(100) default NULL COMMENT 'topic',
  `jabber` varchar(20) default NULL,
  `state` varchar(40) default NULL,
  `sprchosen` varchar(20) default NULL COMMENT 'language',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM COMMENT='stores all the gb entries';

/*Table structure for table `FIREBOOK_dataspam` */

DROP TABLE IF EXISTS `FIREBOOK_dataspam`;

CREATE TABLE `FIREBOOK_dataspam` (
  `id` int(11) NOT NULL,
  `datum` int(11) default NULL COMMENT 'date',
  `name` varchar(80) default NULL,
  `icon` varchar(20) default NULL,
  `email` varchar(50) default NULL,
  `url` varchar(255) default NULL,
  `ip` varchar(250) default NULL,
  `icq` varchar(20) default NULL,
  `aim` varchar(20) default NULL,
  `msn` varchar(40) default NULL,
  `skype` varchar(50) default NULL,
  `yim` varchar(20) default NULL,
  `message` text NOT NULL,
  `feedback` text,
  `bewertung` varchar(10) default NULL COMMENT 'rating',
  `ort` varchar(40) default NULL COMMENT 'location',
  `nosmile` tinyint(1) default NULL,
  `frei` tinyint(1) NOT NULL COMMENT 'revision',
  `msf` varchar(200) default NULL COMMENT 'attachment',
  `hideown` tinyint(1) NOT NULL,
  `savedinput` varchar(255) default NULL COMMENT 'own fields',
  `privatn` tinyint(1) NOT NULL COMMENT 'private message',
  `pinned` tinyint(1) NOT NULL,
  `betreff` varchar(100) default NULL COMMENT 'topic',
  `jabber` varchar(20) default NULL,
  `state` varchar(40) default NULL,
  `sprchosen` varchar(20) default NULL COMMENT 'language',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM COMMENT='stores all the gb entries identified as spam';

/*Table structure for table `FIREBOOK_extsettings` */

DROP TABLE IF EXISTS `FIREBOOK_extsettings`;

CREATE TABLE `FIREBOOK_extsettings` (
  `type` varchar(20) NOT NULL COMMENT 'id of setting',
  `data` text COMMENT 'data of setting',
  PRIMARY KEY  (`type`)
) ENGINE=MyISAM COMMENT='used to store settings which can contain more dat';


/*Table structure for table `FIREBOOK_map` */

DROP TABLE IF EXISTS `FIREBOOK_map`;

CREATE TABLE `FIREBOOK_map` (
  `name` varchar(80) NOT NULL,
  `country` varchar(50) default NULL,
  `state` varchar(50) default NULL,
  `coordinate1` smallint(6) NOT NULL,
  `coordinate2` smallint(6) NOT NULL,
  `user_ip` varchar(250) default NULL,
  PRIMARY KEY  (`name`,`coordinate1`,`coordinate2`)
) ENGINE=MyISAM COMMENT='this table stores the user map pin locations';

/*Table structure for table `FIREBOOK_ownfields` */

DROP TABLE IF EXISTS `FIREBOOK_ownfields`;

CREATE TABLE `FIREBOOK_ownfields` (
  `id` smallint(6) NOT NULL,
  `name` varchar(30) NOT NULL COMMENT 'field description',
  `form` tinyint(4) NOT NULL COMMENT 'representation for input',
  `ishowform` tinyint(4) NOT NULL COMMENT 'representation form',
  `ipredefined` text COMMENT 'pre defined variables',
  `igraphurl` varchar(50) NOT NULL COMMENT 'url to graphics',
  `iactive` tinyint(1) NOT NULL COMMENT 'required field?',
  `iqactive` tinyint(1) NOT NULL COMMENT 'is activated?',
  `ireqfield` tinyint(1) NOT NULL COMMENT 'active in quick entries',
  `kommf` tinyint(1) NOT NULL COMMENT 'active in comments',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM;


/*Table structure for table `FIREBOOK_sessions` */

DROP TABLE IF EXISTS `FIREBOOK_sessions`;

CREATE TABLE `FIREBOOK_sessions` (
  `time_old` int(10) NOT NULL COMMENT 'session time',
  `created_id` varchar(40) NOT NULL COMMENT 'session id',
  `sess_user_ip` varchar(250) default NULL,
  `username` varchar(30) default NULL,
  `password` varchar(30) default NULL,
  `userag` varchar(255) default NULL COMMENT 'user browser',
  `writtenids` int(11) default NULL,
  `message_codes` varchar(200) default NULL COMMENT 'for spam protection',
  `fact_sent` varchar(10) default NULL COMMENT 'needed for spam time protection',
  `saved_proove_code` varchar(50) default NULL COMMENT 'captcha code',
  PRIMARY KEY  (`created_id`)
) ENGINE=MyISAM COMMENT='stores session informations';

/*Table structure for table `FIREBOOK_stats` */

DROP TABLE IF EXISTS `FIREBOOK_stats`;

CREATE TABLE `FIREBOOK_stats` (
  `insg_zugriffe` bigint(20) default NULL,
  `letzter_zugriff` int(10) default NULL
) ENGINE=MyISAM COMMENT='stores simple statistics for gb accounts';

/*Table structure for table `FIREBOOK_stats_detail` */

DROP TABLE IF EXISTS `FIREBOOK_stats_detail`;

CREATE TABLE `FIREBOOK_stats_detail` (
  `ip` varchar(250) NOT NULL,
  `time` int(10) NOT NULL default '0',
  `admin` tinyint(1) default NULL
) ENGINE=MyISAM COMMENT='stores simple access stats for admin statistics';

/*Table structure for table `FIREBOOK_ubbc` */

DROP TABLE IF EXISTS `FIREBOOK_ubbc`;

CREATE TABLE `FIREBOOK_ubbc` (
  `code` varchar(20) NOT NULL,
  `id` smallint(6) NOT NULL,
  `beschr` varchar(200) default NULL,
  `syntax` varchar(255) default NULL,
  `umwandlung` text,
  `javaeinf1` text,
  `javaeinf2` text,
  `javaeinf1wied` tinyint(1) default NULL,
  `javaeinf2wied` tinyint(1) default NULL,
  `dimensions` varchar(10) default NULL,
  `list_ersetz` varchar(100) default NULL,
  `kuerze_feld` varchar(100) default NULL,
  `aktionen_nein` varchar(200) default NULL,
  `effekt_einzeln` tinyint(1) default NULL,
  `effekt_gewaehlt` varchar(10) default NULL,
  `gbhilfe_akt` tinyint(1) default NULL,
  `active` tinyint(1) default NULL,
  `active_comments` tinyint(1) default NULL,
  `delete_pipe` tinyint(1) default NULL,
  `delete_bracket` tinyint(1) default NULL,
  `delete_nl` tinyint(1) default NULL,
  `allowed_values` text,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM;

/*Data for the table `FIREBOOK_ubbc` */

insert  into `FIREBOOK_ubbc`(`code`,`id`,`beschr`,`syntax`,`umwandlung`,`javaeinf1`,`javaeinf2`,`javaeinf1wied`,`javaeinf2wied`,`dimensions`,`list_ersetz`,`kuerze_feld`,`aktionen_nein`,`effekt_einzeln`,`effekt_gewaehlt`,`gbhilfe_akt`,`active`,`active_comments`,`delete_pipe`,`delete_bracket`,`delete_nl`,`allowed_values`) values ('figbbold',1,'<txt_ub 1>: <b><txt_ub 4></b>','[b]%text%[/b]','<b>%text%</b>','','',0,0,NULL,NULL,NULL,NULL,NULL,NULL,1,1,1,NULL,NULL,NULL,NULL);
insert  into `FIREBOOK_ubbc`(`code`,`id`,`beschr`,`syntax`,`umwandlung`,`javaeinf1`,`javaeinf2`,`javaeinf1wied`,`javaeinf2wied`,`dimensions`,`list_ersetz`,`kuerze_feld`,`aktionen_nein`,`effekt_einzeln`,`effekt_gewaehlt`,`gbhilfe_akt`,`active`,`active_comments`,`delete_pipe`,`delete_bracket`,`delete_nl`,`allowed_values`) values ('figbitalic',2,'<txt_ub 1>: <b><txt_ub 5></b>','[i]%text%[/i]','<i>%text%</i>',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,1,1,NULL,NULL,NULL,NULL);
insert  into `FIREBOOK_ubbc`(`code`,`id`,`beschr`,`syntax`,`umwandlung`,`javaeinf1`,`javaeinf2`,`javaeinf1wied`,`javaeinf2wied`,`dimensions`,`list_ersetz`,`kuerze_feld`,`aktionen_nein`,`effekt_einzeln`,`effekt_gewaehlt`,`gbhilfe_akt`,`active`,`active_comments`,`delete_pipe`,`delete_bracket`,`delete_nl`,`allowed_values`) values ('figbunderline',3,'<txt_ub 1>: <b><txt_ub 6></b>','[u]%text%[/u]','<u>%text%</u>',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,1,1,NULL,NULL,NULL,NULL);
insert  into `FIREBOOK_ubbc`(`code`,`id`,`beschr`,`syntax`,`umwandlung`,`javaeinf1`,`javaeinf2`,`javaeinf1wied`,`javaeinf2wied`,`dimensions`,`list_ersetz`,`kuerze_feld`,`aktionen_nein`,`effekt_einzeln`,`effekt_gewaehlt`,`gbhilfe_akt`,`active`,`active_comments`,`delete_pipe`,`delete_bracket`,`delete_nl`,`allowed_values`) values ('figbstrike',4,'<txt_ub 1>: <b><txt_ub 7></b>','[s]%text%[/s]','<s>%text%</s>',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,1,1,NULL,NULL,NULL,NULL);
insert  into `FIREBOOK_ubbc`(`code`,`id`,`beschr`,`syntax`,`umwandlung`,`javaeinf1`,`javaeinf2`,`javaeinf1wied`,`javaeinf2wied`,`dimensions`,`list_ersetz`,`kuerze_feld`,`aktionen_nein`,`effekt_einzeln`,`effekt_gewaehlt`,`gbhilfe_akt`,`active`,`active_comments`,`delete_pipe`,`delete_bracket`,`delete_nl`,`allowed_values`) values ('figboverline',5,'<txt_ub 1>: <b><txt_ub 8></b>','[o]%text%[/o]','<font STYLE=\"text-decoration: overline;\">%text%</font>',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,1,1,NULL,NULL,NULL,NULL);
insert  into `FIREBOOK_ubbc`(`code`,`id`,`beschr`,`syntax`,`umwandlung`,`javaeinf1`,`javaeinf2`,`javaeinf1wied`,`javaeinf2wied`,`dimensions`,`list_ersetz`,`kuerze_feld`,`aktionen_nein`,`effekt_einzeln`,`effekt_gewaehlt`,`gbhilfe_akt`,`active`,`active_comments`,`delete_pipe`,`delete_bracket`,`delete_nl`,`allowed_values`) values ('figbleft',6,'<txt_ub 2>: <b><txt_ub 9></b>','[left]%text%[/left]','<div align=left>%text%</div>',NULL,NULL,0,0,NULL,NULL,NULL,NULL,NULL,NULL,1,1,1,NULL,NULL,NULL,NULL);
insert  into `FIREBOOK_ubbc`(`code`,`id`,`beschr`,`syntax`,`umwandlung`,`javaeinf1`,`javaeinf2`,`javaeinf1wied`,`javaeinf2wied`,`dimensions`,`list_ersetz`,`kuerze_feld`,`aktionen_nein`,`effekt_einzeln`,`effekt_gewaehlt`,`gbhilfe_akt`,`active`,`active_comments`,`delete_pipe`,`delete_bracket`,`delete_nl`,`allowed_values`) values ('figbcenter',7,'<txt_ub 2>: <b><txt_ub 10></b>','[center]%text%[/center]','<div align=center>%text%</div>','','',0,0,',','§','*','',0,'',1,1,1,0,0,0,'');
insert  into `FIREBOOK_ubbc`(`code`,`id`,`beschr`,`syntax`,`umwandlung`,`javaeinf1`,`javaeinf2`,`javaeinf1wied`,`javaeinf2wied`,`dimensions`,`list_ersetz`,`kuerze_feld`,`aktionen_nein`,`effekt_einzeln`,`effekt_gewaehlt`,`gbhilfe_akt`,`active`,`active_comments`,`delete_pipe`,`delete_bracket`,`delete_nl`,`allowed_values`) values ('figbright',8,'<txt_ub 2>: <b><txt_ub 11></b>','[right]%text%[/right]','<div align=right>%text%</div>',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,1,1,NULL,NULL,NULL,NULL);
insert  into `FIREBOOK_ubbc`(`code`,`id`,`beschr`,`syntax`,`umwandlung`,`javaeinf1`,`javaeinf2`,`javaeinf1wied`,`javaeinf2wied`,`dimensions`,`list_ersetz`,`kuerze_feld`,`aktionen_nein`,`effekt_einzeln`,`effekt_gewaehlt`,`gbhilfe_akt`,`active`,`active_comments`,`delete_pipe`,`delete_bracket`,`delete_nl`,`allowed_values`) values ('figbjustify',9,'<txt_ub 2>: <b><txt_ub 12></b>','[justify]%text%[/justify]','<div align=justify>%text%</div>',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,1,1,NULL,NULL,NULL,NULL);
insert  into `FIREBOOK_ubbc`(`code`,`id`,`beschr`,`syntax`,`umwandlung`,`javaeinf1`,`javaeinf2`,`javaeinf1wied`,`javaeinf2wied`,`dimensions`,`list_ersetz`,`kuerze_feld`,`aktionen_nein`,`effekt_einzeln`,`effekt_gewaehlt`,`gbhilfe_akt`,`active`,`active_comments`,`delete_pipe`,`delete_bracket`,`delete_nl`,`allowed_values`) values ('figbpre',10,'<txt_ub 2>: <b><txt_ub 13></b>','[pre]%text%[/pre]','<pre>%text%</pre>',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,1,1,NULL,NULL,NULL,NULL);
insert  into `FIREBOOK_ubbc`(`code`,`id`,`beschr`,`syntax`,`umwandlung`,`javaeinf1`,`javaeinf2`,`javaeinf1wied`,`javaeinf2wied`,`dimensions`,`list_ersetz`,`kuerze_feld`,`aktionen_nein`,`effekt_einzeln`,`effekt_gewaehlt`,`gbhilfe_akt`,`active`,`active_comments`,`delete_pipe`,`delete_bracket`,`delete_nl`,`allowed_values`) values ('figbsup',11,'<txt_ub 1>: <b><txt_ub 14></b>','[sup]%text%[/sup]','<sup>%text%</sup>',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,1,1,NULL,NULL,NULL,NULL);
insert  into `FIREBOOK_ubbc`(`code`,`id`,`beschr`,`syntax`,`umwandlung`,`javaeinf1`,`javaeinf2`,`javaeinf1wied`,`javaeinf2wied`,`dimensions`,`list_ersetz`,`kuerze_feld`,`aktionen_nein`,`effekt_einzeln`,`effekt_gewaehlt`,`gbhilfe_akt`,`active`,`active_comments`,`delete_pipe`,`delete_bracket`,`delete_nl`,`allowed_values`) values ('figbsub',12,'<txt_ub 1>: <b><txt_ub 15></b>','[sub]%text%[/sub]','<sub>%text%</sub>',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,1,1,NULL,NULL,NULL,NULL);
insert  into `FIREBOOK_ubbc`(`code`,`id`,`beschr`,`syntax`,`umwandlung`,`javaeinf1`,`javaeinf2`,`javaeinf1wied`,`javaeinf2wied`,`dimensions`,`list_ersetz`,`kuerze_feld`,`aktionen_nein`,`effekt_einzeln`,`effekt_gewaehlt`,`gbhilfe_akt`,`active`,`active_comments`,`delete_pipe`,`delete_bracket`,`delete_nl`,`allowed_values`) values ('figbhr',13,'<txt_ub 3>: <b><txt_ub 16></b>','[hr=%opt1%,%opt2%]','<hr size=1 STYLE=\"border : 1px %opt2% %opt1%;\" width=\"60%\">',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,1,1,NULL,NULL,NULL,'black*red*orangered*darkred*coral*yellow*deeppink*green*limegreen*seagreen*orange*purple*indigo*skyblue*blue*navy*beige*sandybrown*chocolate*brown*teal*maroon*silver$solid*dotted');
insert  into `FIREBOOK_ubbc`(`code`,`id`,`beschr`,`syntax`,`umwandlung`,`javaeinf1`,`javaeinf2`,`javaeinf1wied`,`javaeinf2wied`,`dimensions`,`list_ersetz`,`kuerze_feld`,`aktionen_nein`,`effekt_einzeln`,`effekt_gewaehlt`,`gbhilfe_akt`,`active`,`active_comments`,`delete_pipe`,`delete_bracket`,`delete_nl`,`allowed_values`) values ('figbhr',14,'<txt_ub 3>: <txt_ub 16>','[hr]','<hr size=1 width=\"60%\">',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,1,1,NULL,NULL,NULL,NULL);
insert  into `FIREBOOK_ubbc`(`code`,`id`,`beschr`,`syntax`,`umwandlung`,`javaeinf1`,`javaeinf2`,`javaeinf1wied`,`javaeinf2wied`,`dimensions`,`list_ersetz`,`kuerze_feld`,`aktionen_nein`,`effekt_einzeln`,`effekt_gewaehlt`,`gbhilfe_akt`,`active`,`active_comments`,`delete_pipe`,`delete_bracket`,`delete_nl`,`allowed_values`) values ('figblink',15,'<txt_ub 17>','[link=%opt1%]%text%[/link]','<a href=\"%stealthlink1%\" target=_blank>%text%</a>',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,1,1,NULL,NULL,NULL,NULL);
insert  into `FIREBOOK_ubbc`(`code`,`id`,`beschr`,`syntax`,`umwandlung`,`javaeinf1`,`javaeinf2`,`javaeinf1wied`,`javaeinf2wied`,`dimensions`,`list_ersetz`,`kuerze_feld`,`aktionen_nein`,`effekt_einzeln`,`effekt_gewaehlt`,`gbhilfe_akt`,`active`,`active_comments`,`delete_pipe`,`delete_bracket`,`delete_nl`,`allowed_values`) values ('figblink',19,'<txt_ub 17>','[link]%opt1%[/link]','<a href=\"%stealthlink1%\" target=_blank>%opt1%</a>',NULL,NULL,NULL,NULL,NULL,NULL,'opt1*55',NULL,NULL,NULL,0,1,1,NULL,NULL,NULL,NULL);
insert  into `FIREBOOK_ubbc`(`code`,`id`,`beschr`,`syntax`,`umwandlung`,`javaeinf1`,`javaeinf2`,`javaeinf1wied`,`javaeinf2wied`,`dimensions`,`list_ersetz`,`kuerze_feld`,`aktionen_nein`,`effekt_einzeln`,`effekt_gewaehlt`,`gbhilfe_akt`,`active`,`active_comments`,`delete_pipe`,`delete_bracket`,`delete_nl`,`allowed_values`) values ('figbftp',23,'<txt_ub 17>','[ftp=ftp://%opt1%]%text%[/ftp]','<a href=\"<FIREBOOK SCRIPTACNOSKIN>=redirectexit;prt=ftp;url=%opt1%\" target=_blank>%text%</a>',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,1,1,NULL,NULL,NULL,NULL);
insert  into `FIREBOOK_ubbc`(`code`,`id`,`beschr`,`syntax`,`umwandlung`,`javaeinf1`,`javaeinf2`,`javaeinf1wied`,`javaeinf2wied`,`dimensions`,`list_ersetz`,`kuerze_feld`,`aktionen_nein`,`effekt_einzeln`,`effekt_gewaehlt`,`gbhilfe_akt`,`active`,`active_comments`,`delete_pipe`,`delete_bracket`,`delete_nl`,`allowed_values`) values ('figbftp',24,'<txt_ub 17>','[ftp=ftp.%lopt1%]%text%[/ftp]','<a href=\"<FIREBOOK SCRIPTACNOSKIN>=redirectexit;prt=ftp;url=ftp.%opt1%\" target=_blank>%text%</a>',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,1,1,NULL,NULL,NULL,NULL);
insert  into `FIREBOOK_ubbc`(`code`,`id`,`beschr`,`syntax`,`umwandlung`,`javaeinf1`,`javaeinf2`,`javaeinf1wied`,`javaeinf2wied`,`dimensions`,`list_ersetz`,`kuerze_feld`,`aktionen_nein`,`effekt_einzeln`,`effekt_gewaehlt`,`gbhilfe_akt`,`active`,`active_comments`,`delete_pipe`,`delete_bracket`,`delete_nl`,`allowed_values`) values ('figbftp',25,'<txt_ub 17>','[ftp=%opt1%]%text%[/ftp]','<a href=\"<FIREBOOK SCRIPTACNOSKIN>=redirectexit;prt=ftp;url=%opt1%\" target=_blank>%text%</a>',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,1,1,NULL,NULL,NULL,NULL);
insert  into `FIREBOOK_ubbc`(`code`,`id`,`beschr`,`syntax`,`umwandlung`,`javaeinf1`,`javaeinf2`,`javaeinf1wied`,`javaeinf2wied`,`dimensions`,`list_ersetz`,`kuerze_feld`,`aktionen_nein`,`effekt_einzeln`,`effekt_gewaehlt`,`gbhilfe_akt`,`active`,`active_comments`,`delete_pipe`,`delete_bracket`,`delete_nl`,`allowed_values`) values ('figbftp',26,'<txt_ub 17>','[ftp]ftp://%opt1%[/ftp]','<a href=\"<FIREBOOK SCRIPTACNOSKIN>=redirectexit;prt=ftp;url=%opt1%\" target=_blank>%opt1%</a>',NULL,NULL,NULL,NULL,NULL,NULL,'opt1*55',NULL,NULL,NULL,0,1,1,NULL,NULL,NULL,NULL);
insert  into `FIREBOOK_ubbc`(`code`,`id`,`beschr`,`syntax`,`umwandlung`,`javaeinf1`,`javaeinf2`,`javaeinf1wied`,`javaeinf2wied`,`dimensions`,`list_ersetz`,`kuerze_feld`,`aktionen_nein`,`effekt_einzeln`,`effekt_gewaehlt`,`gbhilfe_akt`,`active`,`active_comments`,`delete_pipe`,`delete_bracket`,`delete_nl`,`allowed_values`) values ('figbftp',27,'<txt_ub 17>','[ftp]ftp.%lopt1%[/ftp]','<a href=\"<FIREBOOK SCRIPTACNOSKIN>=redirectexit;prt=ftp;url=ftp.%opt1%\" target=_blank>ftp.%opt1%</a>',NULL,NULL,NULL,NULL,NULL,NULL,'opt1*55',NULL,NULL,NULL,0,1,1,NULL,NULL,NULL,NULL);
insert  into `FIREBOOK_ubbc`(`code`,`id`,`beschr`,`syntax`,`umwandlung`,`javaeinf1`,`javaeinf2`,`javaeinf1wied`,`javaeinf2wied`,`dimensions`,`list_ersetz`,`kuerze_feld`,`aktionen_nein`,`effekt_einzeln`,`effekt_gewaehlt`,`gbhilfe_akt`,`active`,`active_comments`,`delete_pipe`,`delete_bracket`,`delete_nl`,`allowed_values`) values ('figbftp',28,'<txt_ub 17>','[ftp]%opt1%[/ftp]','<a href=\"<FIREBOOK SCRIPTACNOSKIN>=redirectexit;prt=ftp;url=%opt1%\" target=_blank>ftp://%opt1%</a>',NULL,NULL,NULL,NULL,NULL,NULL,'opt1*55',NULL,NULL,NULL,0,1,1,NULL,NULL,NULL,NULL);
insert  into `FIREBOOK_ubbc`(`code`,`id`,`beschr`,`syntax`,`umwandlung`,`javaeinf1`,`javaeinf2`,`javaeinf1wied`,`javaeinf2wied`,`dimensions`,`list_ersetz`,`kuerze_feld`,`aktionen_nein`,`effekt_einzeln`,`effekt_gewaehlt`,`gbhilfe_akt`,`active`,`active_comments`,`delete_pipe`,`delete_bracket`,`delete_nl`,`allowed_values`) values ('figburl',29,'<txt_ub 3>: <b><txt_ub 17></b>','[url=%opt1%]%text%[/url]','<a href=\"%stealthlink1%\" target=_blank>%text%</a>',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,1,1,NULL,NULL,NULL,NULL);
insert  into `FIREBOOK_ubbc`(`code`,`id`,`beschr`,`syntax`,`umwandlung`,`javaeinf1`,`javaeinf2`,`javaeinf1wied`,`javaeinf2wied`,`dimensions`,`list_ersetz`,`kuerze_feld`,`aktionen_nein`,`effekt_einzeln`,`effekt_gewaehlt`,`gbhilfe_akt`,`active`,`active_comments`,`delete_pipe`,`delete_bracket`,`delete_nl`,`allowed_values`) values ('figburl',33,'<txt_ub 17>','[url]%opt1%[/url]','<a href=\"%stealthlink1%\" target=_blank>%opt1%</a>',NULL,NULL,NULL,NULL,NULL,NULL,'opt1*55',NULL,NULL,NULL,0,1,1,NULL,NULL,NULL,NULL);
insert  into `FIREBOOK_ubbc`(`code`,`id`,`beschr`,`syntax`,`umwandlung`,`javaeinf1`,`javaeinf2`,`javaeinf1wied`,`javaeinf2wied`,`dimensions`,`list_ersetz`,`kuerze_feld`,`aktionen_nein`,`effekt_einzeln`,`effekt_gewaehlt`,`gbhilfe_akt`,`active`,`active_comments`,`delete_pipe`,`delete_bracket`,`delete_nl`,`allowed_values`) values ('figbimg',37,'<txt_ub 3>: <b><txt_ub 18></b>','[img]%imgopt1%[/img]','<img src=\"http://%opt1%\" alt=\"<txt_gl 79>\" border=0>',NULL,NULL,NULL,NULL,'400,400',NULL,NULL,NULL,NULL,NULL,1,1,1,NULL,NULL,NULL,NULL);
insert  into `FIREBOOK_ubbc`(`code`,`id`,`beschr`,`syntax`,`umwandlung`,`javaeinf1`,`javaeinf2`,`javaeinf1wied`,`javaeinf2wied`,`dimensions`,`list_ersetz`,`kuerze_feld`,`aktionen_nein`,`effekt_einzeln`,`effekt_gewaehlt`,`gbhilfe_akt`,`active`,`active_comments`,`delete_pipe`,`delete_bracket`,`delete_nl`,`allowed_values`) values ('figbemail',38,'<txt_ub 3>: <b><txt_ub 19></b>','[email=%emailopt1%]%text%[/email]','<a href=\"mailto:%opt1%\">%text%</a>',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,1,1,NULL,NULL,NULL,NULL);
insert  into `FIREBOOK_ubbc`(`code`,`id`,`beschr`,`syntax`,`umwandlung`,`javaeinf1`,`javaeinf2`,`javaeinf1wied`,`javaeinf2wied`,`dimensions`,`list_ersetz`,`kuerze_feld`,`aktionen_nein`,`effekt_einzeln`,`effekt_gewaehlt`,`gbhilfe_akt`,`active`,`active_comments`,`delete_pipe`,`delete_bracket`,`delete_nl`,`allowed_values`) values ('figbemail',39,'<txt_ub 19>','[email]%emailopt1%[/email]','<a href=\"mailto:%opt1%\">%opt1%</a>',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,1,1,NULL,NULL,NULL,NULL);
insert  into `FIREBOOK_ubbc`(`code`,`id`,`beschr`,`syntax`,`umwandlung`,`javaeinf1`,`javaeinf2`,`javaeinf1wied`,`javaeinf2wied`,`dimensions`,`list_ersetz`,`kuerze_feld`,`aktionen_nein`,`effekt_einzeln`,`effekt_gewaehlt`,`gbhilfe_akt`,`active`,`active_comments`,`delete_pipe`,`delete_bracket`,`delete_nl`,`allowed_values`) values ('figbflash',40,'<txt_ub 3>: <b><txt_ub 20></b>','[flash=%digopt1%,%digopt2%]%linkopt3%[/flash]',' <b>[ <txt_ub 40> %opt1% x %opt2%: <a href=\"javascript:popUp(\'%stealthlink3%\',%opt1%,%opt2%)\">%opt3%</a> ]</b> ',NULL,NULL,NULL,NULL,'500,500',NULL,NULL,NULL,NULL,NULL,1,1,1,NULL,NULL,NULL,NULL);
insert  into `FIREBOOK_ubbc`(`code`,`id`,`beschr`,`syntax`,`umwandlung`,`javaeinf1`,`javaeinf2`,`javaeinf1wied`,`javaeinf2wied`,`dimensions`,`list_ersetz`,`kuerze_feld`,`aktionen_nein`,`effekt_einzeln`,`effekt_gewaehlt`,`gbhilfe_akt`,`active`,`active_comments`,`delete_pipe`,`delete_bracket`,`delete_nl`,`allowed_values`) values ('figbquote',41,'<txt_ub 3>: <b><txt_ub 21></b>','[quote]%text%[/quote]','<table border=0 cellspacing=0 cellpadding=2><tr><td width=10>&nbsp;</td><td valign=top width=10 align=right><img src=\"<FIREBOOK BILDERURLSK>/allgemein/quotebox.gif\" alt=\"<txt_ub 21>\"></td><td width=100%><table cellspacing=1 width=95% class=quote cellpadding=8><tr><td class=fb1 width=100%><div STYLE=\"font-size: 11px;\">%text%</div></td></tr></table></td></tr></table>',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,1,1,NULL,NULL,NULL,NULL);
insert  into `FIREBOOK_ubbc`(`code`,`id`,`beschr`,`syntax`,`umwandlung`,`javaeinf1`,`javaeinf2`,`javaeinf1wied`,`javaeinf2wied`,`dimensions`,`list_ersetz`,`kuerze_feld`,`aktionen_nein`,`effekt_einzeln`,`effekt_gewaehlt`,`gbhilfe_akt`,`active`,`active_comments`,`delete_pipe`,`delete_bracket`,`delete_nl`,`allowed_values`) values ('figblist',42,'<txt_ub 3>: <b><txt_ub 22></b>','[list=%opt1%]%optrow%[/list]','<%opt1%l>%optrow%</%opt1%l>',NULL,NULL,NULL,NULL,NULL,'[&#42;]§<li>',NULL,NULL,NULL,NULL,1,1,1,NULL,NULL,NULL,'o*u');
insert  into `FIREBOOK_ubbc`(`code`,`id`,`beschr`,`syntax`,`umwandlung`,`javaeinf1`,`javaeinf2`,`javaeinf1wied`,`javaeinf2wied`,`dimensions`,`list_ersetz`,`kuerze_feld`,`aktionen_nein`,`effekt_einzeln`,`effekt_gewaehlt`,`gbhilfe_akt`,`active`,`active_comments`,`delete_pipe`,`delete_bracket`,`delete_nl`,`allowed_values`) values ('figbfont',43,'<txt_ub 2>: <b><txt_ub 23></b>','[font=%opt1%]%text%[/font]','<font face=\"%opt1%\">%text%</font>',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,1,1,NULL,NULL,NULL,'arial*arial black*comic sans ms*courier*courier new*impact*tahoma*times new roman*verdana');
insert  into `FIREBOOK_ubbc`(`code`,`id`,`beschr`,`syntax`,`umwandlung`,`javaeinf1`,`javaeinf2`,`javaeinf1wied`,`javaeinf2wied`,`dimensions`,`list_ersetz`,`kuerze_feld`,`aktionen_nein`,`effekt_einzeln`,`effekt_gewaehlt`,`gbhilfe_akt`,`active`,`active_comments`,`delete_pipe`,`delete_bracket`,`delete_nl`,`allowed_values`) values ('figbcolor',44,'<txt_ub 2>: <b><txt_ub 24></b>','[color=%opt1%]%text%[/color]','<font color=\"%opt1%\">%text%</font>',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,1,1,NULL,NULL,NULL,'black*red*orangered*darkred*coral*yellow*deeppink*green*limegreen*seagreen*orange*purple*indigo*skyblue*blue*navy*beige*sandybrown*chocolate*brown*teal*maroon*silver*#330000*#333300*#336600*#339900*#33CC00*#33FF00*#66FF00*#66CC00*#669900*#666600*#663300*#660000*#FF0000*#FF3300*#FF6600*#FF9900*#FFCC00*#FFFF00*#330033*#333333*#336633*#339933*#33CC33*#33FF33*#66FF33*#66CC33*#669933*#666633*#663333*#660033*#FF0033*#FF3333*#FF6633*#FF9933*#FFCC33*#FFFF33*#330066*#333366*#336666*#339966*#33CC66*#33FF66*#66FF66*#66CC66*#669966*#666666*#663366*#660066*#FF0066*#FF3366*#FF6666*#FF9966*#FFCC66*#FFFF66*#330099*#333399*#336699*#339999*#33CC99*#33FF99*#66FF99*#66CC99*#669999*#666699*#663399*#660099*#FF0099*#FF3399*#FF6699*#FF9999*#FFCC99*#FFFF99*#3300CC*#3333CC*#3366CC*#3399CC*#33CCCC*#33FFCC*#66FFCC*#66CCCC*#6699CC*#6666CC*#6633CC*#6600CC*#FF00CC*#FF33CC*#FF66CC*#FF99CC*#FFCCCC*#FFFFCC*#3300FF*#3333FF*#3366FF*#3399FF*#33CCFF*#33FFFF*#66FFFF*#66CCFF*#6699FF*#6666FF*#6633FF*#6600FF*#FF00FF*#FF33FF*#FF66FF*#FF99FF*#FFCCFF*#FFFFFF*#0000FF*#0033FF*#0066FF*#0099FF*#00CCFF*#00FFFF*#99FFFF*#99CCFF*#9999FF*#9966FF*#9933FF*#9900FF*#CC00FF*#CC33FF*#CC66FF*#CC99FF*#CCCCFF*#CCFFFF*#0000CC*#0033CC*#0066CC*#0099CC*#00CCCC*#00FFCC*#99FFCC*#99CCCC*#9999CC*#9966CC*#9933CC*#9900CC*#CC00CC*#CC33CC*#CC66CC*#CC99CC*#CCCCCC*#CCFFCC*#000099*#003399*#006699*#009999*#00CC99*#00FF99*#99FF99*#99CC99*#999999*#996699*#993399*#990099*#CC0099*#CC3399*#CC6699*#CC9999*#CCCC99*#CCFF99*#000066*#003366*#006666*#009966*#00CC66*#00FF66*#99FF66*#99CC66*#999966*#996666*#993366*#990066*#CC0066*#CC3366*#CC6666*#CC9966*#CCCC66*#CCFF66*#000033*#003333*#006633*#009933*#00CC33*#00FF33*#99FF33*#99CC33*#999933*#996633*#993333*#990033*#CC0033*#CC3333*#CC6633*#CC9933*#CCCC33*#CCFF33*#000000*#003300*#006600*#009900*#00CC00*#00FF00*#99FF00*#99CC00*#999900*#996600*#993300*#990000*#CC0000*#CC3300*#CC6600*#CC9900*#CCCC00*#CCFF00*#000000*#111111*#222222*#333333*#444444*#555555*#666666*#777777*#888888*#999999*#9A9A9A*#AAAAAA*#BBBBBB*#CCCCCC*#DDDDDD*#EEEEEE*#EFEFEF*#FFFFFF');
insert  into `FIREBOOK_ubbc`(`code`,`id`,`beschr`,`syntax`,`umwandlung`,`javaeinf1`,`javaeinf2`,`javaeinf1wied`,`javaeinf2wied`,`dimensions`,`list_ersetz`,`kuerze_feld`,`aktionen_nein`,`effekt_einzeln`,`effekt_gewaehlt`,`gbhilfe_akt`,`active`,`active_comments`,`delete_pipe`,`delete_bracket`,`delete_nl`,`allowed_values`) values ('figbsize',45,'<txt_ub 2>: <b><txt_ub 25></b>','[size=%digopt1%]%text%[/size]','<font size=\"%opt1%\">%text%</font>',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,1,1,NULL,NULL,NULL,'1*2*3*4*5*6');
insert  into `FIREBOOK_ubbc`(`code`,`id`,`beschr`,`syntax`,`umwandlung`,`javaeinf1`,`javaeinf2`,`javaeinf1wied`,`javaeinf2wied`,`dimensions`,`list_ersetz`,`kuerze_feld`,`aktionen_nein`,`effekt_einzeln`,`effekt_gewaehlt`,`gbhilfe_akt`,`active`,`active_comments`,`delete_pipe`,`delete_bracket`,`delete_nl`,`allowed_values`) values ('figbaim',46,'<txt_ub 41>: <b><txt_gl 19></b>','[aim]%opt1%[/aim]','%aimgif%',NULL,NULL,NULL,NULL,',','§','*','',0,'',1,1,1,0,0,0,'');
insert  into `FIREBOOK_ubbc`(`code`,`id`,`beschr`,`syntax`,`umwandlung`,`javaeinf1`,`javaeinf2`,`javaeinf1wied`,`javaeinf2wied`,`dimensions`,`list_ersetz`,`kuerze_feld`,`aktionen_nein`,`effekt_einzeln`,`effekt_gewaehlt`,`gbhilfe_akt`,`active`,`active_comments`,`delete_pipe`,`delete_bracket`,`delete_nl`,`allowed_values`) values ('figbicq',47,'<txt_ub 41>: <b><txt_gl 18></b>','[icq]%digopt1%[/icq]','%icqgif%',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,1,1,NULL,NULL,NULL,NULL);
insert  into `FIREBOOK_ubbc`(`code`,`id`,`beschr`,`syntax`,`umwandlung`,`javaeinf1`,`javaeinf2`,`javaeinf1wied`,`javaeinf2wied`,`dimensions`,`list_ersetz`,`kuerze_feld`,`aktionen_nein`,`effekt_einzeln`,`effekt_gewaehlt`,`gbhilfe_akt`,`active`,`active_comments`,`delete_pipe`,`delete_bracket`,`delete_nl`,`allowed_values`) values ('figbimg',48,'<txt_ub 41>: <b><txt_ub 18></b>','[img=%digopt1%,%digopt2%]%imgopt3%[/img]','<img alt=\"<txt_gl 79>\" src=\"http://%opt3%\" border=0 width=%opt1% height=%opt2%>',NULL,NULL,NULL,NULL,'400,400',NULL,NULL,NULL,NULL,NULL,0,1,1,NULL,NULL,NULL,NULL);
insert  into `FIREBOOK_ubbc`(`code`,`id`,`beschr`,`syntax`,`umwandlung`,`javaeinf1`,`javaeinf2`,`javaeinf1wied`,`javaeinf2wied`,`dimensions`,`list_ersetz`,`kuerze_feld`,`aktionen_nein`,`effekt_einzeln`,`effekt_gewaehlt`,`gbhilfe_akt`,`active`,`active_comments`,`delete_pipe`,`delete_bracket`,`delete_nl`,`allowed_values`) values ('figbjabber',49,'<txt_ub 41>: <b><txt_gl 22></b>','[jabber]%opt1%[/jabber]','%jabbergif%',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,1,1,NULL,NULL,NULL,NULL);
insert  into `FIREBOOK_ubbc`(`code`,`id`,`beschr`,`syntax`,`umwandlung`,`javaeinf1`,`javaeinf2`,`javaeinf1wied`,`javaeinf2wied`,`dimensions`,`list_ersetz`,`kuerze_feld`,`aktionen_nein`,`effekt_einzeln`,`effekt_gewaehlt`,`gbhilfe_akt`,`active`,`active_comments`,`delete_pipe`,`delete_bracket`,`delete_nl`,`allowed_values`) values ('figbmsn',50,'<txt_ub 41>: <b><txt_gl 21></b>','[msn]%opt1%[/msn]','%msngif%',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,1,1,NULL,NULL,NULL,NULL);
insert  into `FIREBOOK_ubbc`(`code`,`id`,`beschr`,`syntax`,`umwandlung`,`javaeinf1`,`javaeinf2`,`javaeinf1wied`,`javaeinf2wied`,`dimensions`,`list_ersetz`,`kuerze_feld`,`aktionen_nein`,`effekt_einzeln`,`effekt_gewaehlt`,`gbhilfe_akt`,`active`,`active_comments`,`delete_pipe`,`delete_bracket`,`delete_nl`,`allowed_values`) values ('figbskype',51,'<txt_ub 41>: <b><txt_gl 146></b>','[skype]%opt1%[/skype]','%skypegif%',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,1,1,NULL,NULL,NULL,NULL);
insert  into `FIREBOOK_ubbc`(`code`,`id`,`beschr`,`syntax`,`umwandlung`,`javaeinf1`,`javaeinf2`,`javaeinf1wied`,`javaeinf2wied`,`dimensions`,`list_ersetz`,`kuerze_feld`,`aktionen_nein`,`effekt_einzeln`,`effekt_gewaehlt`,`gbhilfe_akt`,`active`,`active_comments`,`delete_pipe`,`delete_bracket`,`delete_nl`,`allowed_values`) values ('figbyim',52,'<txt_ub 41>: <b><txt_gl 20></b>','[yim]%opt1%[/yim]','%yimgif%',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,1,1,NULL,NULL,NULL,NULL);
insert  into `FIREBOOK_ubbc`(`code`,`id`,`beschr`,`syntax`,`umwandlung`,`javaeinf1`,`javaeinf2`,`javaeinf1wied`,`javaeinf2wied`,`dimensions`,`list_ersetz`,`kuerze_feld`,`aktionen_nein`,`effekt_einzeln`,`effekt_gewaehlt`,`gbhilfe_akt`,`active`,`active_comments`,`delete_pipe`,`delete_bracket`,`delete_nl`,`allowed_values`) values ('figbeffect-updown',53,'<txt_ub 42>: <b><txt_ub 26></b>','[updown]%text%[/updown]','%text%',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'updown',1,1,1,NULL,NULL,NULL,NULL);
insert  into `FIREBOOK_ubbc`(`code`,`id`,`beschr`,`syntax`,`umwandlung`,`javaeinf1`,`javaeinf2`,`javaeinf1wied`,`javaeinf2wied`,`dimensions`,`list_ersetz`,`kuerze_feld`,`aktionen_nein`,`effekt_einzeln`,`effekt_gewaehlt`,`gbhilfe_akt`,`active`,`active_comments`,`delete_pipe`,`delete_bracket`,`delete_nl`,`allowed_values`) values ('figbeffect-blur',54,'<txt_ub 42>: <b><txt_ub 27></b>','[blur=%digopt1%]%text%[/blur]','<span style=\"filter:blur(add=true, direction=10, strength=%opt1%); width: 100%; display: block;\">%text%</span>',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,1,1,1,NULL,NULL,NULL,NULL);
insert  into `FIREBOOK_ubbc`(`code`,`id`,`beschr`,`syntax`,`umwandlung`,`javaeinf1`,`javaeinf2`,`javaeinf1wied`,`javaeinf2wied`,`dimensions`,`list_ersetz`,`kuerze_feld`,`aktionen_nein`,`effekt_einzeln`,`effekt_gewaehlt`,`gbhilfe_akt`,`active`,`active_comments`,`delete_pipe`,`delete_bracket`,`delete_nl`,`allowed_values`) values ('figbeffect-chcolor',55,'<txt_ub 42>: <b><txt_ub 28></b>','[chcolor]%text%[/chcolor]','<div STYLE=\"display:inline;\" id=\"c%count%\">%text%</div>&nbsp;','<SCRIPT LANGUAGE=\"JavaScript1.2\">%br%<!--%br%var wechsel=new Array()%br%var initwerte=new Array()%br%%br%var xcount = 0;%br%var chcolor = new Array(\"black\",\"red\",\"orangered\",\"darkred\",\"coral\",\"yellow\",\"deeppink\",\"green\",\"limegreen\",\"seagreen\",\"orange\",\"purple\",\"indigo\",\"skyblue\",\"blue\",\"navy\",\"beige\",\"sandybrown\",\"chocolate\",\"brown\",\"teal\",\"maroon\",\"silver\");%br%%br%function ch2color(){%br%lenw = wechsel.length;%br%for (i = 1; i <= lenw-1; i++) {%br%if (!initwerte[i]) { initwerte[i] = document.getElementById(\"c\"+i).innerHTML; }%br%document.getElementById(\"c\"+i).innerHTML =\'<font color=\"\' +chcolor[xcount]+ \'\">\'+initwerte[i]+\'</font>\';%br%}%br%(xcount < chcolor.length-1) ? xcount++ : xcount = 0;%br%}%br%//-->%br%</script>','<script language=\"JavaScript\">%br%<!--%br%wechsel[%allcount%] = 1;%br%setInterval(\"ch2color()\",500);%br%//-->%br%</script>',0,0,NULL,NULL,NULL,NULL,NULL,NULL,1,1,1,NULL,NULL,NULL,NULL);
insert  into `FIREBOOK_ubbc`(`code`,`id`,`beschr`,`syntax`,`umwandlung`,`javaeinf1`,`javaeinf2`,`javaeinf1wied`,`javaeinf2wied`,`dimensions`,`list_ersetz`,`kuerze_feld`,`aktionen_nein`,`effekt_einzeln`,`effekt_gewaehlt`,`gbhilfe_akt`,`active`,`active_comments`,`delete_pipe`,`delete_bracket`,`delete_nl`,`allowed_values`) values ('figbeffect-glow',56,'<txt_ub 42>: <b><txt_ub 29></b>','[glow=%opt1%,%digopt2%]%text%[/glow]','%text%','','',0,0,',','§','*',NULL,0,'glow',1,1,1,0,0,0,'black*red*orangered*darkred*coral*yellow*deeppink*green*limegreen*seagreen*orange*purple*indigo*skyblue*blue*navy*beige*sandybrown*chocolate*brown*teal*maroon*silver$1*2*3*4*5*6*7$');
insert  into `FIREBOOK_ubbc`(`code`,`id`,`beschr`,`syntax`,`umwandlung`,`javaeinf1`,`javaeinf2`,`javaeinf1wied`,`javaeinf2wied`,`dimensions`,`list_ersetz`,`kuerze_feld`,`aktionen_nein`,`effekt_einzeln`,`effekt_gewaehlt`,`gbhilfe_akt`,`active`,`active_comments`,`delete_pipe`,`delete_bracket`,`delete_nl`,`allowed_values`) values ('figbeffect-shadow',57,'<txt_ub 42>: <b><txt_ub 30></b>','[shadow=%opt1%,%opt2%]%text%[/shadow]','%text%',NULL,NULL,0,0,',','§','*',NULL,1,'shadow',1,1,1,0,0,0,'black*red*orangered*darkred*coral*yellow*deeppink*green*limegreen*seagreen*orange*purple*indigo*skyblue*blue*navy*beige*sandybrown*chocolate*brown*teal*maroon*silver$left*right*top*bottom*topright*bottomright*bottomleft*topleft$');
insert  into `FIREBOOK_ubbc`(`code`,`id`,`beschr`,`syntax`,`umwandlung`,`javaeinf1`,`javaeinf2`,`javaeinf1wied`,`javaeinf2wied`,`dimensions`,`list_ersetz`,`kuerze_feld`,`aktionen_nein`,`effekt_einzeln`,`effekt_gewaehlt`,`gbhilfe_akt`,`active`,`active_comments`,`delete_pipe`,`delete_bracket`,`delete_nl`,`allowed_values`) values ('figbeffect-shake',58,'<txt_ub 42>: <b><txt_ub 31></b>','[shake]%text%[/shake]','<div STYLE=\"display:inline;\" id=\"shaketick%count%\" STYLE=\"position: relative;\">%text%</div>&nbsp;','<SCRIPT LANGUAGE=\"JavaScript1.1\">%br%<!-- %br%var shakewechsel=new Array()%br%var y=0%br%var x=0%br%var count_shakes= 0%br%var count_mezzos= 0%br%var countsrand = \"\";%br%var shakerand = \"\";%br%var shaketicker=new Array()%br%%br%function initObjects() {%br%lenshake = shakewechsel.length;%br%%br%	for (i = 1; i <= lenshake-1; i++) {%br%		shaketicker[i] = document.getElementById(\"shaketick\"+i).style%br%	}%br%	shake()%br%}%br%%br%function getrandom() {%br%		var dif= Math.floor(Math.random()*2)%br%		return dif%br%}%br%function intermezzo() {%br%		count_shakes=0%br%		count_mezzos++;%br%		if (count_mezzos < 20) { %br%		shakerand = randInt(2000,10000);%br%		setTimeout(\'shake()\',shakerand) }%br%}%br%function randInt(min,max)%br%{%br%        var div = (max - min) + 1%br%        var randNum = Math.random()%br%        for (var i = 0; i <= div - 1; i++)%br%        {%br%                if (randNum >= i / div && randNum < (i+1) / div)%br%                        {return i + min}%br%        }%br%}%br%function shake() {%br%if (count_shakes == 0) {%br%countsrand = randInt(5,40);%br%}%br%%br%	if (count_shakes < countsrand) {%br%		%br%		for (i = 1; i <= lenshake-1; i++) {%br%			shaketicker[i].top=y+getrandom(); shaketicker[i].left=x+getrandom();%br%		}%br%		var timer = setTimeout(\'shake()\',20)%br%		count_shakes++;%br%	}		%br%	else {%br%	for (i = 1; i <= lenshake-1; i++) {%br%		shaketicker[i].top=y; shaketicker[i].left=x;%br%		}%br%		intermezzo()%br%		clearTimeout(timer)%br%	}%br%%br%}%br%-->%br%</SCRIPT>','<script language=\"JavaScript\">%br%<!--%br%shakewechsel[%allcount%] = 1;%br%initObjects();%br%//-->%br%</script>',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,1,1,NULL,NULL,NULL,NULL);
insert  into `FIREBOOK_ubbc`(`code`,`id`,`beschr`,`syntax`,`umwandlung`,`javaeinf1`,`javaeinf2`,`javaeinf1wied`,`javaeinf2wied`,`dimensions`,`list_ersetz`,`kuerze_feld`,`aktionen_nein`,`effekt_einzeln`,`effekt_gewaehlt`,`gbhilfe_akt`,`active`,`active_comments`,`delete_pipe`,`delete_bracket`,`delete_nl`,`allowed_values`) values ('figbeffect-wave',59,'<txt_ub 42>: <b><txt_ub 32></b>','[wave=%digopt1%,%digopt2%]%text%[/wave]','<span style=\"filter:wave(Add=0, Freq=%opt1%, LightStrength=0, Phase=0, Strength=%opt2%); width: 100%; display: block;\">%text%</span>',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,1,1,1,NULL,NULL,NULL,NULL);
insert  into `FIREBOOK_ubbc`(`code`,`id`,`beschr`,`syntax`,`umwandlung`,`javaeinf1`,`javaeinf2`,`javaeinf1wied`,`javaeinf2wied`,`dimensions`,`list_ersetz`,`kuerze_feld`,`aktionen_nein`,`effekt_einzeln`,`effekt_gewaehlt`,`gbhilfe_akt`,`active`,`active_comments`,`delete_pipe`,`delete_bracket`,`delete_nl`,`allowed_values`) values ('figbeffect-rainbow',60,'<txt_ub 42>: <b><txt_ub 33></b>','[rainbow=%digopt1%]%text%[/rainbow]','<script language=javascript>%br%<!--%br%function farbschrift%count%()%br%{%br%        for(var i=0 ; i<Buchstabe%count%.length; i++) { document.all[\"a%count%\"+i].style.color=farben%count%[i]; }%br%        for(var i=0 ; i<farben%count%.length; i++) { farben%count%[i-1]=farben%count%[i]; }%br%        farben%count%[farben%count%.length-1]=farben%count%[-1];%br%		setTimeout(\"farbschrift%count%()\",50);%br%}%br%function string2array%count%(text)%br%{%br%   Buchstabe%count% = new Array();%br%   while(farben%count%.length<text%count%.length) { farben%count% = farben%count%.concat(farben%count%);	}%br%   k=0;%br%   while(k<=text%count%.length) {	Buchstabe%count%[k] = text%count%.charAt(k); k++; } %br%   for(var i=0 ; i<Buchstabe%count%.length; i++)%br%   { document.write(\"<span id=\'a%count%\"+i+\"\' class=\'a%count%\"+i+\"\'>\"+Buchstabe%count%[i] + \"</span>\"); }%br%   farbschrift%count%();%br% } %br% text%count%= \"%text%\"; %br% farben%count% = farbbibliothek[%opt1%]; %br% string2array%count%(text%count%);%br%-->%br%</script>','<script language=javascript>%br%<!--%br%farbbibliothek = new Array();%br%farbbibliothek[1] = new Array(\"#FF0000\",\"#FF1100\",\"#FF2200\",\"#FF3300\",\"#FF4400\",\"#FF5500\",\"#FF6600\",\"#FF7700\",\"#FF8800\",\"#FF9900\",\"#FFaa00\",\"#FFbb00\",\"#FFcc00\",\"#FFdd00\",\"#FFee00\",\"#FFff00\",\"#FFee00\",\"#FFdd00\",\"#FFcc00\",\"#FFbb00\",\"#FFaa00\",\"#FF9900\",\"#FF8800\",\"#FF7700\",\"#FF6600\",\"#FF5500\",\"#FF4400\",\"#FF3300\",\"#FF2200\",\"#FF1100\");%br%farbbibliothek[2] = new Array(\"#00FF00\",\"#000000\",\"#00FF00\",\"#00FF00\");%br%farbbibliothek[3] = new Array(\"#00FF00\",\"#FF0000\",\"#00FF00\",\"#00FF00\",\"#00FF00\",\"#00FF00\",\"#00FF00\",\"#00FF00\",\"#00FF00\",\"#00FF00\",\"#00FF00\",\"#00FF00\",\"#00FF00\",\"#00FF00\",\"#00FF00\",\"#00FF00\",\"#00FF00\",\"#00FF00\",\"#00FF00\",\"#00FF00\",\"#00FF00\",\"#00FF00\",\"#00FF00\",\"#00FF00\",\"#00FF00\",\"#00FF00\",\"#00FF00\",\"#00FF00\",\"#00FF00\",\"#00FF00\",\"#00FF00\",\"#00FF00\",\"#00FF00\",\"#00FF00\",\"#00FF00\",\"#00FF00\");%br%farbbibliothek[4] = new Array(\"#FF0000\",\"#FF4000\",\"#FF8000\",\"#FFC000\",\"#FFFF00\",\"#C0FF00\",\"#80FF00\",\"#40FF00\",\"#00FF00\",\"#00FF40\",\"#00FF80\",\"#00FFC0\",\"#00FFFF\",\"#00C0FF\",\"#0080FF\",\"#0040FF\",\"#0000FF\",\"#4000FF\",\"#8000FF\",\"#C000FF\",\"#FF00FF\",\"#FF00C0\",\"#FF0080\",\"#FF0040\");%br%farbbibliothek[5] = new Array(\"#FF0000\",\"#EE0000\",\"#DD0000\",\"#CC0000\",\"#BB0000\",\"#AA0000\",\"#990000\",\"#880000\",\"#770000\",\"#660000\",\"#550000\",\"#440000\",\"#330000\",\"#220000\",\"#110000\",\"#000000\",\"#110000\",\"#220000\",\"#330000\",\"#440000\",\"#550000\",\"#660000\",\"#770000\",\"#880000\",\"#990000\",\"#AA0000\",\"#BB0000\",\"#CC0000\",\"#DD0000\",\"#EE0000\");%br%farbbibliothek[6] = new Array(\"#000000\",\"#000000\",\"#000000\",\"#FFFFFF\",\"#FFFFFF\",\"#FFFFFF\");%br%farbbibliothek[7] = new Array(\"#0000FF\",\"#FFFF00\");%br%-->%br%</script>',NULL,0,0,NULL,NULL,NULL,NULL,NULL,NULL,1,1,1,1,1,1,'1*2*3*4*5*6*7');
insert  into `FIREBOOK_ubbc`(`code`,`id`,`beschr`,`syntax`,`umwandlung`,`javaeinf1`,`javaeinf2`,`javaeinf1wied`,`javaeinf2wied`,`dimensions`,`list_ersetz`,`kuerze_feld`,`aktionen_nein`,`effekt_einzeln`,`effekt_gewaehlt`,`gbhilfe_akt`,`active`,`active_comments`,`delete_pipe`,`delete_bracket`,`delete_nl`,`allowed_values`) values ('figbeffect-waveani',61,'<txt_ub 42>: <b><txt_ub 34></b>','[waveani]%text%[/waveani]','<div STYLE=\"display:inline;\" ID=\"theKlaus%count%\"></div>%br%<script language=\"JavaScript\">%br%<!--%br%function sizeCycle%count%(text%count%,method,dis)%br%{%br%	output%count% =  \"\";%br%	for (i = 0; i < text%count%.length; i++)%br%	{%br%		size = parseInt(nextSize(i +dis,method,text%count%.length));%br%		output%count% += \"<font style=\'font-size: \"+ size +\"pt\'>\" +text%count%.substring(i,i+1)+ \"</font>\";%br%	}%br%	theKlaus%count%.innerHTML = output%count%;%br%}%br%%br%function doWave%count%(n) %br%{   %br%	theText%count% = \'%texta%\';%br%	sizeCycle%count%(theText%count%,1,n);%br%	if (n > theText%count%.length) {n=0}%br%	setTimeout(\"doWave%count%(\" + (n+1) + \")\", 150);%br%}%br%doWave%count%(0);%br%-->%br%</script>','<script language=\"JavaScript\">%br%<!--%br%function nextSize(i,incMethod,textLength)%br%{%br%if (incMethod == 1) return (72*Math.abs( Math.sin(i/(textLength/3.14))) );%br%if (incMethod == 2) return (255*Math.abs( Math.cos(i/(textLength/3.14))));%br%}%br%-->%br%</script>',NULL,NULL,NULL,',','§','texta*20',NULL,0,NULL,0,0,0,1,1,1,NULL);
insert  into `FIREBOOK_ubbc`(`code`,`id`,`beschr`,`syntax`,`umwandlung`,`javaeinf1`,`javaeinf2`,`javaeinf1wied`,`javaeinf2wied`,`dimensions`,`list_ersetz`,`kuerze_feld`,`aktionen_nein`,`effekt_einzeln`,`effekt_gewaehlt`,`gbhilfe_akt`,`active`,`active_comments`,`delete_pipe`,`delete_bracket`,`delete_nl`,`allowed_values`) values ('figbeffect-terminal',62,'<txt_ub 42>: <b><txt_ub 35></b>','[terminal]%text%[/terminal]','<div STYLE=\"display:inline;\" id=\"dis%count%\"></div>%br%<script language=javascript>%br%<!--%br%var symarray%count%=new Array();%br%function newstart%count%() {%br%for (var i=0; i<text[%count%].length; i++){%br%symarray%count%[i]=\" \";%br%}%br%scroll%count%();%br%}%br%function scroll%count%(){%br%for (var i=0; i<text[%count%].length; i++){%br%if (symarray%count%[i]!=text[%count%].substring(i,i+1)) {%br%for (var x=0; x<70; x++) if (symarray%count%[i]==symtype[x]) {symarray%count%[i]=symtype[x+1]; break}%br%}%br%}%br%outsym%count%=\"\";%br%for (var i=0; i<text[%count%].length; i++) outsym%count%+=symarray%count%[i];%br%dis%count%.innerHTML=outsym%count%;%br%if (outsym%count% != text[%count%]) {%br%setTimeout(\'scroll%count%()\',50);%br%}%br%}%br%text[%count%]=\"%text%\";%br%newstart%count%();%br%-->%br%</script>','<script language=javascript>%br%<!--%br%var text=new Array();%br%var symtype=new Array(\" \",\"A\",\"a\",\"B\",\"b\",\"C\",\"c\",\"D\",\"d\",\"E\",\"e\",\"F\",\"f\",\"G\",\"g\",\"H\",\"h\",\"I\",\"i\",\"J\",\"j\",\"K\",\"k\",\"L\",\"l\",\"M\",\"m\",\"N\",\"n\",\"O\",\"o\",\"P\",\"p\",\"Q\",\"q\",\"R\",\"r\",\"S\",\"s\",\"T\",\"t\",\"U\",\"u\",\"V\",\"v\",\"W\",\"w\",\"X\",\"x\",\"Y\",\"y\",\"Z\",\"z\",\"0\",\"1\",\"2\",\"3\",\"4\",\"5\",\"6\",\"7\",\"8\",\"9\",\".\",\",\",\"&\",\"!\",\"?\",\"-\",\"_\",\"ä\",\"ü\",\"ö\");%br%-->%br%</script>',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,1,1,1,1,1,NULL);
insert  into `FIREBOOK_ubbc`(`code`,`id`,`beschr`,`syntax`,`umwandlung`,`javaeinf1`,`javaeinf2`,`javaeinf1wied`,`javaeinf2wied`,`dimensions`,`list_ersetz`,`kuerze_feld`,`aktionen_nein`,`effekt_einzeln`,`effekt_gewaehlt`,`gbhilfe_akt`,`active`,`active_comments`,`delete_pipe`,`delete_bracket`,`delete_nl`,`allowed_values`) values ('figbeffect-move',63,'<txt_ub 42>: <b><txt_ub 36></b>','[move=%opt1%,%opt2%]%text%[/move]','<marquee bgcolor=\"%opt1%\" width=\"50%\" scrolldelay=\"20\"><font color=\"%opt2%\">%text%</font></marquee>','','',0,0,',','§','*','',0,'',0,1,1,0,1,0,'$$');
insert  into `FIREBOOK_ubbc`(`code`,`id`,`beschr`,`syntax`,`umwandlung`,`javaeinf1`,`javaeinf2`,`javaeinf1wied`,`javaeinf2wied`,`dimensions`,`list_ersetz`,`kuerze_feld`,`aktionen_nein`,`effekt_einzeln`,`effekt_gewaehlt`,`gbhilfe_akt`,`active`,`active_comments`,`delete_pipe`,`delete_bracket`,`delete_nl`,`allowed_values`) values ('figbeffect-move',67,'<txt_ub 42>: <b><txt_ub 36></b>','[move]%text[/move]','<marquee>%text%</marquee>',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,1,1,NULL,NULL,NULL,NULL);
insert  into `FIREBOOK_ubbc`(`code`,`id`,`beschr`,`syntax`,`umwandlung`,`javaeinf1`,`javaeinf2`,`javaeinf1wied`,`javaeinf2wied`,`dimensions`,`list_ersetz`,`kuerze_feld`,`aktionen_nein`,`effekt_einzeln`,`effekt_gewaehlt`,`gbhilfe_akt`,`active`,`active_comments`,`delete_pipe`,`delete_bracket`,`delete_nl`,`allowed_values`) values ('figbpopupsmilies',68,'mod_popsm addon','[smiley=%text%]','<img border=0 src=\"<FIREBOOK BILDERURLSK_NOADMIN>/popsmilies/%text%\">','','',0,0,NULL,NULL,NULL,NULL,NULL,NULL,0,1,1,NULL,NULL,NULL,NULL);
insert  into `FIREBOOK_ubbc`(`code`,`id`,`beschr`,`syntax`,`umwandlung`,`javaeinf1`,`javaeinf2`,`javaeinf1wied`,`javaeinf2wied`,`dimensions`,`list_ersetz`,`kuerze_feld`,`aktionen_nein`,`effekt_einzeln`,`effekt_gewaehlt`,`gbhilfe_akt`,`active`,`active_comments`,`delete_pipe`,`delete_bracket`,`delete_nl`,`allowed_values`) values ('figbeffect-blink',64,'<txt_ub 42>: <b><txt_ub 37></b>','[blink]%text%[/blink]','<blink><div STYLE=\"display:inline;\" id=\"blink%count%\">%text%</div>&nbsp;</blink>','<script language=\"JavaScript\">%br%<!--%br%var blink;%br%var blinkies=new Array()%br%%br%function blink1 () {%br%if (blinky1 == \"blink\") { blinky1 = \"noblink\"%br%	for (i = 0; i < len-1; i++) {%br%	i2 = i +1;%br%	document.getElementById(\"blink\"+i2).style.visibility = \"hidden\";%br%	}%br%%br%}%br%else { %br%	for (i = 0; i < len-1; i++) {%br%	i2 = i +1;%br%	document.getElementById(\"blink\"+i2).style.visibility = \"visible\";%br%	}%br%blinky1 = \"blink\" %br%}%br% setTimeout(\"blink1()\",500);%br%}%br%%br%function startblink1 () {%br%len = blinkies.length;%br%blinky1 = \"blink\";%br%blink1();%br%}%br%//-->%br%</script>','<script language=\"JavaScript\">%br%<!--%br%blinkies[%allcount%] = 1;%br%startblink1();%br%//-->%br%</script>',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,1,1,1,1,NULL,NULL);
insert  into `FIREBOOK_ubbc`(`code`,`id`,`beschr`,`syntax`,`umwandlung`,`javaeinf1`,`javaeinf2`,`javaeinf1wied`,`javaeinf2wied`,`dimensions`,`list_ersetz`,`kuerze_feld`,`aktionen_nein`,`effekt_einzeln`,`effekt_gewaehlt`,`gbhilfe_akt`,`active`,`active_comments`,`delete_pipe`,`delete_bracket`,`delete_nl`,`allowed_values`) values ('figbeditnote',65,'<txt_ub 38>','[edit %opt1%]%digopt2%[/edit]','<br><font size=1><div align=right>« <txt_ub 43> %datopt2% <txt_ub 44> %nameopt1% »</div></font>',NULL,NULL,0,0,NULL,NULL,NULL,NULL,NULL,NULL,0,1,1,NULL,NULL,NULL,NULL);
insert  into `FIREBOOK_ubbc`(`code`,`id`,`beschr`,`syntax`,`umwandlung`,`javaeinf1`,`javaeinf2`,`javaeinf1wied`,`javaeinf2wied`,`dimensions`,`list_ersetz`,`kuerze_feld`,`aktionen_nein`,`effekt_einzeln`,`effekt_gewaehlt`,`gbhilfe_akt`,`active`,`active_comments`,`delete_pipe`,`delete_bracket`,`delete_nl`,`allowed_values`) values ('videosyoutube',66,'<txt_ub 108>','[youtube]%optrow%[/youtube]','<object width=\"425\" height=\"344\"><param name=\"movie\" value=\"%optrow%\"></param><param name=\"allowFullScreen\" value=\"true\"></param><param name=\"allowscriptaccess\" value=\"always\"></param><embed src=\"%optrow%\" type=\"application/x-shockwave-flash\" allowscriptaccess=\"always\" allowfullscreen=\"true\" width=\"425\" height=\"344\"></embed></object>','','',0,0,',','watch?v=§v/','*','',0,'',0,1,1,0,0,0,'');
insert  into `FIREBOOK_ubbc`(`code`,`id`,`beschr`,`syntax`,`umwandlung`,`javaeinf1`,`javaeinf2`,`javaeinf1wied`,`javaeinf2wied`,`dimensions`,`list_ersetz`,`kuerze_feld`,`aktionen_nein`,`effekt_einzeln`,`effekt_gewaehlt`,`gbhilfe_akt`,`active`,`active_comments`,`delete_pipe`,`delete_bracket`,`delete_nl`,`allowed_values`) values ('videosmyvideo',69,'<txt_ub 111>','[myvideo]%optrow%[/myvideo]','<object style=\'width:425px;height:367px;\' width=\'425\' height=\'367\'><param name=\'movie\' value=\'%optrow%\'></param><param name=\'AllowFullscreen\' value=\'true\'></param><param name=\'AllowScriptAccess\' value=\'always\'></param><embed src=\'%optrow%\' width=\'425\' height=\'367\' type=\'application/x-shockwave-flash\' allowscriptaccess=\'always\' allowfullscreen=\'true\'></embed></object>','','',0,0,',','watch§movie','*','',0,'',0,1,1,0,0,0,'');
insert  into `FIREBOOK_ubbc`(`code`,`id`,`beschr`,`syntax`,`umwandlung`,`javaeinf1`,`javaeinf2`,`javaeinf1wied`,`javaeinf2wied`,`dimensions`,`list_ersetz`,`kuerze_feld`,`aktionen_nein`,`effekt_einzeln`,`effekt_gewaehlt`,`gbhilfe_akt`,`active`,`active_comments`,`delete_pipe`,`delete_bracket`,`delete_nl`,`allowed_values`) values ('videosdailymotion',70,'<txt_ub 118>','[dailymotion]%optrow%[/dailymotion]','<object width=\"425\" height=\"344\"><param name=\"movie\" value=\"http://www.dailymotion.com/swf/x9osih_thriller-music-video_shortfilms&related=0\"></param><param name=\"allowFullScreen\" value=\"true\"></param><param name=\"allowScriptAccess\" value=\"always\"></param><embed src=\"http://www.dailymotion.com/swf/x9osih_thriller-music-video_shortfilms&related=0\" type=\"application/x-shockwave-flash\" width=\"425\" height=\"344\" allowFullScreen=\"true\" allowScriptAccess=\"always\"></embed></object>','','',0,0,',','video§swf','*','',0,'',0,1,1,0,0,0,'');
insert  into `FIREBOOK_ubbc`(`code`,`id`,`beschr`,`syntax`,`umwandlung`,`javaeinf1`,`javaeinf2`,`javaeinf1wied`,`javaeinf2wied`,`dimensions`,`list_ersetz`,`kuerze_feld`,`aktionen_nein`,`effekt_einzeln`,`effekt_gewaehlt`,`gbhilfe_akt`,`active`,`active_comments`,`delete_pipe`,`delete_bracket`,`delete_nl`,`allowed_values`) values ('videosclipfish',71,'<txt_ub 113>','[clipfish]http://www.clipfish.de/video/%opt1%/%opt2%/[/clipfish]','<object classid=\'clsid:d27cdb6e-ae6d-11cf-96b8-444553540000\' codebase=\'http://fpdownload.macromedia.com/pub/shockwave/cabs/flash/swflash.cab#version=8,0,0,0\' width=\'425\' height=\'344\' id=\'player\' align=\'middle\'><param name=\'allowScriptAccess\' value=\'always\' /><param name=\'movie\' value=\'http://www.clipfish.de/videoplayer.swf?as=0&vid=14452&r=1\' /><param name=\'quality\' value=\'high\' /><param name=\'bgcolor\' value=\'#FFFFFF\' /><param name=\'allowFullScreen\' value=\'true\' /><embed src=\'http://www.clipfish.de/videoplayer.swf?as=0&vid=14452&r=1\' quality=\'high\' bgcolor=\'#FFFFFF\' width=\'425\' height=\'344\' name=\'player\' align=\'middle\' allowFullScreen=\'true\' allowScriptAccess=\'always\' type=\'application/x-shockwave-flash\' pluginspage=\'http://www.macromedia.com/go/getflashplayer\'></embed></object>','','',0,0,NULL,NULL,NULL,NULL,NULL,NULL,0,1,1,NULL,NULL,NULL,NULL);
insert  into `FIREBOOK_ubbc`(`code`,`id`,`beschr`,`syntax`,`umwandlung`,`javaeinf1`,`javaeinf2`,`javaeinf1wied`,`javaeinf2wied`,`dimensions`,`list_ersetz`,`kuerze_feld`,`aktionen_nein`,`effekt_einzeln`,`effekt_gewaehlt`,`gbhilfe_akt`,`active`,`active_comments`,`delete_pipe`,`delete_bracket`,`delete_nl`,`allowed_values`) values ('videosbreakcom',72,'<txt_ub 119>','[breakcom]%text%[/breakcom] ','<object width=\"425\" height=\"344\"><param name=\"movie\" value=\"http://embed.break.com/%text%\"></param><param name=\"allowScriptAccess\" value=\"always\"></param><embed src=\"http://embed.break.com/%text%\" type=\"application/x-shockwave-flash\" allowScriptAccess=\"always\" width=\"425\" height=\"344\"></embed></object>','','',0,0,NULL,NULL,NULL,NULL,NULL,NULL,0,1,1,NULL,NULL,NULL,NULL);
insert  into `FIREBOOK_ubbc`(`code`,`id`,`beschr`,`syntax`,`umwandlung`,`javaeinf1`,`javaeinf2`,`javaeinf1wied`,`javaeinf2wied`,`dimensions`,`list_ersetz`,`kuerze_feld`,`aktionen_nein`,`effekt_einzeln`,`effekt_gewaehlt`,`gbhilfe_akt`,`active`,`active_comments`,`delete_pipe`,`delete_bracket`,`delete_nl`,`allowed_values`) values ('videosveohcom',73,'<txt_ub 115>','[veohcom]%text%[/veohcom]','<object width=\"425\" height=\"344\" id=\"veohFlashPlayer\" name=\"veohFlashPlayer\"><param name=\"movie\" value=\"http://www.veoh.com/static/swf/webplayer/WebPlayer.swf?version=AFrontend.5.4.2.20.1002&permalinkId=%text%&player=videodetailsembedded&videoAutoPlay=0&id=anonymous\"></param><param name=\"allowFullScreen\" value=\"true\"></param><param name=\"allowscriptaccess\" value=\"always\"></param><embed src=\"http://www.veoh.com/static/swf/webplayer/WebPlayer.swf?version=AFrontend.5.4.2.20.1002&permalinkId=%text%&player=videodetailsembedded&videoAutoPlay=0&id=anonymous\" type=\"application/x-shockwave-flash\" allowscriptaccess=\"always\" allowfullscreen=\"true\" width=\"425\" height=\"344\" id=\"veohFlashPlayerEmbed\" name=\"veohFlashPlayerEmbed\"></embed></object>','','',0,0,NULL,NULL,NULL,NULL,NULL,NULL,0,1,1,NULL,NULL,NULL,NULL);
insert  into `FIREBOOK_ubbc`(`code`,`id`,`beschr`,`syntax`,`umwandlung`,`javaeinf1`,`javaeinf2`,`javaeinf1wied`,`javaeinf2wied`,`dimensions`,`list_ersetz`,`kuerze_feld`,`aktionen_nein`,`effekt_einzeln`,`effekt_gewaehlt`,`gbhilfe_akt`,`active`,`active_comments`,`delete_pipe`,`delete_bracket`,`delete_nl`,`allowed_values`) values ('videosgoogle',74,'<txt_ub 114>','[googlevideos]%optrow%[/googlevideos] ','<embed id=\"VideoPlayback\" src=\"%optrow%\" style=\"width:425px;height:344px\" allowFullScreen=\"true\" allowScriptAccess=\"always\" type=\"application/x-shockwave-flash\"> </embed>','','',0,0,',','videoplay§googleplayer.swf','*','',0,'',0,1,1,0,0,0,'');
insert  into `FIREBOOK_ubbc`(`code`,`id`,`beschr`,`syntax`,`umwandlung`,`javaeinf1`,`javaeinf2`,`javaeinf1wied`,`javaeinf2wied`,`dimensions`,`list_ersetz`,`kuerze_feld`,`aktionen_nein`,`effekt_einzeln`,`effekt_gewaehlt`,`gbhilfe_akt`,`active`,`active_comments`,`delete_pipe`,`delete_bracket`,`delete_nl`,`allowed_values`) values ('videosmetacafe',75,'<txt_ub 116>','[metacafe]http://www.metacafe.com/watch/%opt1%/%opt2%/[/metacafe] ','<embed src=\"http://www.metacafe.com/fplayer/%opt1%/%opt2%.swf\" width=\"425\" height=\"344\" wmode=\"transparent\" allowFullScreen=\"true\" allowScriptAccess=\"always\" name=\"Metacafe_7203\" pluginspage=\"http://www.macromedia.com/go/getflashplayer\" type=\"application/x-shockwave-flash\"> </embed>',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,1,1,NULL,NULL,NULL,NULL);

/*Table structure for table `FIREBOOK_ubbcinput` */

DROP TABLE IF EXISTS `FIREBOOK_ubbcinput`;

CREATE TABLE `FIREBOOK_ubbcinput` (
  `code` varchar(20) default NULL,
  `id` smallint(6) NOT NULL,
  `beschr` varchar(255) default NULL,
  `syntax` varchar(255) default NULL,
  `type` varchar(50) default NULL,
  `graphic` varchar(50) default NULL,
  `modus` varchar(10) default NULL,
  `styles` text,
  `options` text,
  `questions` text,
  `optrow_char` varchar(30) default NULL,
  `active` tinyint(1) default NULL,
  `active_comments` tinyint(1) default NULL,
  `questions_sub` text,
  `options_sub` text,
  `syntaxes_sub` text,
  `actives_sub` text,
  `show_link` tinyint(1) default NULL,
  `proove_url` tinyint(1) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM;

/*Data for the table `FIREBOOK_ubbcinput` */

insert  into `FIREBOOK_ubbcinput`(`code`,`id`,`beschr`,`syntax`,`type`,`graphic`,`modus`,`styles`,`options`,`questions`,`optrow_char`,`active`,`active_comments`,`questions_sub`,`options_sub`,`syntaxes_sub`,`actives_sub`,`show_link`,`proove_url`) values ('figbbold',1,'<txt_ub 4>','[b]%text%[/b]','button','bold.gif','seltext',NULL,NULL,NULL,'',1,1,NULL,NULL,NULL,'0',0,0);
insert  into `FIREBOOK_ubbcinput`(`code`,`id`,`beschr`,`syntax`,`type`,`graphic`,`modus`,`styles`,`options`,`questions`,`optrow_char`,`active`,`active_comments`,`questions_sub`,`options_sub`,`syntaxes_sub`,`actives_sub`,`show_link`,`proove_url`) values ('figbitalic',2,'<txt_ub 5>','[i]%text%[/i]','button','italicize.gif','seltext',NULL,NULL,NULL,NULL,1,1,NULL,NULL,NULL,'0',NULL,NULL);
insert  into `FIREBOOK_ubbcinput`(`code`,`id`,`beschr`,`syntax`,`type`,`graphic`,`modus`,`styles`,`options`,`questions`,`optrow_char`,`active`,`active_comments`,`questions_sub`,`options_sub`,`syntaxes_sub`,`actives_sub`,`show_link`,`proove_url`) values ('figbunderline',3,'<txt_ub 6>','[u]%text%[/u]','button','underline.gif','seltext',NULL,NULL,NULL,NULL,1,1,NULL,NULL,NULL,'0',NULL,NULL);
insert  into `FIREBOOK_ubbcinput`(`code`,`id`,`beschr`,`syntax`,`type`,`graphic`,`modus`,`styles`,`options`,`questions`,`optrow_char`,`active`,`active_comments`,`questions_sub`,`options_sub`,`syntaxes_sub`,`actives_sub`,`show_link`,`proove_url`) values ('figboverline',4,'<txt_ub 8>','[o]%text%[/o]','button','overline.gif','seltext',NULL,NULL,NULL,NULL,0,0,NULL,NULL,NULL,'0',NULL,NULL);
insert  into `FIREBOOK_ubbcinput`(`code`,`id`,`beschr`,`syntax`,`type`,`graphic`,`modus`,`styles`,`options`,`questions`,`optrow_char`,`active`,`active_comments`,`questions_sub`,`options_sub`,`syntaxes_sub`,`actives_sub`,`show_link`,`proove_url`) values ('figbstrike',5,'<txt_ub 7>','[s]%text%[/s]','button','strike.gif','seltext',NULL,NULL,NULL,NULL,1,1,NULL,NULL,NULL,'0',NULL,NULL);
insert  into `FIREBOOK_ubbcinput`(`code`,`id`,`beschr`,`syntax`,`type`,`graphic`,`modus`,`styles`,`options`,`questions`,`optrow_char`,`active`,`active_comments`,`questions_sub`,`options_sub`,`syntaxes_sub`,`actives_sub`,`show_link`,`proove_url`) values ('figbleft',6,'<txt_ub 9>','[left]%text%[/left]','button','left.gif','seltext',NULL,NULL,NULL,NULL,1,1,NULL,NULL,NULL,'0',NULL,NULL);
insert  into `FIREBOOK_ubbcinput`(`code`,`id`,`beschr`,`syntax`,`type`,`graphic`,`modus`,`styles`,`options`,`questions`,`optrow_char`,`active`,`active_comments`,`questions_sub`,`options_sub`,`syntaxes_sub`,`actives_sub`,`show_link`,`proove_url`) values ('figbcenter',7,'<txt_ub 10>','[center]%text%[/center]','button','center.gif','seltext',NULL,NULL,NULL,NULL,1,1,NULL,NULL,NULL,'0',NULL,NULL);
insert  into `FIREBOOK_ubbcinput`(`code`,`id`,`beschr`,`syntax`,`type`,`graphic`,`modus`,`styles`,`options`,`questions`,`optrow_char`,`active`,`active_comments`,`questions_sub`,`options_sub`,`syntaxes_sub`,`actives_sub`,`show_link`,`proove_url`) values ('figbright',8,'<txt_ub 11>','[right]%text%[/right]','button','right.gif','seltext',NULL,NULL,NULL,NULL,1,1,NULL,NULL,NULL,'0',NULL,NULL);
insert  into `FIREBOOK_ubbcinput`(`code`,`id`,`beschr`,`syntax`,`type`,`graphic`,`modus`,`styles`,`options`,`questions`,`optrow_char`,`active`,`active_comments`,`questions_sub`,`options_sub`,`syntaxes_sub`,`actives_sub`,`show_link`,`proove_url`) values ('figbjustify',9,'<txt_ub 12>','[justify]%text%[/justify]','button','justify.gif','seltext',NULL,NULL,NULL,NULL,1,1,NULL,NULL,NULL,'0',NULL,NULL);
insert  into `FIREBOOK_ubbcinput`(`code`,`id`,`beschr`,`syntax`,`type`,`graphic`,`modus`,`styles`,`options`,`questions`,`optrow_char`,`active`,`active_comments`,`questions_sub`,`options_sub`,`syntaxes_sub`,`actives_sub`,`show_link`,`proove_url`) values ('figbpre',10,'<txt_ub 13>','[pre]%text%[/pre]','button','pre.gif','seltext',NULL,NULL,NULL,NULL,0,0,NULL,NULL,NULL,'0',NULL,NULL);
insert  into `FIREBOOK_ubbcinput`(`code`,`id`,`beschr`,`syntax`,`type`,`graphic`,`modus`,`styles`,`options`,`questions`,`optrow_char`,`active`,`active_comments`,`questions_sub`,`options_sub`,`syntaxes_sub`,`actives_sub`,`show_link`,`proove_url`) values ('figbsup',11,'<txt_ub 14>','[sup]%text%[/sup]','button','sup.gif','seltext',NULL,NULL,NULL,NULL,1,1,NULL,NULL,NULL,'0',NULL,NULL);
insert  into `FIREBOOK_ubbcinput`(`code`,`id`,`beschr`,`syntax`,`type`,`graphic`,`modus`,`styles`,`options`,`questions`,`optrow_char`,`active`,`active_comments`,`questions_sub`,`options_sub`,`syntaxes_sub`,`actives_sub`,`show_link`,`proove_url`) values ('figbsub',12,'<txt_ub 15>','[sub]%text%[/sub]','button','sub.gif','seltext',NULL,NULL,NULL,NULL,1,1,NULL,NULL,NULL,'0',NULL,NULL);
insert  into `FIREBOOK_ubbcinput`(`code`,`id`,`beschr`,`syntax`,`type`,`graphic`,`modus`,`styles`,`options`,`questions`,`optrow_char`,`active`,`active_comments`,`questions_sub`,`options_sub`,`syntaxes_sub`,`actives_sub`,`show_link`,`proove_url`) values ('figbhr',13,'<txt_ub 16>','[hr=%opt1%,%opt2%]','button','hr.gif','popup',NULL,'red§<txt_ub 45>*blue§<txt_ub 46>*green§<txt_ub 47>*black§<txt_ub 48>$dotted§<txt_ub 49>*solid§<txt_ub 50>','<b><txt_ub 72></b>*opt1$<b><txt_ub 52></b>*opt2','',1,1,NULL,NULL,NULL,'0',0,0);
insert  into `FIREBOOK_ubbcinput`(`code`,`id`,`beschr`,`syntax`,`type`,`graphic`,`modus`,`styles`,`options`,`questions`,`optrow_char`,`active`,`active_comments`,`questions_sub`,`options_sub`,`syntaxes_sub`,`actives_sub`,`show_link`,`proove_url`) values ('figburl',14,'<txt_ub 17>','[url=%text%]%opt1%[/url]','button','url.gif','popup',NULL,NULL,'<b><txt_ub 53></b>*<txt_ub 54>',NULL,1,1,NULL,NULL,NULL,'0',NULL,1);
insert  into `FIREBOOK_ubbcinput`(`code`,`id`,`beschr`,`syntax`,`type`,`graphic`,`modus`,`styles`,`options`,`questions`,`optrow_char`,`active`,`active_comments`,`questions_sub`,`options_sub`,`syntaxes_sub`,`actives_sub`,`show_link`,`proove_url`) values ('figbemail',15,'<txt_ub 19>','[email=%text%]%opt1%[/email]','button','email2.gif','popup','','','<b><txt_ub 55></b>*<txt_ub 54>$','',1,1,NULL,NULL,NULL,'0',0,0);
insert  into `FIREBOOK_ubbcinput`(`code`,`id`,`beschr`,`syntax`,`type`,`graphic`,`modus`,`styles`,`options`,`questions`,`optrow_char`,`active`,`active_comments`,`questions_sub`,`options_sub`,`syntaxes_sub`,`actives_sub`,`show_link`,`proove_url`) values ('figbimg',16,'<txt_ub 18>','[img]%text%[/img]','button','img.gif','seltext',NULL,NULL,NULL,NULL,1,1,NULL,NULL,NULL,'0',NULL,1);
insert  into `FIREBOOK_ubbcinput`(`code`,`id`,`beschr`,`syntax`,`type`,`graphic`,`modus`,`styles`,`options`,`questions`,`optrow_char`,`active`,`active_comments`,`questions_sub`,`options_sub`,`syntaxes_sub`,`actives_sub`,`show_link`,`proove_url`) values ('figbvideos',17,'<txt_ub 110>','','buttondropdown','video.gif','popup','font-weight: bold; background-image: url(<FIREBOOK BILDERURLSK>/allgemein/youtube.gif); background-repeat: no-repeat; padding-left: 19px; margin-left: 1px; margin: 1px; display: block;*font-weight: bold; background-image: url(<FIREBOOK BILDERURLSK>/allgemein/metacafe.gif); background-repeat: no-repeat; padding-left: 19px; margin-left: 1px; margin: 1px; display: block;*font-weight: bold; margin: 1px; background-image: url(<FIREBOOK BILDERURLSK>/allgemein/dailymotion.gif); background-repeat: no-repeat; padding-left: 19px; display: block;*font-weight: bold; margin: 1px; background-image: url(<FIREBOOK BILDERURLSK>/allgemein/myvideo.gif); background-repeat: no-repeat; padding-left: 19px; display: block;*font-weight: bold; margin: 1px; background-image: url(<FIREBOOK BILDERURLSK>/allgemein/clipfish.gif); background-repeat: no-repeat; padding-left: 19px; display: block;*font-weight: bold; margin: 1px; background-image: url(<FIREBOOK BILDERURLSK>/allgemein/breakcom.gif); background-repeat: no-repeat; padding-left: 19px; display: block;*font-weight: bold; margin: 1px; background-image: url(<FIREBOOK BILDERURLSK>/allgemein/veoh.gif); background-repeat: no-repeat; padding-left: 19px; display: block;*font-weight: bold; margin: 1px; background-image: url(<FIREBOOK BILDERURLSK>/allgemein/googlevideos.gif); background-repeat: no-repeat; padding-left: 19px; display: block;*font-weight: bold; margin: 1px; background-image: url(<FIREBOOK BILDERURLSK>/allgemein/flash.gif); background-repeat: no-repeat; padding-left: 19px; display: block;','youtube§<txt_ub 108>*metacafe§<txt_ub 116>*dailymotion§<txt_ub 118>*myvideo§<txt_ub 111>*clipfish§<txt_ub 113>*breakcom§<txt_ub 119>*veoh§<txt_ub 115>*googlevideos§<txt_ub 114>*flash§<txt_ub 20>','*$','',1,1,'<txt_ub 109>§http://*$<txt_ub 123>§http://*$<txt_ub 117>§http://*$<txt_ub 112>§http://*$<txt_ub 120>§http://*$<txt_ub 124>§507504*$<txt_ub 122>§e41615*$<txt_ub 121>§http://*$<b><txt_ub 56></b>§200*<b><txt_ub 57></b>§200*','µµµµµµµµ$','[youtube]%opt1%[/youtube]µ[metacafe]%opt1%[/metacafe]µ[dailymotion]%opt1%[/dailymotion]µ[myvideo]%opt1%[/myvideo]µ[clipfish]%opt1%[/clipfish]µ[breakcom]%opt1%[/breakcom]µ[veohcom]%opt1%[/veohcom]µ[googlevideos]%opt1%[/googlevideos]µ[flash=%opt1%,%opt2%]%text%[/flash]','1*1*1*1*1*1*1*1*1',0,0);
insert  into `FIREBOOK_ubbcinput`(`code`,`id`,`beschr`,`syntax`,`type`,`graphic`,`modus`,`styles`,`options`,`questions`,`optrow_char`,`active`,`active_comments`,`questions_sub`,`options_sub`,`syntaxes_sub`,`actives_sub`,`show_link`,`proove_url`) values ('figbquote',18,'<txt_ub 21>','[quote]%text%[/quote]','button','quote2.gif','seltext',NULL,NULL,NULL,NULL,1,1,NULL,NULL,NULL,'0',NULL,NULL);
insert  into `FIREBOOK_ubbcinput`(`code`,`id`,`beschr`,`syntax`,`type`,`graphic`,`modus`,`styles`,`options`,`questions`,`optrow_char`,`active`,`active_comments`,`questions_sub`,`options_sub`,`syntaxes_sub`,`actives_sub`,`show_link`,`proove_url`) values ('figblist',19,'<txt_ub 22>','[list=u]%optrow%[/list]','button','list.gif','optrow',NULL,NULL,'§<txt_ub 58> %optrowcount%.<txt_ub 59>','[*]',1,1,NULL,NULL,NULL,'0',NULL,NULL);
insert  into `FIREBOOK_ubbcinput`(`code`,`id`,`beschr`,`syntax`,`type`,`graphic`,`modus`,`styles`,`options`,`questions`,`optrow_char`,`active`,`active_comments`,`questions_sub`,`options_sub`,`syntaxes_sub`,`actives_sub`,`show_link`,`proove_url`) values ('figbfont',20,'<txt_ub 23>','[font=%opt1%]%text%[/font]','buttondropdown','downm.gif','seltext','display: inline; padding: 0px; margin: 0px 0px 0px 2px; font-family:arial;*display: inline; padding: 0px; margin: 0px 0px 0px 2px; font-family:arial black;*display: inline; padding: 0px; margin: 0px 0px 0px 2px; font-family:comic sans ms;*display: inline; padding: 0px; margin: 0px 0px 0px 2px; font-family:courier;*display: inline; padding: 0px; margin: 0px 0px 0px 2px; font-family:courier new;*display: inline; padding: 0px; margin: 0px 0px 0px 2px; font-family:impact;*display: inline; padding: 0px; margin: 0px 0px 0px 2px; font-family:tahoma;*display: inline; padding: 0px; margin: 0px 0px 0px 2px; font-family:times new roman;*display: inline; padding: 0px; margin: 0px 0px 0px 2px; font-family:verdana;','arial§Arial*arial black§Arial Black*comic sans ms§Comic Sans*courier§Courier*courier new§Courier New*impact§Impact*tahoma§Tahoma*times new roman§Times New Roman*verdana§Verdana','*$',NULL,1,1,NULL,NULL,NULL,'0',1,0);
insert  into `FIREBOOK_ubbcinput`(`code`,`id`,`beschr`,`syntax`,`type`,`graphic`,`modus`,`styles`,`options`,`questions`,`optrow_char`,`active`,`active_comments`,`questions_sub`,`options_sub`,`syntaxes_sub`,`actives_sub`,`show_link`,`proove_url`) values ('figbcolor',21,'<txt_ub 24>','[color=%opt1%]%text%[/color]','buttondropdown','downm.gif','colorbox','','','*$','',1,1,NULL,NULL,NULL,'0',1,0);
insert  into `FIREBOOK_ubbcinput`(`code`,`id`,`beschr`,`syntax`,`type`,`graphic`,`modus`,`styles`,`options`,`questions`,`optrow_char`,`active`,`active_comments`,`questions_sub`,`options_sub`,`syntaxes_sub`,`actives_sub`,`show_link`,`proove_url`) values ('figbsize',22,'<txt_ub 25>','[size=%opt1%]%text%[/size]','buttondropdown','downm.gif','seltext','display: inline; padding: 0px; margin: 0px 0px 0px 2px; font-size:10px;*display: inline; padding: 0px; margin: 0px 0px 0px 2px; font-size:13px;*display: inline; padding: 0px; margin: 0px 0px 0px 2px; font-size:16px;*display: inline; padding: 0px; margin: 0px 0px 0px 2px; font-size:22px;*display: inline; padding: 0px; margin: 0px 0px 0px 2px; font-size:30px;','1§<txt_ub 60>*2§<txt_ub 61>*3§<txt_ub 62>*5§<txt_ub 63>*6§<txt_ub 64>','*$',NULL,1,1,NULL,NULL,NULL,'0',1,0);
insert  into `FIREBOOK_ubbcinput`(`code`,`id`,`beschr`,`syntax`,`type`,`graphic`,`modus`,`styles`,`options`,`questions`,`optrow_char`,`active`,`active_comments`,`questions_sub`,`options_sub`,`syntaxes_sub`,`actives_sub`,`show_link`,`proove_url`) values ('figbeffect',23,'<txt_ub 39>','','buttondropdown','downm.gif','popup','display: inline; padding: 0px; margin: 0px; *display: inline; padding: 0px; margin: 0px; *display: inline; padding: 0px; margin: 0px; *display: inline; padding: 0px; margin: 0px; filter:blur(add=true, direction=10, strength=2); width: 100;*display: inline; padding: 0px; margin: 0px; filter:wave(Add=0, Freq=1, LightStrength=0, Phase=0, Strength=2); width: 100;','move§<marquee><txt_ub 36></marquee>*glow§<txt_ub 65>*shadow§<txt_ub 66>*blur§<txt_ub 27>*wave§<txt_ub 32>*updown§<txt_ub 67>*blink§<blink><txt_ub 37></blink> (<txt_ub 68>)*chcolor§<txt_ub 69>*terminal§<txt_ub 35> (<txt_ub 68>)*rainbow§<txt_ub 70>*shake§<txt_ub 31> (<txt_ub 68>)*waveani§<txt_ub 71>','*$','',1,1,'<b><txt_ub 76></b>§opt1*<b><txt_ub 77></b>§opt2*$<b><txt_ub 72></b>§opt1*<b><txt_ub 51></b>§opt2*$<b><txt_ub 51></b>§opt1*<b><txt_ub 73></b>§opt2*$<b><txt_ub 51></b>§opt1*$<b><txt_ub 74></b>§opt1*<b><txt_ub 51></b>§opt2*$$$$$<b><txt_ub 75></b>§opt1*$$','#FFFFFF§<txt_ub 91>*#FF0000§<txt_ub 45>*#FF6633§<txt_ub 78>*#990000§<txt_ub 79>*#FF00FF§<txt_ub 80>*#66CC00§<txt_ub 47>*#99FF00§<txt_ub 81>*#66CC66§<txt_ub 82>*#990099§<txt_ub 83>*#99FFFF§<txt_ub 84>*#66CC99§<txt_ub 85>*#3300FF§<txt_ub 46>*#000066§<txt_ub 86>*#FFFF00§<txt_ub 87>*#CC9933§<txt_ub 88>*#663300§<txt_ub 89>*#CCCCFF§<txt_ub 90>*#000000§<txt_ub 48>$#000000§<txt_ub 48>*#FF0000§<txt_ub 45>*#FF6633§<txt_ub 78>*#990000§<txt_ub 79>*#FF00FF§<txt_ub 80>*#66CC00§<txt_ub 47>*#99FF00§<txt_ub 81>*#66CC66§<txt_ub 82>*#990099§<txt_ub 83>*#99FFFF§<txt_ub 84>*#66CC99§<txt_ub 85>*#3300FF§<txt_ub 46>*#000066§<txt_ub 86>*#FFFF00§<txt_ub 87>*#CC9933§<txt_ub 88>*#663300§<txt_ub 89>*#CCCCFF§<txt_ub 90>*#FFFFFF§<txt_ub 91>µ#FFFF00§<txt_ub 87>*#FF0000§<txt_ub 45>*#FF6633§<txt_ub 78>*#990000§<txt_ub 79>*#FF00FF§<txt_ub 80>*#66CC00§<txt_ub 47>*#99FF00§<txt_ub 81>*#66CC66§<txt_ub 82>*#990099§<txt_ub 83>*#99FFFF§<txt_ub 84>*#66CC99§<txt_ub 85>*#3300FF§<txt_ub 46>*#000066§<txt_ub 86>*#000000§<txt_ub 48>*#CC9933§<txt_ub 88>*#663300§<txt_ub 89>*#CCCCFF§<txt_ub 90>*#FFFFFF§<txt_ub 91>$2§2*3§3*4§4*5§5*6§6*7§7µ#FF0000§<txt_ub 45>*#3300FF§<txt_ub 46>*#FF6633§<txt_ub 78>*#990000§<txt_ub 79>*#FF00FF§<txt_ub 80>*#66CC00§<txt_ub 47>*#99FF00§<txt_ub 81>*#66CC66§<txt_ub 82>*#990099§<txt_ub 83>*#99FFFF§<txt_ub 84>*#66CC99§<txt_ub 85>*#000000§<txt_ub 48>*#000066§<txt_ub 86>*#FFFF00§<txt_ub 87>*#CC9933§<txt_ub 88>*#663300§<txt_ub 89>*#CCCCFF§<txt_ub 90>*#FFFFFF§<txt_ub 91>$left§<txt_ub 92>*right§<txt_ub 93>*top§<txt_ub 94>*bottom§<txt_ub 95>*topright§<txt_ub 96>*bottomright§<txt_ub 97>*bottomleft§<txt_ub 98>*topleft§8 µ1§1*2§2*3§3*4§4*5§5*6§6*7§7µ1§1*2§2*3§3*4§4*5§5*6§6*7§7$1§1*2§2*3§3*4§4*5§5*6§6*7§7µµµµµ1§<txt_ub 100>*2§<txt_ub 101>*3§<txt_ub 102>*4§<txt_ub 103>*5§<txt_ub 104>*6§<txt_ub 105>*7§<txt_ub 106>µµ','[move=%opt1%,%opt2%]%text%[/move]µ[glow=%opt1%,%opt2%]%text%[/glow]µ[shadow=%opt1%,%opt2%]%text%[/shadow]µ[blur=%opt1%]%text%[/blur]µ[wave=%opt1%,%opt2%]%text%[/wave]µ[updown]%text%[/updown]µ[blink]%text%[/blink]µ[chcolor]%text%[/chcolor]µ[terminal]%text%[/terminal]µ[rainbow=%opt1%]%text%[/rainbow]µ[shake]%text%[/shake]µ[waveani]%text%[/waveani]','1*1*1*1*1*1*1*1*1*0*1*0',1,0);
insert  into `FIREBOOK_ubbcinput`(`code`,`id`,`beschr`,`syntax`,`type`,`graphic`,`modus`,`styles`,`options`,`questions`,`optrow_char`,`active`,`active_comments`,`questions_sub`,`options_sub`,`syntaxes_sub`,`actives_sub`,`show_link`,`proove_url`) values ('figbhelp',24,'<txt_ub 107>',NULL,'buttondropdown','help.gif','help',NULL,NULL,NULL,NULL,1,1,NULL,NULL,NULL,'0',1,NULL);

/*Table structure for table `FIREBOOK_users` */

DROP TABLE IF EXISTS `FIREBOOK_users`;

CREATE TABLE `FIREBOOK_users` (
  `relname` varchar(80) NOT NULL COMMENT 'user name',
  `relpass` varchar(30) NOT NULL COMMENT 'password',
  `relmail` varchar(50) default NULL COMMENT 'mail adress',
  `reladminr` tinyint(1) NOT NULL COMMENT 'admin rights',
  `relactivation` tinyint(1) NOT NULL COMMENT 'is activated',
  `reladmmailr` tinyint(1) NOT NULL COMMENT 'admin mail receiver',
  PRIMARY KEY  (`relname`)
) ENGINE=MyISAM COMMENT='stores the registered users for all gbs';

